package com.loit.common.annotation;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;
/**
 * 自定义注释，属性验证
 * @author wbh
 * @date 2018年12月9日
 */
public class LoitValidateAnnotation {

    /**
     * 属性验证
     * 
     * @author wbh
     *
     */
    @Target({METHOD, FIELD})
    @Retention(RUNTIME)
    public @interface LoitValidate {
        @Deprecated
    	boolean isNotNull() default false;
    	int length() default 0;
    	int max() default Integer.MAX_VALUE;
        @Deprecated
    	String name() default "";
    }
}