package com.loit.common.spring.timeloit.utils;

import org.modelmapper.ModelMapper;
import org.modelmapper.convention.MatchingStrategies;

/**
 * @author xutao
 * @description 实体转换类
 * @date 2019-10-18
 */
public class ModelMapperUtils {
    private static class ModelMapperInstance{
        private final static ModelMapper modelMapper = new ModelMapper();
    }
    public static <D> D map(Object source,Class<D> destinationType){


        return  getInstance().map(source,destinationType);
    }
    public static  ModelMapper getInstance(){
        //设置完全匹配以及严格匹配，只有属性名完全相同才可以进行匹配和填充
        ModelMapperInstance.modelMapper.getConfiguration().setFullTypeMatchingRequired(true);
        ModelMapperInstance.modelMapper.getConfiguration().setMatchingStrategy(MatchingStrategies.STRICT);
      return  ModelMapperInstance.modelMapper;
    }

}
