package com.loit.common.constant;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 分页相关参数
 * @author wbh12
 * @date: 2020年6月6日
 * add by wbh
 */
public enum LoitPageParamEnum {
    PAGE_NO("pageNo", "当前页码"),
	PAGE_SIZE("pageSize", "页面大小"),
	REGARE("repage", "页面刷新"),
	ORDER_BY("orderBy", "查询排序");
    ;
    /**
     * 状态值
     */
    public String code;
    /**
     * 状态描述
     */
    public String desc;

    /**
     * 构造函数
     * @param code
     * @param value
     */
    LoitPageParamEnum(String code,String desc){
        this.code = code;
        this.desc = desc;
    }
    
    public static List<String> toList() {
        List<String> list = new ArrayList<String>();
        for (LoitPageParamEnum lppEnum : LoitPageParamEnum.values()) {
            list.add(lppEnum.getCode());
        }
        return list;
    }

	public String getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

    
}
