package com.loit.common.utils;

import java.util.Map;

import com.alibaba.fastjson.JSON;
/**
 * @Description: JSON处理工具类
 * @author: gzx
 * @date: 2019年11月3日 上午11:37:30
 * @version: V1.0
 */
public class JSONUtils {
	/**
	* @Description: 实体转json
	* @author: gzx
	* @date: 2019年11月3日 上午11:33:15 
	* @param @param obj
	* @param @return
	* @param @throws Exception 参数 
	* @return String 返回类型 
	* @throws
	 */
    public static String obj2json(Object obj) {
        return JSON.toJSONString(obj);
    }
    /**
    * @Description: json转实体
    * @author: Administrator
    * @date: 2019年11月3日 上午11:35:38 
    * @param @param jsonStr
    * @param @param clazz
    * @param @return
    * @param @throws Exception 参数 
    * @return T 返回类型 
    * @throws
     */
    public static <T> T json2obj(String jsonStr, Class<T> clazz) {
        return JSON.parseObject(jsonStr, clazz);
    }
    /**
    * @Description: json转map
    * @author: gzx
    * @date: 2019年11月3日 上午11:35:57 
    * @param @param jsonStr
    * @param @return
    * @param @throws Exception 参数 
    * @return Map<String,Object> 返回类型 
    * @throws
     */
    @SuppressWarnings("unchecked")
	public static <T> Map<String, Object> json2map(String jsonStr){
            return JSON.parseObject(jsonStr, Map.class);
    }
    /**
    * @Description: map转json
    * @author: gzx
    * @date: 2019年11月3日 上午11:36:27 
    * @param @param map
    * @param @param clazz
    * @param @return
    * @param @throws Exception 参数 
    * @return T 返回类型 
    * @throws
     */
    public static <T> T map2obj(Map<?, ?> map, Class<T> clazz){
        return JSON.parseObject(JSON.toJSONString(map), clazz);
    }
}
