package com.loit.loitcasclient.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

/**
 * @Description 上下文配置entity
 * @author xutao
 * @date  2019-10-18
 */
@ApiModel(value="ContextConfiguration", description = "上下文配置实体")
public class Context {

	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name = "contextId", value = "上下文ID", example = "1")
	private int contextId;
	@ApiModelProperty(name = "contextValue", value = "上下文值，默认为空", example = "http://localhost:7007/")
	private String contextValue;
	@ApiModelProperty(name = "contextDesc", value = "描述", required = true, example = "门户系统")
	private String contextDesc;
	@ApiModelProperty(name = "contextWebValue", value = "客户端上下文值(web或移动端)", example = "http://localhost:7007/")
	private String contextWebValue;

	public Context() {
		super();
	}

	public Context(String contextValue){
		this.contextValue = contextValue;
	}

	public int getContextId() {
		return contextId;
	}

	public void setContextId(int contextId) {
		this.contextId = contextId;
	}
	
	@Length(min=1, max=64)
	public String getContextValue() {
		return contextValue;
	}

	public void setContextValue(String contextValue) {
		this.contextValue = contextValue;
	}
	
	@Length(min=1, max=254)
	public String getContextDesc() {
		return contextDesc;
	}

	public void setContextDesc(String contextDesc) {
		this.contextDesc = contextDesc;
	}

	public String getContextWebValue() {
		return contextWebValue;
	}

	public void setContextWebValue(String contextWebValue) {
		this.contextWebValue = contextWebValue;
	}
}
