package com.loit.loitcasclient.service;

import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.client.ServiceInstance;
import org.springframework.cloud.client.discovery.DiscoveryClient;
import org.springframework.stereotype.Service;

//@Service
public class RibbonManualConfig {

    @Autowired
    private DiscoveryClient discoveryClient;
    //初始化请求数
    private AtomicInteger requestCnt = new AtomicInteger(1);
    
    private String getServiceUrl() {
        List<ServiceInstance> list = discoveryClient.getInstances("app-producer");
        if(list == null && list.size() == 0) {
            return null;
        }
 
        //获取服务列表的数量
        int serviceSize = list.size();
        //请求数 % 服务列表数量 得到下标
        int index = requestCnt.get() % serviceSize;
        //将请求数增加1
        requestCnt.incrementAndGet();
        //根据计算的下标选取一个服务地址返回
        return list.get(index).getUri().toString();
    }
}
