package com.loit.loitcasclient.utils;

import javax.servlet.http.Cookie;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;

/**
 * cookie 工具
 */
public class ClientCookieUtil {

    /**
     * 生成cookie
     * @param cookieKey     键
     * @param cookieValue   值
     * @param cookieTimeOut 过期时间
     * @return
     */
    public static Cookie instance(String cookieKey, String cookieValue, Integer cookieTimeOut){
        // (key,value)
        Cookie cookie = new Cookie(cookieKey, cookieValue);
        // 这个要设置
        cookie.setPath("/");
        // 这样设置，能实现两个网站共用
        // cookie.setDomain(".aotori.com");
        // 不设置的话，则cookies不写入硬盘,而是写在内存,只在当前页面有用,以秒为单位
        cookie.setMaxAge(cookieTimeOut);
        return cookie;
    }

    /**
     * 生成cookie
     * @param cookieKey     键
     * @param cookieValue   值
     * @param cookieTimeOut 过期时间
     * @return
     */
    public static Cookie instance(String cookieKey, String cookieValue, Integer cookieTimeOut, String domain){
        // (key,value)
        Cookie cookie = new Cookie(cookieKey, cookieValue);
        // 这个要设置
        cookie.setPath("/");
        // 这样设置，能实现两个网站共用
        cookie.setDomain("." + domain);
        // 不设置的话，则cookies不写入硬盘,而是写在内存,只在当前页面有用,以秒为单位
        cookie.setMaxAge(cookieTimeOut);
        return cookie;
    }

    /**
     * 根据cookie名称获取值
     */
    public static String get(Cookie[] cookies, String name){
        try {
            if(cookies == null || cookies.length == 0){
                return null;
            }

            for (Cookie cookie : cookies) {
                if(cookie.getName().equals(name)){
                    return URLDecoder.decode(cookie.getValue(), "UTF-8");
                }
            }
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }

        return null;
    }
}
