package com.loit.loitcasclient.utils;

import com.loit.common.utils.CacheUtils;
import com.loit.common.utils.RedisUtil;
import com.loit.loitcasclient.config.ClientAppConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;
import org.springframework.web.client.RestTemplate;

@Component("clientUserUtil")
public class ClientUserUtil {
    @Autowired
    private RestTemplate restTemplate;
    @Autowired(required = false)
    private ClientAppConfig clientAppConfig;

    private final Long defaultAccessTokenKillTimeOut = 3600L;//定义默认accetoken 缓存过期时间为3600秒

//    /**
//     * 获取登录用户id-首选不需要参数
//     * @return
//     */
//    public String getUserId(){
//        String accessToken = ClientTokenUtil.cookieAccessToken();
//        if(null == accessToken || StringUtils.isEmpty(accessToken)){
//            return null;
//        }
//
//        return this.getUserId(accessToken);
//    }

    /**
     * 获取登录用户id-从缓存中获取
     * @param accessToken
     * @return
     */
    public String getUserId(String accessToken){
        if(StringUtils.isEmpty(accessToken)){
            return null;
        }

        // 从缓存获取userId, 如果没有则从登录服务器获取userId, 然后存入缓存
//        Object o = ClientLocalCacheUtil.get(accessToken);
//        if(null != o && !String.valueOf(o).equals("")){
//            return String.valueOf(o);
//        }

        String userId = getCasServerUserId(accessToken);
        return userId;
    }

    /**
     * 获取登录用户id-从登录服务器获取
     */
    public String getCasServerUserId(String accessToken){

        long one = System.currentTimeMillis(); //获取开始时间
          Object object = RedisUtil.get(accessToken);


        long two = System.currentTimeMillis();
        System.out.println("getCasServerUserId$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$1111: " + (two - one));

        String userId ="";
          if(object != null){
              userId = String.valueOf(object);
              //读取
              Object timeObject = RedisUtil.get("CAS_ACCESS_TOKEN_TIME_OUT");
              Long timeOut = timeObject != null ? Long.parseLong(timeObject.toString()) : defaultAccessTokenKillTimeOut;
              long three = System.currentTimeMillis();
              System.out.println("getCasServerUserId$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$1111: " + (three - two));

              //刷新accessToken
              CacheUtils.set(accessToken,userId,timeOut);

              long four = System.currentTimeMillis();
              System.out.println("getCasServerUserId$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$333: " + (four - three));

          }else{
              userId = ClientTokenUtil.profile(clientAppConfig.profileUrl().replace("{accessToken}", accessToken), restTemplate);
          }

//        if(!StringUtils.isEmpty(userId)){
//            // 密码模式的令牌从cas服务器上获取不到登录用户名, 但是会返回配置中的portal字符串, 表示验证成功
//            if(userId.equals("portal")){
//                Object userIdObj = ClientLocalCacheUtil.get(accessToken);
//                if(null != userIdObj){
//                    return (String) userIdObj;
//                }
//                return null;
//            }
//
//            ClientLocalCacheUtil.set(accessToken, userId, 3600);
//        }
        return userId;
    }
}
