package com.loit.modules.sys.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.loit.common.persistence.DataEntity;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: Role
 * @Description: 角色表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/

@ApiModel(value = "Role", description="角色表数据对象")
public class Role extends DataEntity<Role>{
	private static final long serialVersionUID = 1L;
	
	
	public Role(){    
		
	}
	public Role(Integer roleId){              
		 this.roleId = roleId;     
	}

	@ApiModelProperty(value = "角色ID",example="1")
	private Integer roleId;


	@ApiModelProperty(value = "角色名称")
	private String roleName;


	@ApiModelProperty(value = "角色编码")
	private String roleCode;


	@ApiModelProperty(value = "角色说明")
	private String roleDesc;


	@ApiModelProperty(value = "角色状态")
	private String roleStatus;
	
	/**
	 * 1普通角色  2组织角色
	 */
	@ApiModelProperty(value = "角色类型")
	private String roleType;


	@ApiModelProperty(value = "排序号",example="1")
	private BigDecimal serialIndex;


	@ApiModelProperty(value = "创建人")
	private String createUser;


	@ApiModelProperty(value = "修改人")
	private String updateUser;


	@ApiModelProperty(value = "应用ID",example="1")
	private Integer appId;
	
	@ApiModelProperty(value = "组织ID",example="1")
	private Integer orgId;
	
	@ApiModelProperty(value = "来源类型",example="1")
	private String fromType;

	@ApiModelProperty(value = "应用名称",example="勤务报备1")
	private String appName;

	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;

	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}

	public Integer getRoleId(){
		return this.roleId;
	}

	public void setRoleName(String roleName){
		this.roleName = roleName;
	}

	public String getRoleName(){
		return this.roleName;
	}

	public void setRoleCode(String roleCode){
		this.roleCode = roleCode;
	}

	public String getRoleCode(){
		return this.roleCode;
	}

	public void setRoleDesc(String roleDesc){
		this.roleDesc = roleDesc;
	}

	public String getRoleDesc(){
		return this.roleDesc;
	}

	public void setRoleStatus(String roleStatus){
		this.roleStatus = roleStatus;
	}

	public String getRoleStatus(){
		return this.roleStatus;
	}

	public void setSerialIndex(BigDecimal serialIndex){
		this.serialIndex = serialIndex;
	}

	public BigDecimal getSerialIndex(){
		return this.serialIndex;
	}

	public void setCreateUser(String createUser){
		this.createUser = createUser;
	}

	public String getCreateUser(){
		return this.createUser;
	}

	public void setUpdateUser(String updateUser){
		this.updateUser = updateUser;
	}

	public String getUpdateUser(){
		return this.updateUser;
	}

	public void setAppId(Integer appId){
		this.appId = appId;
	}

	public Integer getAppId(){
		return this.appId;
	}

	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}

	public Date getUpdateTime(){
		return this.updateTime;
	}
	
	public String getFromType() {
		return fromType;
	}
	public void setFromType(String fromType) {
		this.fromType = fromType;
	}
	public String getAppName() {
		return appName;
	}
	public void setAppName(String appName) {
		this.appName = appName;
	}
	public String getRoleType() {
		return roleType;
	}
	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}
	public Integer getOrgId() {
		return orgId;
	}
	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}
	public String getEnableDel() {
		return enableDel;
	}
	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}
}
