package com.loit.modules.sys.entity;

import java.io.Serializable;
import java.util.List;
/**
 * @Description: redis缓存用户实体
 * @author: gzx
 * @date: 2019年11月4日 下午1:16:54
 * @version: V1.0
 */
public class User   implements Serializable{
 
	private static final long serialVersionUID = 1L;
	/**
	 * 账号ID
	 */
	private Integer accountId;
	/**
	 * 用户uuid,物联网子平台需要
	 */
	private String sid;
	/**
	 * 用户类别 :1个人用户 2 组织用户
	 */
	private String userType;
	/**
	 * 账号(登录名）
	 */
	private String userId;
	/**
	 * 人员名称
	 */
	private String personName;
	/**
	 * 账号状态
	 */
	private String userState;
	/**
	 * 账号类型 '0:普通帐号 1:组织管理员账号2:应用管理帐号 3:超级管理帐号'
	 */
	private String accountType;
	/**
	 * 手机号
	 */
	private String pbMobile;
	/**
	 * 部门ID
	 */
	private Integer orgId;
	/**
	 * 机构ID
	 */
	private Integer superOrgId;
	/**
	 * 部门ExtCode, 扩展code, 一般存放第三方系统同步过来的部门id
	 */
	private String orgExtCode;
	/**
	 * 机构ExtCode, 扩展code, 一般存放第三方系统同步过来的机构id
	 */
	private String superOrgExtCode;
	/**
	 * 组织uuID,物联子平台用
	 */
	private String orgSid;
	/**
	 * 部门名称
	 */
	private String orgName;
	/**
	 * 机构名称
	 */
	private String superOrgName;
	/**
	 * 部门简称
	 */
	private String orgShortName;
	/**
	 * 机构简称
	 */
	private String superOrgShortName;
	/**
	 * 父组织ID
	 */
	private Integer orgParentId;
	/**
	 * 组织级别
	 */
	private String orgLevel;
	/**
	 * 上级组织IDs
	 */
	private String orgLevelCode;
	/**
	 * 图片url
	 */
	private String photoUrl;
	/**
	 * 人员角色List
	 */
	private List<Role> roleList;

	/**
	 * 用户ExtCode, 扩展code, 一般存放第三方系统同步过来的用户id
	 */
	private String userExtCode;

	/**
	 * 组织行政级别:0市局1区局2街乡（执法队）
	 */
	private String orgGrade;

	public Integer getAccountId() {
		return accountId;
	}
	public void setAccountId(Integer accountId) {
		this.accountId = accountId;
	}
	public void setSid(String sid) {
		this.sid = sid;
	}
	public String getSid() {
		return sid;
	}
	public String getUserType() {
		return userType;
	}
	public void setUserType(String userType) {
		this.userType = userType;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getPersonName() {
		return personName;
	}
	public void setPersonName(String personName) {
		this.personName = personName;
	}
	public String getUserState() {
		return userState;
	}
	public void setUserState(String userState) {
		this.userState = userState;
	}
	public String getAccountType() {
		return accountType;
	}
	public void setAccountType(String accountType) {
		this.accountType = accountType;
	}
	public String getPbMobile() {
		return pbMobile;
	}
	public void setPbMobile(String pbMobile) {
		this.pbMobile = pbMobile;
	}
	public Integer getOrgId() {
		return orgId;
	}
	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}
	public String getOrgSid() {
		return orgSid;
	}
	public void setOrgSid(String orgSid) {
		this.orgSid = orgSid;
	}
	public String getOrgName() {
		return orgName;
	}
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	public String getOrgShortName() {
		return orgShortName;
	}
	public void setOrgShortName(String orgShortName) {
		this.orgShortName = orgShortName;
	}
	public Integer getOrgParentId() {
		return orgParentId;
	}
	public void setOrgParentId(Integer orgParentId) {
		this.orgParentId = orgParentId;
	}
	public String getOrgLevel() {
		return orgLevel;
	}
	public void setOrgLevel(String orgLevel) {
		this.orgLevel = orgLevel;
	}
	public String getOrgLevelCode() {
		return orgLevelCode;
	}
	public void setOrgLevelCode(String orgLevelCode) {
		this.orgLevelCode = orgLevelCode;
	}
	public List<Role> getRoleList() {
		return roleList;
	}
	public void setRoleList(List<Role> roleList) {
		this.roleList = roleList;
	}
	public String getPhotoUrl() {
		return photoUrl;
	}
	public void setPhotoUrl(String photoUrl) {
		this.photoUrl = photoUrl;
	}
	public Integer getSuperOrgId() {
		return superOrgId;
	}
	public void setSuperOrgId(Integer superOrgId) {
		this.superOrgId = superOrgId;
	}

	public String getSuperOrgName() {
		return superOrgName;
	}

	public void setSuperOrgName(String superOrgName) {
		this.superOrgName = superOrgName;
	}

	public String getSuperOrgShortName() {
		return superOrgShortName;
	}

	public void setSuperOrgShortName(String superOrgShortName) {
		this.superOrgShortName = superOrgShortName;
	}

	public String getOrgExtCode() {
		return orgExtCode;
	}

	public void setOrgExtCode(String orgExtCode) {
		this.orgExtCode = orgExtCode;
	}

	public String getSuperOrgExtCode() {
		return superOrgExtCode;
	}

	public void setSuperOrgExtCode(String superOrgExtCode) {
		this.superOrgExtCode = superOrgExtCode;
	}

	public String getUserExtCode() {
		return userExtCode;
	}

	public void setUserExtCode(String userExtCode) {
		this.userExtCode = userExtCode;
	}

	public String getOrgGrade() {
		return orgGrade;
	}

	public void setOrgGrade(String orgGrade) {
		this.orgGrade = orgGrade;
	}
}
