package com.loit.getway;

import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 项目启动
 *
 * @author wbh
 */
@EnableHystrix
@EnableScheduling
@SpringCloudApplication
@EnableDiscoveryClient
@EnableFeignClients
public class GateWayApplication {

	public static void main(String[] args) {
		long startTime=System.currentTimeMillis();
		SpringApplication.run(GateWayApplication.class, args);
		long endTime=System.currentTimeMillis();
		float excTime=(float)(endTime-startTime)/1000;
		System.out.println("############--- loit-getway项目启动成功，执行用时："+excTime+"秒 ---############");
	}

}