package com.loit.getway.config;

import java.net.URI;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.http.server.reactive.ServerHttpRequest;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;
import org.springframework.web.client.RestTemplate;

@Component
@ConfigurationProperties(prefix = "loit.cas.gateway")
public class GateWayConfig {
	
	private static String SERVICE_NAME_PORTAL;
//    /**
//     * cas服务器ip+port
//     */
//    private String serverUrl;
	protected Logger logger = LoggerFactory.getLogger(getClass());
	

    /**
     * 资源鉴权开关
     */
    private Boolean resourceAuth;

    /**
     * 登录鉴权开关
     */
    private Boolean loginAuth;

	/**
	 * swagger开关
	 */
	private Boolean swaggerClose;

	public Boolean getSwaggerClose() {
		return swaggerClose;
	}

	public void setSwaggerClose(Boolean swaggerClose) {
		this.swaggerClose = swaggerClose;
	}







	/**
	 * 登录过期时间，单位秒
	 */
	private int killSeconds;

	public static String hostIp;

	/**
     * 获取用户信息，报901则需登录
     * @return
     */
    public String profileUrl(ServerHttpRequest request){
        return getCasServerUrl() + "/cas/oauth2.0/profile?access_token={accessToken}";
    }
    

    @Autowired
    private GateWayRoutesYml gateWayRoutesYml;
    
    public static String caseServerPath;

    @Bean
    public RestTemplate getRestTemplate() {
        return new RestTemplate();
    }
    
    /**
     * 获取Cas单点登录的服务转发路径
     * @return
     */
    public String getCasServerUrl() {
        for (GateWayService gateWayService : gateWayRoutesYml.getRoutes()) {
            if(gateWayService.getCasServerSign()!=null) {
            	SERVICE_NAME_PORTAL = gateWayService.getId();
                return "http://"+SERVICE_NAME_PORTAL;
            }
        }
        return null;
    }

	public Boolean getResourceAuth() {
		return resourceAuth;
	}

	public void setResourceAuth(Boolean resourceAuth) {
		this.resourceAuth = resourceAuth;
	}

	public Boolean getLoginAuth() {
		return loginAuth;
	}

	public void setLoginAuth(Boolean loginAuth) {
		this.loginAuth = loginAuth;
	}

	public int getKillSeconds() {
		return killSeconds;
	}

	public void setKillSeconds(int killSeconds) {
		this.killSeconds = killSeconds;
	}
}
