package com.loit.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 上下文配置数据传输实体类
 * @Author xutao
 * @Date 2019-10-18
 */
@ApiModel(value="ContextConfigurationDTO", description="上下文配置数据传输实体类")
public class ContextConfigurationDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "contextValue", value = "上下文值，默认为空", example = "http://localhost:7007/")
    private String contextValue;
    @ApiModelProperty(name = "contextDesc", value = "描述", required = true, example = "门户系统")
    private String contextDesc;
    @ApiModelProperty(name = "contextWebValue", value = "客户端上下文值(web或移动端)", example = "http://localhost:7007/")
    private String contextWebValue;
    @ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
    private String enableDel;


    public String getContextValue() {
        return contextValue;
    }

    public void setContextValue(String contextValue) {
        this.contextValue = contextValue;
    }

    public String getContextDesc() {
        return contextDesc;
    }

    public void setContextDesc(String contextDesc) {
        this.contextDesc = contextDesc;
    }

    public String getContextWebValue() {
        return contextWebValue;
    }

    public void setContextWebValue(String contextWebValue) {
        this.contextWebValue = contextWebValue;
    }

    public String getEnableDel() {
        return enableDel;
    }

    public void setEnableDel(String enableDel) {
        this.enableDel = enableDel;
    }
}
