package com.loit.modules.sys.dao;

import com.loit.common.persistence.CrudDao;
import com.loit.modules.sys.entity.ContextConfiguration;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @description 上下文配置DAO
 * @author xutao
 * @date 2019-10-18
 */
@Mapper
public interface ContextConfigurationDao extends CrudDao<ContextConfiguration> {
  
    /**
	* @Description: 检查上下文描述是否唯一
	* @author: xutao
	* @date: 2019年11月20日 上午9:54:33 
	* @param @param contextId
	* @param @param contextDesc  
	* @return void 返回类型 
	* @throws
	 */
	int checkDescUnique(@Param("contextId")Integer contextId,@Param("contextDesc")String contextDesc);

	/**
	 * 根据服务id获取
	 * @param id
	 * @return
	 */
	public ContextConfiguration getByserviceId(String serviceId);
}
