package com.loit.modules.sys.dao;

import com.loit.common.persistence.CrudDao;
import com.loit.modules.sys.entity.Dict;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xutao
 * @description 字典DAO接口
 * @date 2019-11-07
 */
@Mapper
public interface DictDao extends CrudDao<Dict> {
    /**
     * @param dict 字典实体
     * @return
     * @description 获取字典树形列表
     */
    List<Dict> getDictTreeList(Dict dict);

    /**
     * @param @param dictName
     * @param @param dictId
     * @return void 返回类型
     * @throws
     * @Description: 检查名称是否唯一
     * @author: xutao
     * @date: 2019年11月20日 上午9:54:33
     */
    int checkNameUnique(@Param("dictName") String dictName, @Param("dictId") Integer dictId);


    /**
     * 批量插入
     *
     * @param dictList
     * @return
     */
    int insertResultBatch(@Param("dictList") List<Dict> dictList);


    /**
     * 批量删除数据
     *
     * @param dictIdList
     */
    int deleteResultBatch(@Param("dictIdList") List<Integer> dictIdList);

    /**
     * 批量更新数据
     *
     * @param dictList
     */
    int updateResultBatch(@Param("dictList") List<Dict> dictList);
}
