/**
 * Copyright &copy; 2015-2020 isaac All rights reserved.
 */
package com.loit.modules.sys.dao;

import com.loit.common.persistence.CrudDao;
import com.loit.modules.sys.entity.DictData;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 系统字典数据项DAO
 * @author xutao
 * @version 2019-10-17
 */
@Mapper
public interface DictDataDao extends CrudDao<DictData> {

	/**
	* @Description: 删除某字典数据项
	* @author: gzx
	* @date: 2019年11月3日 下午4:11:13 
	* @param @param dictId 参数 
	* @return void 返回类型 
	* @throws
	 */
	void deleteByDictId(@Param("dictId") Integer dictId);
	/**
	* @Description: 根据dictCode获取字典项
	* @author: gzx
	* @date: 2019年11月10日 下午3:46:39 
	* @param @param dictCode
	* @param @return 参数 
	* @return List<DictData> 返回类型 
	* @throws
	 */
	List<DictData> findDictDataByDictCode(@Param("dictCode")String dictCode);
	
	/**
	* @Description: 检查名称是否唯一
	* @author: xutao
	* @date: 2019年11月20日 上午9:54:33 
	* @param dictName
	* @param dataId
	* @param dictId  
	* @return 返回类型 
	* @throws
	 */
	int checkNameUnique(@Param("dataName")String dataName,@Param("dataId")Integer dataId,@Param("dictId")Integer dictId);
}
