package com.loit.modules.sys.entity;

import javax.xml.bind.annotation.XmlAttribute;

import org.hibernate.validator.constraints.Length;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 上下文配置entity
 * @author xutao
 * @date  2019-10-18
 */
@ApiModel(value="ContextConfiguration", description = "上下文配置实体")
public class ContextConfiguration extends DataEntity<ContextConfiguration> {

	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name = "contextId", value = "上下文ID", example = "1")
	private int contextId;
	@ApiModelProperty(name = "contextValue", value = "上下文值，默认为空", example = "http://localhost:7007/")
	private String contextValue;
	@ApiModelProperty(name = "contextDesc", value = "描述", required = true, example = "门户系统")
	private String contextDesc;
	@ApiModelProperty(name = "contextWebValue", value = "客户端上下文值(web或移动端)", example = "http://localhost:7007/")
	private String contextWebValue;
	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;
	@ApiModelProperty(name = "serviceId", value = "服务ID")
	private String serviceId;

	public ContextConfiguration() {
		super();
	}

	public ContextConfiguration(String contextValue){
		this.contextValue = contextValue;
	}

	public int getContextId() {
		return contextId;
	}

	public void setContextId(int contextId) {
		this.contextId = contextId;
	}
	
	@Length(min=1, max=64)
	public String getContextValue() {
		return contextValue;
	}

	public void setContextValue(String contextValue) {
		this.contextValue = contextValue;
	}
	
	@Length(min=1, max=254)
	public String getContextDesc() {
		return contextDesc;
	}

	public void setContextDesc(String contextDesc) {
		this.contextDesc = contextDesc;
	}

	public String getContextWebValue() {
		return contextWebValue;
	}

	public void setContextWebValue(String contextWebValue) {
		this.contextWebValue = contextWebValue;
	}

	public String getEnableDel() {
		return enableDel;
	}

	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}

	public String getServiceId() {
		return serviceId;
	}

	public void setServiceId(String serviceId) {
		this.serviceId = serviceId;
	}
}
