package com.loit.modules.sys.entity;

import java.util.List;

import org.hibernate.validator.constraints.Length;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 字典Entity
 * @author gzx
 * @version 2019-11-03
 */
@ApiModel(value="Dict", description="字典实体类")
public class Dict extends DataEntity<Dict> {

	private static final long serialVersionUID = 1L;
	/**
	 * 唯一标识
	 */
	private Integer dictId;
	/**
	 * 字典编码
	 */
	@Length(min=1,max=32)
	@ApiModelProperty("字典编码")
	private String dictCode;
	/**
	 * 字典名称
	 */
	@Length(min=1,max=32)
	private String dictName;
	/**
	 * 字典描述
	 */
	private String dictDesc;
	/**
	 * 父Id
	 */
	private Integer pId = 0;
	/**
	 * 1、系统内置 2、用户自定义字典数据，默认为2
	 */
	private String baseFlag;
	/**
	 * 子字典列表
	 */
	private List<Dict> children;
	
	public Integer getDictId() {
		return dictId;
	}
	public void setDictId(Integer dictId) {
		this.dictId = dictId;
	}
	public String getDictCode() {
		return dictCode;
	}
	public void setDictCode(String dictCode) {
		this.dictCode = dictCode;
	}
	public String getDictName() {
		return dictName;
	}
	public void setDictName(String dictName) {
		this.dictName = dictName;
	}
	public String getDictDesc() {
		return dictDesc;
	}
	public void setDictDesc(String dictDesc) {
		this.dictDesc = dictDesc;
	}
	public Integer getpId() {
		return pId;
	}
	public void setpId(Integer pId) {
		this.pId = pId;
	}
	public String getBaseFlag() {
		return baseFlag;
	}
	public void setBaseFlag(String baseFlag) {
		this.baseFlag = baseFlag;
	}
	public List<Dict> getChildren() {
		return children;
	}
	public void setChildren(List<Dict> children) {
		this.children = children;
	}
}