/**
 * Copyright &copy; 2015-2020 isaac All rights reserved.
 */
package com.loit.modules.sys.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlAttribute;

/**
 * 系统字典数据项实体
 * @author xutao
 * @date  2019-10-17
 */
@ApiModel(value="DictData", description = "系统字典数据项实体")
public class DictData extends DataEntity<DictData> {

	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name = "dataId", value = "数据项ID", example = "1")
	private Integer dataId;
	@ApiModelProperty(name = "dataCode", value = "数据项编码", required = true, example = "0")
	private String dataCode;
	@ApiModelProperty(name = "dataName", value = "数据项名称", required = true, example = "汉族")
	private String dataName;
	@ApiModelProperty(name = "dataDesc", value = "数据项描述", example = "汉族")
	private String dataDesc;
	@ApiModelProperty(name = "serialIndex", value = "排序号", example = "1")
	private Integer serialIndex;
	@ApiModelProperty(name = "dictId", required = true, value = "数据字典ID", example = "1")
	private Integer dictId;
	/**
	 * 1、系统内置 2、用户自定义字典数据，默认为2
	 */
	private String baseFlag;
	
	public DictData() {
		super();
	}

	public DictData(String dataCode, String dataName){
		this.dataCode = dataCode;
		this.dataName = dataName;
	}
	@Length(min=1, max=11)
	public Integer getDataId() {
		return dataId;
	}

	public void setDataId(Integer dataId) {
		this.dataId = dataId;
	}
	@XmlAttribute
	@Length(min=1, max=64)
	public String getDataCode() {
		return dataCode;
	}

	public void setDataCode(String dataCode) {
		this.dataCode = dataCode;
	}
	@XmlAttribute
	@Length(min=1, max=64)
	public String getDataName() {
		return dataName;
	}

	public void setDataName(String dataName) {
		this.dataName = dataName;
	}
	@XmlAttribute
	@Length(min=1, max=254)
	public String getDataDesc() {
		return dataDesc;
	}

	public void setDataDesc(String dataDesc) {
		this.dataDesc = dataDesc;
	}
	@NotNull
	public Integer getSerialIndex() {
		return serialIndex;
	}

	public void setSerialIndex(Integer serialIndex) {
		this.serialIndex = serialIndex;
	}
	@Length(min=1, max=11)
	public Integer getDictId() {
		return dictId;
	}

	public void setDictId(Integer dictId) {
		this.dictId = dictId;
	}

	public String getBaseFlag() {
		return baseFlag;
	}

	public void setBaseFlag(String baseFlag) {
		this.baseFlag = baseFlag;
	}
}