package com.loit.modules.sys.service;

import com.loit.common.service.CrudService;
import com.loit.modules.sys.dao.ContextConfigurationDao;
import com.loit.modules.sys.entity.ContextConfiguration;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @description 上下文配置Service
 * @author xutao
 * @date 2019-10-18
 */
@Service
@Transactional(readOnly = true)
public class ContextConfigurationService extends CrudService<ContextConfigurationDao, ContextConfiguration> {

    /**
  	* @Description: 判断上下文描述的唯一性
  	* @author: xutao
  	* @date: 2019年11月19日 下午6:59:32 
  	* @param dictId
  	* @param dataId 
  	* @return boolean 返回类型  名称重复，返回false；不重复，返回true
  	* @throws
  	 */
  	public boolean checkDescUnique(Integer contextId,String contextDesc) {
  		int count = dao.checkDescUnique(contextId,contextDesc);
  		if(count>0) {
  			return false;
  		}
  		return true;
  	}

  	public ContextConfiguration getByserviceId(String serviceId) {
  		ContextConfiguration ccd = dao.getByserviceId(serviceId);
  		return ccd;
  	}
}
