package com.loit.modules.sys.stressTest;

import com.alibaba.nacos.api.exception.NacosException;
import com.alibaba.nacos.api.naming.NamingFactory;
import com.alibaba.nacos.api.naming.NamingService;
import com.alibaba.nacos.api.naming.pojo.Instance;
import com.loit.common.json.AjaxJson;
import com.loit.common.web.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Properties;

/**
 * @author nacos
 * @description 压力测试 Nacos Controller
 */
@RestController
@RequestMapping(value = "api/v1/test/nacos")
@Api(value = "StressTestController", tags = {"压力测试 Nacos Controller"})
public class StressTestNacosController<T> extends BaseController {

    /**
     * @description 返回json
     */
    @GetMapping(value = "getAll")
    @ApiOperation(value = "getAll", notes = "返回 all  instance")
    public AjaxJson getAllInstance() {

        AjaxJson json = new AjaxJson();
        try {
            Properties properties = new Properties();
            properties.setProperty("serverAddr", "39.100.254.140:8103");
            properties.setProperty("namespace", "195cfbd3-bd2b-433b-b673-d440d4f8d234");

            NamingService naming = NamingFactory.createNamingService(properties);
            List<Instance> allInstances = naming.getAllInstances("loit-getway");
            json.setMsg(allInstances.toString());
        } catch (NacosException e) {
            e.printStackTrace();
        }

        return json;
    }

}
