package com.loit.modules.sys.web;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.loit.common.json.AjaxJson;
import com.loit.common.web.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @description 导入导出Controller
 * @author xutao
 * @param <T>
 * @date 2020-01-02
 */
@RestController
@RequestMapping(value = "api/v1/excel")
@Api(value = "ExcelController", tags = {"导入导出Excel"})
public class ExcelController<T> extends BaseController {	

	/**
	 * @description 导入excel
	 * @author xutao
	 * @date：2020年01月02日
	 * @param entity 泛型	
	 * @return
	 */
	@GetMapping(value = "importExcel")
	@ApiOperation(value="导入excel", notes="导入excel")	
	public AjaxJson importExcel(@ApiIgnore T entity) {
		AjaxJson json = new AjaxJson();
		return json;
	}
	
	/**
	 * @description 导出excel
	 * @author xutao
	 * @date：2020年01月02日
	 * @param entity 泛型	
	 * @return
	 */
	@GetMapping(value = "exportExcel")
	@ApiOperation(value="导出excel", notes="导出excel")	
	public AjaxJson exportExcel(@ApiIgnore T entity) {
		AjaxJson json = new AjaxJson();
		logger.info("##################doing####################");
		return json;
	}
}
