package com.loit.v1.api.controller.casserver;

import com.loit.v1.oauth.service.WebLoginOauthService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping(value = "api/v1/cas")
@Api(tags = "单点登录验证接口, cas服务器登录验证用",  value = "LoginValidateController")
public class CasServerLoginValidateController {

    @Autowired
    private WebLoginOauthService webLoginOauthService;

    @RequestMapping("login")
    public Object login(@RequestHeader HttpHeaders httpHeaders, HttpServletRequest request){
        return webLoginOauthService.login(httpHeaders);
    }

    /**
     * 无密码登录验证
     * @param httpHeaders
     * @return
     */
    @RequestMapping("nopassword/login")
    public Object loginFree(@RequestHeader HttpHeaders httpHeaders){
        return webLoginOauthService.noPasswordLogin(httpHeaders);
    }
}
