package com.loit.v1.api.controller.feign;

import com.loit.common.json.AjaxJson;
import com.loit.common.persistence.Page;
import com.loit.common.spring.timeloit.utils.ModelMapperUtils;
import com.loit.v1.api.dto.ActRightDTO;
import com.loit.v1.modules.entity.ActRight;
import com.loit.v1.modules.service.ActRightService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**  
* @ClassName: ActRightController  
* @Description:   
* @author zhaokz  
* @date 2019年10月28日 下午3:56:15 
* @version V1.0  
*/

@RestController
@RequestMapping(value = "api/v1/feign/actRight")
@Api( value = "FeignActRightController", tags = "Feign 资源操作权限管理")
public class FeignActRightController {

	@Autowired
	private ActRightService actRightService;
	
	@ApiOperation(value = "根据菜单ID获取当前用户对本资源的操作权限", notes = "根据菜单ID获取当前用户对本资源的操作权限")
	@ApiImplicitParams({
		@ApiImplicitParam(name = "menuId", value = "菜单ID", required = true, dataType = "String", paramType = "query")
	})
	@GetMapping(value = "getActRightByMenuId")
	public AjaxJson getActRightByMenuId(@RequestParam(value = "menuId", required = true) Integer menuId){
		AjaxJson json = new AjaxJson();
		json.put("rightJsonStr", actRightService.getActRightByMenuId(menuId));
		return json;
	}

}
