package com.loit.v1.api.controller.feign;

import com.loit.common.json.AjaxJson;
import com.loit.v1.modules.handler.MyWebSocketHandler;
import com.loit.v1.modules.service.JPushService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.task.TaskExecutor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ExecutorCompletionService;

/**
 * @description: 极光推送
 * @date: 2020/5/7 18:03
 * @author: wubj
 * @version v1.0
 */
@RestController
@RequestMapping(value = "api/v1/feign/jPush")
@Api(tags = "Feign 极光推送",  value = "FeignJPushController")
public class FeignJPushController {

    /**
     * 日志工具
     */
    private Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    private JPushService jPushService;


    /**
     * 极光推送
     * @return
     */
    @PostMapping(value = "/pushAndroid")
    @ApiOperation(value = "广播所有在线用户")
    public AjaxJson pushAndroid(@RequestBody Map<String, String> map){
        AjaxJson json = new AjaxJson();
        try {
            String message = map.get("message");
            if (map.containsKey("userIds")) {
                String userIds = map.get("userIds");
                List<String> users = Arrays.asList(userIds.split(","));
                jPushService.pushAndroid(message, users);
            } else {
                jPushService.pushAndroid(message);
            }
            json.setMsg("推送成功");
        } catch (Exception e) {
            e.printStackTrace();
            return AjaxJson.returnExceptionInfo("推送异常");
        }
        return json;
    }
}
