package com.loit.v1.api.controller.feign;

import com.loit.common.json.AjaxJson;
import com.loit.v1.modules.handler.MyWebSocketHandler;
import com.loit.v1.modules.service.NoticeReceiveService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.task.TaskExecutor;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;
import java.util.concurrent.ExecutorCompletionService;

/**
 * @description: 通知接收人信息
 * @date: 2020/5/7 18:03
 * @author: wubj
 * @version v1.0
 */
@RestController
@RequestMapping(value = "api/v1/feign/noticeReceive")
@Api(tags = "Feign 通知接收管理",  value = "FeignNoticeReceiveController")
public class FeignNoticeReceiveController {

    /**
     * 日志工具
     */
    private Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    private NoticeReceiveService noticeReceiveService;

    /**
     * 更新阅读状态
     * @return
     */
    @PostMapping(value = "updateStatus")
    AjaxJson updateStatus(@RequestParam List<Long> noticeIds, @RequestParam String userId) {
        AjaxJson json = new AjaxJson();
        try {
            noticeReceiveService.updateStatus(noticeIds, userId);
            json.setMsg("修改成功");
        } catch (Exception e) {
            e.printStackTrace();
            return AjaxJson.returnExceptionInfo("修改异常");
        }
        return json;
    }
}
