package com.loit.v1.api.controller.feign;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.client.ServiceInstance;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.loit.common.json.AjaxJson;
import com.loit.v1.modules.entity.AccountPolicy;
import com.loit.v1.modules.entity.ResourceManage;
import com.loit.v1.modules.service.RightShortcutService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import springfox.documentation.annotations.ApiIgnore;

/**  
* @ClassName: FeignRightController  
* @Description:  人员角色权限
* @author zhaokz  
* @date 2020年6月16日 下午4:14:43 
* @version V1.0  
*/

@RestController
@RequestMapping(value = "api/v1/feign/right")
@Api(tags = "Feign 人员角色权限",  value = "FeignRightController")
public class FeignRightController {
	private Logger logger = LoggerFactory.getLogger(this.getClass());
	
	@Autowired
	private RightShortcutService rightShortcutService;
	
	/**
	 * @description 获取当前用户角色数据权限
	 */
	@GetMapping("/dataPermission")
	@ApiOperation(value = "获取当前用户角色数据权限", notes = "根据排序号排序,直接取第一条记录即可")
	public AjaxJson dataPermission() {
		AjaxJson json = new AjaxJson();
		List<ResourceManage> dataResList = rightShortcutService.getCurrentUserDataResList();
		json.put("dataResList",dataResList);
		return json;
	}
}
