package com.loit.v1.api.dto;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: AccoutInfoDTO  
* @Description:   人员账号信息表数据传输类
* @author zhaokz  
* @date 2019年10月24日 下午1:51:56 
* @version V1.0  
*/
@ApiModel(value = "AccoutInfoDTO", description="人员账号信息表数据传输类")
public class AccoutInfoDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "人员唯一ID",example = "1")
	private Integer accountId;

	/**
	 * （0,访客1,普通用户2,一般管理员）
	 */
	@ApiModelProperty(value = "账号类别",example = "1")
	private String userType;


	@ApiModelProperty(value = "账号",example = "1")
	private String userId;


	@ApiModelProperty(value = "未加密密码",example = "123456")
	private String unPassword;


	@ApiModelProperty(value = "密码",example = "f@sdgfd%d$dsfs")
	private String password;

	/**
	 * （0,正常1,锁定2,一般管理员禁止）
	 */
	@ApiModelProperty(value = "账号状态",example = "0")
	private String userStat;


	@ApiModelProperty(value = "失败登录次数",example = "2")
	private Integer loginFailnum;


	@ApiModelProperty(value = "最近登录IP",example = "17.34.56.213")
	private String lastLoginIp;


	@ApiModelProperty(value = "最近登录日期",example = "2019-10-24 15:45:23")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date lastLoginDate;


	@ApiModelProperty(value = "密码问题",example = "我是谁")
	private String passQuestion;


	@ApiModelProperty(value = "密码答案",example = "小马哥")
	private String passAnswer;

	/**
	 * （0:普通帐号1:临时账号2:应用管理帐号3:超级管理帐号）
	 */
	@ApiModelProperty(value = "账号类型",example = "0")
	private String accountType;


	@ApiModelProperty(value = "账号有效期限",example = "4")
	private Integer accountTimelimit;

	@ApiModelProperty(value = "密码修改时间",example = "2019-10-24 15:45:23")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date passUpdateTime;

	@ApiModelProperty(value = "创建者类型",example = "2")
	private String cteateBy;

	@ApiModelProperty(value = "人员基本信息ID",example = "1")
	private Integer personBaseId;

	public Integer getAccountId() {
		return accountId;
	}

	public void setAccountId(Integer accountId) {
		this.accountId = accountId;
	}

	public String getUserType() {
		return userType;
	}

	public void setUserType(String userType) {
		this.userType = userType;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUnPassword() {
		return unPassword;
	}

	public void setUnPassword(String unPassword) {
		this.unPassword = unPassword;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getUserStat() {
		return userStat;
	}

	public void setUserStat(String userStat) {
		this.userStat = userStat;
	}

	public Integer getLoginFailnum() {
		return loginFailnum;
	}

	public void setLoginFailnum(Integer loginFailnum) {
		this.loginFailnum = loginFailnum;
	}

	public String getLastLoginIp() {
		return lastLoginIp;
	}

	public void setLastLoginIp(String lastLoginIp) {
		this.lastLoginIp = lastLoginIp;
	}

	public Date getLastLoginDate() {
		return lastLoginDate;
	}

	public void setLastLoginDate(Date lastLoginDate) {
		this.lastLoginDate = lastLoginDate;
	}

	public String getPassQuestion() {
		return passQuestion;
	}

	public void setPassQuestion(String passQuestion) {
		this.passQuestion = passQuestion;
	}

	public String getPassAnswer() {
		return passAnswer;
	}

	public void setPassAnswer(String passAnswer) {
		this.passAnswer = passAnswer;
	}

	public String getAccountType() {
		return accountType;
	}

	public void setAccountType(String accountType) {
		this.accountType = accountType;
	}

	public Integer getAccountTimelimit() {
		return accountTimelimit;
	}

	public void setAccountTimelimit(Integer accountTimelimit) {
		this.accountTimelimit = accountTimelimit;
	}

	public Date getPassUpdateTime() {
		return passUpdateTime;
	}

	public void setPassUpdateTime(Date passUpdateTime) {
		this.passUpdateTime = passUpdateTime;
	}

	public String getCteateBy() {
		return cteateBy;
	}

	public void setCteateBy(String cteateBy) {
		this.cteateBy = cteateBy;
	}

	public Integer getPersonBaseId() {
		return personBaseId;
	}

	public void setPersonBaseId(Integer personBaseId) {
		this.personBaseId = personBaseId;
	}
	
	
}
