package com.loit.v1.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: AppOrgDTO  
* @Description:   应用组织关系表数据传输类
* @author zhaokz  
* @date 2019年10月30日 下午3:22:29 
* @version V1.0  
*/

@ApiModel(value = "AppOrgDTO", description="应用组织关系表数据传输类")
public class AppOrgDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主ID",example = "1")
	private Integer relId;

	/**
	 * 1、仅本组织 2、本组织及下属组织 3、仅下属组织  
	 * 2：仅所选下属组织
	 * 3：本组织及下属组织 1、仅本组织 2、本组织及其下级组织
	 */
	@ApiModelProperty(value = "标志位",example = "1")
	private String orgFlag;

	@ApiModelProperty(value = "应用ID",example = "1")
	private Integer appId;

	@ApiModelProperty(value = "组织ID",example = "1")
	private Integer orgId;
	
	@ApiModelProperty(value = "组织名称",example = "北京市城管局")
	private String orgName;
	
	@ApiModelProperty(value = "标志位名称")
	private String orgFlagName;

	public Integer getRelId() {
		return relId;
	}

	public void setRelId(Integer relId) {
		this.relId = relId;
	}

	public String getOrgFlag() {
		return orgFlag;
	}

	public void setOrgFlag(String orgFlag) {
		this.orgFlag = orgFlag;
	}

	public Integer getAppId() {
		return appId;
	}

	public void setAppId(Integer appId) {
		this.appId = appId;
	}

	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getOrgFlagName() {
		return orgFlagName;
	}

	public void setOrgFlagName(String orgFlagName) {
		this.orgFlagName = orgFlagName;
	}
	
	
}
