package com.loit.v1.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

import org.hibernate.validator.constraints.Length;

/**
 * @Description 应用注册管理数据传输实体类
 * @Author xutao
 * @Date 2019-10-18
 */
@ApiModel(value="ApplicationManageDTO", description="应用注册管理数据传输实体类")
public class ApplicationManageDTO implements Serializable {

    private static final long serialVersionUID = 1L;
   
	@ApiModelProperty(name = "appName", value = "应用系统名称", required = true, example = "勤务报备系统")
	private String appName;
	@ApiModelProperty(name = "developer", value = "开发商", example = "北京时代凌宇")
	private String developer;
	@ApiModelProperty(name = "appVersion", value = "版本", example = "V1.0")
	private String appVersion;
	@ApiModelProperty(name = "appDesc", value = "说明", example = "勤务报备")
	private String appDesc;
	@ApiModelProperty(name = "defaultHomePage", value = "默认登录首页", example = "/api/newpicture")
	private String defaultHomePage;
	@ApiModelProperty(name = "defaultHomeName", value = "默认登录首页名称", example = "勤务一张图")
	private String defaultHomeName;
	@ApiModelProperty(name = "serialIndex", value = "排序号", example = "1")
	private BigDecimal serialIndex;
	@ApiModelProperty(name = "contextId", value = "上下文ID", example = "1")
	private Integer contextId;	
	@ApiModelProperty(name = "appCode", value = "应用代码", example = "qinwubaobei")
	private String appCode;
	@ApiModelProperty(name = "adminFlag", value = "是否管理用（0：否 1：是）", example = "0")
	private String adminFlag;	
	@ApiModelProperty(name = "appUrl", value = "图标URL", example = "/sys/login")
	private String appUrl;
	@ApiModelProperty(name = "showFlag", value = "是否在应用切换列表工具条中显示（0：否 1：是）,默认是", example = "0")
	private String showFlag;

	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;

	@Length(min=1, max=254)
	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}
	@Length(min=1, max=254)
	public String getDeveloper() {
		return developer;
	}

	public void setDeveloper(String developer) {
		this.developer = developer;
	}
	@Length(min=1, max=20)
	public String getAppVersion() {
		return appVersion;
	}

	public void setAppVersion(String appVersion) {
		this.appVersion = appVersion;
	}
	@Length(min=1, max=254)
	public String getAppDesc() {
		return appDesc;
	}

	public void setAppDesc(String appDesc) {
		this.appDesc = appDesc;
	}
	@Length(min=1, max=254)
	public String getDefaultHomePage() {
		return defaultHomePage;
	}

	public void setDefaultHomePage(String defaultHomePage) {
		this.defaultHomePage = defaultHomePage;
	}
	@Length(min=1, max=22)
	public BigDecimal getSerialIndex() {
		return serialIndex;
	}

	public void setSerialIndex(BigDecimal serialIndex) {
		this.serialIndex = serialIndex;
	}
	@Length(min=1, max=11)
	public Integer getContextId() {
		return contextId;
	}

	public void setContextId(Integer contextId) {
		this.contextId = contextId;
	}
	@Length(min=1, max=64)
	public String getAppCode() {
		return appCode;
	}

	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}
	@Length(min=1, max=1)
	public String getAdminFlag() {
		return adminFlag;
	}

	public void setAdminFlag(String adminFlag) {
		this.adminFlag = adminFlag;
	}
	@Length(min=1, max=254)
	public String getAppUrl() {
		return appUrl;
	}

	public void setAppUrl(String appUrl) {
		this.appUrl = appUrl;
	}

	@Length(min=1, max=64)
	public String getDefaultHomeName() {
		return defaultHomeName;
	}

	public void setDefaultHomeName(String defaultHomeName) {
		this.defaultHomeName = defaultHomeName;
	}

	public String getShowFlag() {
		return showFlag;
	}

	public void setShowFlag(String showFlag) {
		this.showFlag = showFlag;
	}

	public String getEnableDel() {
		return enableDel;
	}

	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}
}
