package com.loit.v1.api.dto;

import java.io.Serializable;

import org.hibernate.validator.constraints.Length;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 行为对象类别数据传输实体类
 * @author: gzx
 * @date: 2019年10月31日 上午10:32:56
 * @version: V1.0
 */
@ApiModel(value="AuditObjectTypeDTO", description="行为对象类别数据传输实体类")
public class AuditObjectTypeDTO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "typeCode", value = "类别代码", required = true, example = "org")
	@Length(min=1, max=32)
	private String typeCode;

	@ApiModelProperty(name = "typeName", value = "类别代码", required = true, example = "组织")
	@Length(min=1, max=32)
	private String typeName;

	@ApiModelProperty(name = "typeDesc", value = "类别说明", required = true, example = "涉及组织方面的类别")
	private String typeDesc;

	public String getTypeCode() {
		return typeCode;
	}

	public void setTypeCode(String typeCode) {
		this.typeCode = typeCode;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public String getTypeDesc() {
		return typeDesc;
	}

	public void setTypeDesc(String typeDesc) {
		this.typeDesc = typeDesc;
	}
}
