package com.loit.v1.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: IpPolicyDTO  
* @Description:   IP策略表数据传输类
* @author zhaokz  
* @date 2019年10月31日 下午2:40:45 
* @version V1.0  
*/

@ApiModel(value = "IpPolicyDTO", description="IP策略表数据传输类")
public class IpPolicyDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "策略ID",example = "1")
	private Integer ipPolicyId;


	@ApiModelProperty(value = "策略名称",example = "限制访问")
	private String ipPolicyName;

	/**
	 * 1、任意 IP 2、指定IP 3、IP段
	 */
	@ApiModelProperty(value = "策略类型 ",example = "1")
	private String ipType;


	@ApiModelProperty(value = "排序号",example = "1")
	private java.math.BigDecimal serialIndex;


	@ApiModelProperty(value = "描述",example = "禁止访问")
	private String ipDesc;


	@ApiModelProperty(value = "策略IP",example = "192.168.10.256")
	private String policyIp;

	/**
	 * 1、允许 2、禁用
	 */
	@ApiModelProperty(value = "状态",example = "")
	private String ipStatus;

	public Integer getIpPolicyId() {
		return ipPolicyId;
	}

	public void setIpPolicyId(Integer ipPolicyId) {
		this.ipPolicyId = ipPolicyId;
	}

	public String getIpPolicyName() {
		return ipPolicyName;
	}

	public void setIpPolicyName(String ipPolicyName) {
		this.ipPolicyName = ipPolicyName;
	}

	public String getIpType() {
		return ipType;
	}

	public void setIpType(String ipType) {
		this.ipType = ipType;
	}

	public java.math.BigDecimal getSerialIndex() {
		return serialIndex;
	}

	public void setSerialIndex(java.math.BigDecimal serialIndex) {
		this.serialIndex = serialIndex;
	}

	public String getIpDesc() {
		return ipDesc;
	}

	public void setIpDesc(String ipDesc) {
		this.ipDesc = ipDesc;
	}

	public String getPolicyIp() {
		return policyIp;
	}

	public void setPolicyIp(String policyIp) {
		this.policyIp = policyIp;
	}

	public String getIpStatus() {
		return ipStatus;
	}

	public void setIpStatus(String ipStatus) {
		this.ipStatus = ipStatus;
	}
	
	
}
