package com.loit.v1.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 菜单布局管理数据传输实体类
 * @Author xutao
 * @Date 2019-10-18
 */
@ApiModel(value="MenuLayoutDTO", description="菜单布局管理数据传输实体类")
public class MenuLayoutDTO implements Serializable {

    private static final long serialVersionUID = 1L;
   
	@ApiModelProperty(value = "布局代码", example = "yijijmoshi")
	private String layoutCode;
	@ApiModelProperty(value = "布局名称", example = "一级菜单模式")
	private String layoutName;
	@ApiModelProperty(value = "布局所在路径", example = "")
	private String layoutPath;
	@ApiModelProperty(value = "布局方式（1：一级菜单模式 2：二级菜单模式 3：三级菜单模式 4：树级菜单模式）", example = "1")
	private String layoutMode;
	@ApiModelProperty(value = "布局描述", example = "只有上部显示导航栏")
	private String layoutDesc;
	@ApiModelProperty(value = "图标路径", example = "")
	private String iconPath;
	public String getLayoutCode() {
		return layoutCode;
	}
	public void setLayoutCode(String layoutCode) {
		this.layoutCode = layoutCode;
	}
	public String getLayoutName() {
		return layoutName;
	}
	public void setLayoutName(String layoutName) {
		this.layoutName = layoutName;
	}
	public String getLayoutPath() {
		return layoutPath;
	}
	public void setLayoutPath(String layoutPath) {
		this.layoutPath = layoutPath;
	}
	public String getLayoutMode() {
		return layoutMode;
	}
	public void setLayoutMode(String layoutMode) {
		this.layoutMode = layoutMode;
	}
	public String getLayoutDesc() {
		return layoutDesc;
	}
	public void setLayoutDesc(String layoutDesc) {
		this.layoutDesc = layoutDesc;
	}
	public String getIconPath() {
		return iconPath;
	}
	public void setIconPath(String iconPath) {
		this.iconPath = iconPath;
	}    
}
