package com.loit.v1.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description 应用菜单管理数据传输实体类
 * @Author xutao
 * @Date 2019-10-18
 */
@ApiModel(value="MenuManageDTO", description="应用菜单管理数据传输实体类")
public class MenuManageDTO implements Serializable {

    private static final long serialVersionUID = 1L;
  
    @ApiModelProperty(value = "菜单名称", example = "应用管理")
    private String menuName;
    @ApiModelProperty(value = "菜单简称",example = "appManage")
    private String menuShortName;
    @ApiModelProperty(value = "入口URL", example = "/portal/appRegister/list")
    private String entranceUrl;    
    @ApiModelProperty(value = "入口菜单名称", example = "应用注册")
    private String entranceName;
    @ApiModelProperty(value = "是否可用（0：禁用 1：可用）", example = "1")
    private String isEnabled;
	@ApiModelProperty(value = "上下文ID", example = "1")
	private int menuContextId;
    @ApiModelProperty(value = "排序号", example = "1.0")
	private BigDecimal serialIndex;
	@ApiModelProperty(value = "说明", example = "应用管理菜单")
	private String menuDesc;
	@ApiModelProperty(value = "父菜单ID", example = "0")
	private Integer parentId;
	@ApiModelProperty(value = "菜单层级（多级父id，逗号隔开）", example = "0,1,")
	private String parentIds;
	@ApiModelProperty(value = "菜单级别", example = "1")
	private String menuLevel;
	@ApiModelProperty(value = "图标URL", example = "E:/img/1.png")
	private String menuUrl;
	@ApiModelProperty(value = "应用ID", example = "1")
	private int appId;
	@ApiModelProperty(value = "资源ID", example = "1")
	private int resId;
	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;
	public String getMenuName() {
		return menuName;
	}
	public void setMenuName(String menuName) {
		this.menuName = menuName;
	}
	public String getMenuShortName() {
		return menuShortName;
	}
	public void setMenuShortName(String menuShortName) {
		this.menuShortName = menuShortName;
	}
	public String getEntranceUrl() {
		return entranceUrl;
	}
	public void setEntranceUrl(String entranceUrl) {
		this.entranceUrl = entranceUrl;
	}
	public String getEntranceName() {
		return entranceName;
	}
	public void setEntranceName(String entranceName) {
		this.entranceName = entranceName;
	}
	public String getIsEnabled() {
		return isEnabled;
	}
	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}
	public BigDecimal getSerialIndex() {
		return serialIndex;
	}
	public void setSerialIndex(BigDecimal serialIndex) {
		this.serialIndex = serialIndex;
	}
	public String getMenuDesc() {
		return menuDesc;
	}
	public void setMenuDesc(String menuDesc) {
		this.menuDesc = menuDesc;
	}
	public Integer getParentId() {
		return parentId;
	}
	public void setParentId(Integer parentId) {
		this.parentId = parentId;
	}
	public String getMenuLevel() {
		return menuLevel;
	}
	public void setMenuLevel(String menuLevel) {
		this.menuLevel = menuLevel;
	}
	public String getMenuUrl() {
		return menuUrl;
	}
	public void setMenuUrl(String menuUrl) {
		this.menuUrl = menuUrl;
	}
	public int getAppId() {
		return appId;
	}
	public String getParentIds() {
		return parentIds;
	}
	public void setParentIds(String parentIds) {
		this.parentIds = parentIds;
	}
	public void setAppId(int appId) {
		this.appId = appId;
	}
	public int getResId() {
		return resId;
	}
	public void setResId(int resId) {
		this.resId = resId;
	}
	public int getMenuContextId() {
		return menuContextId;
	}
	public void setMenuContextId(int menuContextId) {
		this.menuContextId = menuContextId;
	}

	public String getEnableDel() {
		return enableDel;
	}

	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}
}
