package com.loit.v1.api.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.loit.v1.modules.entity.Label;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: OrgDTO  
* @Description:   
* @author zhaokz  
* @date 2019年10月23日 下午4:32:11 
* @version V1.0  
*/
@ApiModel(value = "OrgDTO", description="组织机构表数据传输类")
public class OrgDTO implements Serializable{
	
	private static final long serialVersionUID = 1L;

	public OrgDTO(){

	}
	public OrgDTO(Integer orgId){
		this.orgId = orgId;
	}

	@ApiModelProperty(value = "组织唯一ID",example = "1")
	private Integer orgId;

	@ApiModelProperty(value = "组织uuID，物联子平台需要",example = "1")
	private String sid;
	
	@ApiModelProperty(value = "组织版本",example = "1")
	private String orgVersion;

	@ApiModelProperty(value = "组织简称",example = "北京市城管局")
	private String orgShortName;

	@ApiModelProperty(value = "组织名称",example = "北京市城市管理综合执法监察局")
	private String orgName;

	@ApiModelProperty(value = "组织编码",example = "12312")
	private String orgCode;
	
	@ApiModelProperty(value = "组织类型",example = "2")
	private Integer orgType;

	@ApiModelProperty(value = "组织邮箱",example = "293932@163.com")
	private String orgMail;

	@ApiModelProperty(value = "联系方式",example = "15944553322")
	private String contact;

	@ApiModelProperty(value = "组织行政级别",example = "1")
	private String orgGrade;

	@ApiModelProperty(value = "组织层数",example = "2")
	private Integer orgLevel;

	@ApiModelProperty(value = "排序号",example = "23")
	private java.math.BigDecimal serialIndex;

	@ApiModelProperty(value = "说明",example = "阿斯顿发斯蒂芬")
	private String orgDesc;

	@ApiModelProperty(value = "父组织ID",example = "1")
	private Integer parentId;

	@ApiModelProperty(value = "状态(0正常1禁用2删除)",example = "0")
	private String orgStatus;

	@ApiModelProperty(value = "机构层次代码",example = "3424")
	private String orgLevelCode;
	
	@ApiModelProperty(value = "删除标记",example = "0")
	private String delFlag;

	@ApiModelProperty(value = "删除标记",example = "0")
	private String deltag;

	@ApiModelProperty("子节点列表对象")
	private List<OrgDTO> children;
	
	@ApiModelProperty("组织下人员列表")
	private List<PersonBaseDTO> persons;
	
	/**
	 * 组织扩展属性
	 */
//	List<OrgExtattr> orgExtattrs;
	List<OrgExtattrDTO> orgExtattrs;


	@ApiModelProperty(value = "创建时间",example = "0")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",  timezone="GMT+8")
	private Date createTime;

	@ApiModelProperty(value = "更新时间",example = "0")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",  timezone="GMT+8")
	private Date updateTime;

	@ApiModelProperty(value = "应用ID",example = "0")
	private String appId;

	@ApiModelProperty(value = "用户组id",example = "23")
	private Integer grpId;

	@ApiModelProperty(value = "组织标签列表")
	List<Label> labels = new ArrayList<>();

	public void setOrgId(Integer orgId){
		this.orgId = orgId;
	}

	public Integer getOrgId(){
		return this.orgId;
	}

	public String getSid() {
		return sid;
	}

	public void setSid(String sid) {
		this.sid = sid;
	}

	public void setOrgShortName(String orgShortName){
		this.orgShortName = orgShortName;
	}

	public String getOrgShortName(){
		return this.orgShortName;
	}

	public void setOrgName(String orgName){
		this.orgName = orgName;
	}

	public String getOrgName(){
		return this.orgName;
	}

	public void setOrgCode(String orgCode){
		this.orgCode = orgCode;
	}

	public String getOrgCode(){
		return this.orgCode;
	}

	public void setOrgMail(String orgMail){
		this.orgMail = orgMail;
	}

	public String getOrgMail(){
		return this.orgMail;
	}

	public void setContact(String contact){
		this.contact = contact;
	}

	public String getContact(){
		return this.contact;
	}

	public void setOrgGrade(String orgGrade){
		this.orgGrade = orgGrade;
	}

	public String getOrgGrade(){
		return this.orgGrade;
	}

	public void setOrgLevel(Integer orgLevel){
		this.orgLevel = orgLevel;
	}

	public Integer getOrgLevel(){
		return this.orgLevel;
	}

	public void setSerialIndex(java.math.BigDecimal serialIndex){
		this.serialIndex = serialIndex;
	}

	public java.math.BigDecimal getSerialIndex(){
		return this.serialIndex;
	}

	public void setOrgDesc(String orgDesc){
		this.orgDesc = orgDesc;
	}

	public String getOrgDesc(){
		return this.orgDesc;
	}

	public void setParentId(Integer parentId){
		this.parentId = parentId;
	}

	public Integer getParentId(){
		return this.parentId;
	}

	public void setOrgStatus(String orgStatus){
		this.orgStatus = orgStatus;
	}

	public String getOrgStatus(){
		return this.orgStatus;
	}

	public void setOrgLevelCode(String orgLevelCode){
		this.orgLevelCode = orgLevelCode;
	}

	public String getOrgLevelCode(){
		return this.orgLevelCode;
	}

	public String getOrgVersion() {
		return orgVersion;
	}

	public void setOrgVersion(String orgVersion) {
		this.orgVersion = orgVersion;
	}

	public List<OrgDTO> getChildren() {
		return children;
	}

	public void setChildren(List<OrgDTO> children) {
		this.children = children;
	}

	public String getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getDeltag() {
		return deltag;
	}

	public void setDeltag(String deltag) {
		this.deltag = deltag;
	}

//	public List<OrgExtattr> getOrgExtattrs() {
//		return orgExtattrs;
//	}
//
//	public void setOrgExtattrs(List<OrgExtattr> orgExtattrs) {
//		this.orgExtattrs = orgExtattrs;
//	}


	public List<OrgExtattrDTO> getOrgExtattrs() {
		return orgExtattrs;
	}

	public void setOrgExtattrs(List<OrgExtattrDTO> orgExtattrs) {
		this.orgExtattrs = orgExtattrs;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public Integer getGrpId() {
		return grpId;
	}

	public void setGrpId(Integer grpId) {
		this.grpId = grpId;
	}
	public List<PersonBaseDTO> getPersons() {
		return persons;
	}
	public void setPersons(List<PersonBaseDTO> persons) {
		this.persons = persons;
	}
	public Integer getOrgType() {
		return orgType;
	}
	public void setOrgType(Integer orgType) {
		this.orgType = orgType;
	}

	public List<Label> getLabels() {
		return labels;
	}

	public void setLabels(List<Label> labels) {
		this.labels = labels;
	}
}
