package com.loit.v1.api.dto;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: OrgExtattrInstDTO  
* @Description:   组织扩展实例表数据对象
* @author zhaokz  
* @date 2019年10月26日 上午11:22:42 
* @version V1.0  
*/

@ApiModel(value = "OrgExtattrInstDTO", description="组织扩展实例表数据对象")
public class OrgExtattrInstDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "实例ID",example = "1")
	private Integer instId;


	@ApiModelProperty(value = "属性实例值",example = "23")
	private String orgAttrValue;


	@ApiModelProperty(value = "组织属性名ID",example = "1")
	private Integer orgAttrId;


	@ApiModelProperty(value = "组织ID",example = "1")
	private Integer orgId;


	@ApiModelProperty(value = "创建时间",example = "2019-10-26 14:21:30")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date creatTime;


	public Integer getInstId() {
		return instId;
	}


	public void setInstId(Integer instId) {
		this.instId = instId;
	}


	public String getOrgAttrValue() {
		return orgAttrValue;
	}


	public void setOrgAttrValue(String orgAttrValue) {
		this.orgAttrValue = orgAttrValue;
	}


	public Integer getOrgAttrId() {
		return orgAttrId;
	}


	public void setOrgAttrId(Integer orgAttrId) {
		this.orgAttrId = orgAttrId;
	}


	public Integer getOrgId() {
		return orgId;
	}


	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}


	public Date getCreatTime() {
		return creatTime;
	}


	public void setCreatTime(Date creatTime) {
		this.creatTime = creatTime;
	}
	
	
}
