/**  
* @Title: PersonExtattrDTO.java  
* @Package com.loit.v1.api.dto  
* @Description:   
* @author zhaokz  
* @date 2019年10月26日下午2:47:57  
* @version V1.0  
*/ 
package com.loit.v1.api.dto;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: PersonExtattrDTO  
* @Description:   人员扩展属性表数据传输类
* @author zhaokz  
* @date 2019年10月26日 下午2:47:57 
* @version V1.0  
*/

@ApiModel(value = "PersonExtattrDTO", description="人员扩展属性表数据传输类")
public class PersonExtattrDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "人员属性ID",example = "1")
	private Integer personAttrId;


	@ApiModelProperty(value = "属性代码",example = "23")
	private String attrCode;


	@ApiModelProperty(value = "属性名称",example = "出生日期")
	private String attrName;


	@ApiModelProperty(value = "属性类型",example = "4")
	private String attrType;


	@ApiModelProperty(value = "是否必填",example = "0")
	private String isHave;


	@ApiModelProperty(value = "描述",example = "测试描述")
	private String attrDesc;


	@ApiModelProperty(value = "创建时间",example = "2019-10-26 15:12:30")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;


	@ApiModelProperty(value = "修改时间",example = "2019-10-26 15:12:30")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;


	@ApiModelProperty(value = "属性值")
	private String personAttrValue;

	@ApiModelProperty(value = "基本信息id",example = "4")
	private Integer personBaseId;

	public Integer getPersonAttrId() {
		return personAttrId;
	}


	public void setPersonAttrId(Integer personAttrId) {
		this.personAttrId = personAttrId;
	}


	public String getAttrCode() {
		return attrCode;
	}


	public void setAttrCode(String attrCode) {
		this.attrCode = attrCode;
	}


	public String getAttrName() {
		return attrName;
	}


	public void setAttrName(String attrName) {
		this.attrName = attrName;
	}


	public String getAttrType() {
		return attrType;
	}


	public void setAttrType(String attrType) {
		this.attrType = attrType;
	}


	public String getIsHave() {
		return isHave;
	}


	public void setIsHave(String isHave) {
		this.isHave = isHave;
	}


	public String getAttrDesc() {
		return attrDesc;
	}


	public void setAttrDesc(String attrDesc) {
		this.attrDesc = attrDesc;
	}


	public Date getCreatTime() {
		return createTime;
	}


	public void setCreatTime(Date createTime) {
		this.createTime = createTime;
	}


	public Date getUpdateTime() {
		return updateTime;
	}


	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getPersonAttrValue() {
		return personAttrValue;
	}

	public void setPersonAttrValue(String personAttrValue) {
		this.personAttrValue = personAttrValue;
	}

	public Integer getPersonBaseId() {
		return personBaseId;
	}

	public void setPersonBaseId(Integer personBaseId) {
		this.personBaseId = personBaseId;
	}
}
