package com.loit.v1.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 应用资源管理数据传输实体类
 * @Author xutao
 * @Date 2019-10-18
 */
@ApiModel(value="ResourceManageDTO", description="应用资源管理数据传输实体类")
public class ResourceManageDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "资源编码",example = "userManage")
    private String resourceCode;
    @ApiModelProperty(value = "资源名称", example = "用户管理")
    private String resourceName;
    @ApiModelProperty(value = "描述",example = "用户管理界面")
    private String resourceDesc;
    @ApiModelProperty(value = "版本", example = "V1")
    private String resourceVersion;
    @ApiModelProperty(value = "资源值", example = "/sys/user/list")
    private String resourceUrl;
    @ApiModelProperty(value = "父资源唯一ID", example = "1")
    private Integer resourceParentId;
    @ApiModelProperty(value = "0：禁用 1：可用 ", example = "1")
    private String resourceStatus;
    @ApiModelProperty(value = "排序号", example = "1.00")
    private String serialIndex;
    @ApiModelProperty(value = "上下文ID", example = "1")
    private Integer contextId;
    @ApiModelProperty(value = "应用ID", example = "1")
    private Integer appId;
    @ApiModelProperty(value = "资源类别ID", example = "1")
    private Integer typeId;
	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;
	public String getResourceCode() {
		return resourceCode;
	}
	public void setResourceCode(String resourceCode) {
		this.resourceCode = resourceCode;
	}
	public String getResourceName() {
		return resourceName;
	}
	public void setResourceName(String resourceName) {
		this.resourceName = resourceName;
	}
	public String getResourceDesc() {
		return resourceDesc;
	}
	public void setResourceDesc(String resourceDesc) {
		this.resourceDesc = resourceDesc;
	}
	public String getResourceVersion() {
		return resourceVersion;
	}
	public void setResourceVersion(String resourceVersion) {
		this.resourceVersion = resourceVersion;
	}
	public String getResourceUrl() {
		return resourceUrl;
	}
	public void setResourceUrl(String resourceUrl) {
		this.resourceUrl = resourceUrl;
	}
	public Integer getResourceParentId() {
		return resourceParentId;
	}
	public void setResourceParentId(Integer resourceParentId) {
		this.resourceParentId = resourceParentId;
	}
	public String getResourceStatus() {
		return resourceStatus;
	}
	public void setResourceStatus(String resourceStatus) {
		this.resourceStatus = resourceStatus;
	}
	public String getSerialIndex() {
		return serialIndex;
	}
	public void setSerialIndex(String serialIndex) {
		this.serialIndex = serialIndex;
	}
	public Integer getContextId() {
		return contextId;
	}
	public void setContextId(Integer contextId) {
		this.contextId = contextId;
	}
	public Integer getAppId() {
		return appId;
	}
	public void setAppId(Integer appId) {
		this.appId = appId;
	}
	public Integer getTypeId() {
		return typeId;
	}
	public void setTypeId(Integer typeId) {
		this.typeId = typeId;
	}
	public String getEnableDel() {
		return enableDel;
	}
	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}
}
