package com.loit.v1.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: RoleDTO  
* @Description:   角色表数据传输类
* @author zhaokz  
* @date 2019年10月26日 下午3:46:32 
* @version V1.0  
*/

@ApiModel(value = "RoleDTO", description="角色表数据传输类")
public class RoleDTO implements Serializable {

	private static final long serialVersionUID = 1L;


	public RoleDTO(){

	}
	public RoleDTO(Integer roleId){
		this.roleId = roleId;
	}

	@ApiModelProperty(value = "角色ID",example = "1")
	private Integer roleId;


	@ApiModelProperty(value = "角色名称",example = "管理员")
	private String roleName;


	@ApiModelProperty(value = "角色编码",example = "1")
	private String roleCode;


	@ApiModelProperty(value = "角色说明",example = "后台管理")
	private String roleDesc;


	@ApiModelProperty(value = "角色状态",example = "0")
	private String roleStatus;
	
	@ApiModelProperty(value = "角色类型",example = "1")
	private String roleType;


	@ApiModelProperty(value = "排序号",example = "1")
	private BigDecimal serialIndex;


	@ApiModelProperty(value = "创建人",example = "1")
	private String createUser;


	@ApiModelProperty(value = "修改人",example = "1")
	private String updateUser;


	@ApiModelProperty(value = "应用ID",example = "1")
	private Integer appId;


	@ApiModelProperty(value = "来源类型",example="1")
	private String fromType;

	@ApiModelProperty(value = "应用名称",example="勤务报备1")
	private String appName;

	@ApiModelProperty(value = "创建时间",example = "2019-10-26 15:12:30")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",  timezone="GMT+8")
	private Date createTime;

	@ApiModelProperty(value = "更新时间",example = "2019-10-26 15:12:30")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",  timezone="GMT+8")
	private Date updateTime;
	
	@ApiModelProperty(value = "组织id",example = "1")
	private Integer orgId;
	
	@ApiModelProperty(value = "组织名称",example = "组织")
	private String orgName;

	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;

	public Integer getRoleId() {
		return roleId;
	}


	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}


	public String getRoleName() {
		return roleName;
	}


	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}


	public String getRoleCode() {
		return roleCode;
	}


	public void setRoleCode(String roleCode) {
		this.roleCode = roleCode;
	}


	public String getRoleDesc() {
		return roleDesc;
	}


	public void setRoleDesc(String roleDesc) {
		this.roleDesc = roleDesc;
	}


	public String getRoleStatus() {
		return roleStatus;
	}


	public void setRoleStatus(String roleStatus) {
		this.roleStatus = roleStatus;
	}


	public java.math.BigDecimal getSerialIndex() {
		return serialIndex;
	}


	public void setSerialIndex(java.math.BigDecimal serialIndex) {
		this.serialIndex = serialIndex;
	}


	public String getCreateUser() {
		return createUser;
	}


	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}


	public String getUpdateUser() {
		return updateUser;
	}


	public void setUpdateUser(String updateUser) {
		this.updateUser = updateUser;
	}


	public Integer getAppId() {
		return appId;
	}


	public void setAppId(Integer appId) {
		this.appId = appId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getFromType() {
		return fromType;
	}

	public void setFromType(String fromType) {
		this.fromType = fromType;
	}

	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}
	public String getRoleType() {
		return roleType;
	}
	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}
	public Integer getOrgId() {
		return orgId;
	}
	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}
	public String getOrgName() {
		return orgName;
	}
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	public String getEnableDel() {
		return enableDel;
	}
	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}
}
