package com.loit.v1.api.dto;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: SynLogDTO
 * @Description: 同步日志记录表
 * @author  zhangyl
 * @date  2019-11-19 15:24:07
 * @version V1.0 
 **/
@ApiModel(value = "SynLogDTO", description="同步日志记录表数据传输类")
public class SynLogDTO implements Serializable{

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "日志ID",example="1")
	private Integer logId;


	@ApiModelProperty(value = "同步状态1、成功 2、失败")
	private String synStatus;


	@ApiModelProperty(value = "同步对象ID",example="1")
	private Integer objectId;


	@ApiModelProperty(value = "同步对象名称")
	private String objectName;


	@ApiModelProperty(value = "目标ID",example="1")
	private Integer targetId;


	@ApiModelProperty(value = "创建时间")
//	@DateTimeFormat(pattern = "yyyy-MM-dd'T'HH:mm:ss.SSS'Z'")
//	@JSONField(format = "yyyy-MM-dd'T'HH:mm:ss.SSS'Z'")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",  timezone="GMT+8")
	private Date createTime;

	@ApiModelProperty(value = "目标名称")
	private String targetName;


	@ApiModelProperty(value = "服务地址")
	private String serviceUrl;


	@ApiModelProperty(value = "是否可用 1、可用 2、禁用")
	private String enabled;


	@ApiModelProperty(value = "应用ID",example="1")
	private Integer appId;

	@ApiModelProperty(value = "应用名称",example="凌宇门户")
	private String appName;

	@ApiModelProperty(value = "对象类型 1、组织 2、人员 3、角色")
	private String objectType;


	@ApiModelProperty(value = "同步方式 1、增加 2、修改 3、删除")
	private String synMode;


	@ApiModelProperty(value = "目标描述")
	private String targetDesc;

	public Integer getLogId() {
		return logId;
	}

	public void setLogId(Integer logId) {
		this.logId = logId;
	}

	public String getSynStatus() {
		return synStatus;
	}

	public void setSynStatus(String synStatus) {
		this.synStatus = synStatus;
	}

	public Integer getObjectId() {
		return objectId;
	}

	public void setObjectId(Integer objectId) {
		this.objectId = objectId;
	}

	public String getObjectName() {
		return objectName;
	}

	public void setObjectName(String objectName) {
		this.objectName = objectName;
	}

	public Integer getTargetId() {
		return targetId;
	}

	public void setTargetId(Integer targetId) {
		this.targetId = targetId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getTargetName() {
		return targetName;
	}

	public void setTargetName(String targetName) {
		this.targetName = targetName;
	}

	public String getServiceUrl() {
		return serviceUrl;
	}

	public void setServiceUrl(String serviceUrl) {
		this.serviceUrl = serviceUrl;
	}

	public String getEnabled() {
		return enabled;
	}

	public void setEnabled(String enabled) {
		this.enabled = enabled;
	}

	public Integer getAppId() {
		return appId;
	}

	public void setAppId(Integer appId) {
		this.appId = appId;
	}

	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}

	public String getObjectType() {
		return objectType;
	}

	public void setObjectType(String objectType) {
		this.objectType = objectType;
	}

	public String getSynMode() {
		return synMode;
	}

	public void setSynMode(String synMode) {
		this.synMode = synMode;
	}

	public String getTargetDesc() {
		return targetDesc;
	}

	public void setTargetDesc(String targetDesc) {
		this.targetDesc = targetDesc;
	}
}
