package com.loit.v1.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 应用主题管理数据传输实体类
 * @Author xutao
 * @Date 2019-10-18
 */
@ApiModel(value="ThemeManageDTO", description="应用主题管理数据传输实体类")
public class ThemeManageDTO implements Serializable {

    private static final long serialVersionUID = 1L;
  
	@ApiModelProperty("LOGO图标URL")
	private String logoIconUrl;
	@ApiModelProperty("LOGO背景URL")
	private String logoBackgroundUrl;
	@ApiModelProperty("应用展现方式（1、门户展示（内嵌） 2、独立展示），默认为1")
	private String appDisplayMode;	
	@ApiModelProperty(value = "菜单布局ID",example="2")
	private int layoutId;
	@ApiModelProperty(value = "菜单样式ID",example="1")
	private Integer styleId;
	
	public String getLogoIconUrl() {
		return logoIconUrl;
	}
	public void setLogoIconUrl(String logoIconUrl) {
		this.logoIconUrl = logoIconUrl;
	}
	public String getLogoBackgroundUrl() {
		return logoBackgroundUrl;
	}
	public void setLogoBackgroundUrl(String logoBackgroundUrl) {
		this.logoBackgroundUrl = logoBackgroundUrl;
	}
	public String getAppDisplayMode() {
		return appDisplayMode;
	}
	public void setAppDisplayMode(String appDisplayMode) {
		this.appDisplayMode = appDisplayMode;
	}
	public int getLayoutId() {
		return layoutId;
	}
	public void setLayoutId(int layoutId) {
		this.layoutId = layoutId;
	}

	public Integer getStyleId() {
		return styleId;
	}
	public void setStyleId(Integer styleId) {
		this.styleId = styleId;
	}    
}
