package com.loit.v1.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: UserGroupDTO  
* @Description: 用户组表数据传输类  
* @author zhaokz  
* @date 2019年10月26日 下午4:23:30 
* @version V1.0  
*/

@ApiModel(value = "UserGroupDTO", description="用户组表数据传输类")
public class UserGroupDTO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "用户组ID",example = "1")
	private Integer grpId;

	@ApiModelProperty(value = "应用Id",example="1")
	private Integer appId;
	
	@ApiModelProperty(value = "用户组名称",example = "缉毒小组")
	private String grpName;


	@ApiModelProperty(value = "用户组说明",example = "抓捕贩毒集团")
	private String grpDesc;


	@ApiModelProperty(value = "排序号",example = "1")
	private BigDecimal serialIndex;


	/**
	 * 0不可用1:可用
	 */
	@ApiModelProperty(value = "用户组状态",example = "1")
	private String grpState;


	public Integer getGrpId() {
		return grpId;
	}


	public void setGrpId(Integer grpId) {
		this.grpId = grpId;
	}


	public String getGrpName() {
		return grpName;
	}


	public void setGrpName(String grpName) {
		this.grpName = grpName;
	}


	public String getGrpDesc() {
		return grpDesc;
	}


	public void setGrpDesc(String grpDesc) {
		this.grpDesc = grpDesc;
	}


	public BigDecimal getSerialIndex() {
		return serialIndex;
	}


	public void setSerialIndex(BigDecimal serialIndex) {
		this.serialIndex = serialIndex;
	}


	public String getGrpState() {
		return grpState;
	}


	public void setGrpState(String grpState) {
		this.grpState = grpState;
	}


	public Integer getAppId() {
		return appId;
	}


	public void setAppId(Integer appId) {
		this.appId = appId;
	}

	

	
}
