package com.loit.v1.api.util.DateTotalUtils;

import com.loit.common.spring.timeloit.utils.LogUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 时间统计工具类
 */
public class DateTotalUtils {
    public static Logger LOGGER = LoggerFactory.getLogger(DateTotalUtils.class);

    /**
     * 自定义打印信息的执行时间统计
     * @param log
     * @param handler
     */
    public static void print(String log, DateTotalVoidHandler handler){
        if(DateTotalUtils.LOGGER.isDebugEnabled()){
            long startTime = System.currentTimeMillis();
            handler.invok();
            Long excTimeL = System.currentTimeMillis() - startTime;
            double excTime = excTimeL.doubleValue() / 1000;
            DateTotalUtils.LOGGER.debug(LogUtil.print(log + "，执行用时：" + excTime + "秒"));
        } else {
            handler.invok();
        }
    }

    /**
     * 执行时间统计
     * @param handler
     */
    public static void print(DateTotalVoidHandler handler){
        if(DateTotalUtils.LOGGER.isDebugEnabled()) {
            long startTime = System.currentTimeMillis();
            handler.invok();
            Long excTimeL = System.currentTimeMillis() - startTime;
            double excTime = excTimeL.doubleValue() / 1000;
            DateTotalUtils.LOGGER.debug(LogUtil.print("执行用时：" + excTime + "秒"));
        } else {
            handler.invok();
        }
    }

    /**
     * 有返回值的自定义打印信息的执行时间统计
     * @param log
     * @param handler
     */
    public static <T> T printR(String log, Class<T> clazz, DateTotalReturnHandler handler){
        if(DateTotalUtils.LOGGER.isDebugEnabled()){
            long startTime = System.currentTimeMillis();
            T invok = (T)handler.invok();
            Long excTimeL = System.currentTimeMillis() - startTime;
            double excTime = excTimeL.doubleValue() / 1000;
            DateTotalUtils.LOGGER.debug(LogUtil.print(log + "，执行用时：" + excTime + "秒"));
            return invok;
        } else {
            return (T)handler.invok();
        }
    }

    /**
     * 有返回值的执行时间统计
     * @param handler
     */
    public static <T> T printR(Class<T> clazz, DateTotalReturnHandler handler){
        if(DateTotalUtils.LOGGER.isDebugEnabled()) {
            long startTime = System.currentTimeMillis();
            T invok = (T)handler.invok();
            Long excTimeL = System.currentTimeMillis() - startTime;
            double excTime = excTimeL.doubleValue() / 1000;
            DateTotalUtils.LOGGER.debug(LogUtil.print("执行用时：" + excTime + "秒"));
            return invok;
        } else {
            return (T)handler.invok();
        }
    }

}
