package com.loit.v1.audit.dao;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.audit.entity.AuditStrategy;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * @ClassName: AuditStrategyDao
 * @Description: 行为审核策略表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface AuditStrategyDao extends CrudDao<AuditStrategy> {
	/**
	* @Description: 根据类名和方法名获取审计策略及相应的审计等级、警告类型
	* @author: gzx
	* @date: 2019年10月27日 下午5:50:32 
	* @param @param className  类名
	* @param @param method     方法
	* @param @return 参数 
	* @return AuditStrategy 返回类型 
	* @throws
	 */
	public AuditStrategy getStrategyByClassAndMethod(@Param("actClass")String className,@Param("actMethod")String method);
	
}