package com.loit.v1.audit.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: AuditLevel
 * @Description: 行为审核级别表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "AuditLevel", description="行为审核级别表数据对象")
public class AuditLevel extends DataEntity<AuditLevel>{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "级别ID",example = "1")
	private Integer levelId;


	@ApiModelProperty(value = "级别名称")
	private String levelName;


	@ApiModelProperty(value = "级别编码")
	private String levelCode;


	@ApiModelProperty(value = "级别描述")
	private String levelDesc;


	@ApiModelProperty(value = "警告对象")
	private String alertTarget;


	@ApiModelProperty(value = "警告ID",example = "1")
	private Integer alertId;

	@ApiModelProperty(value = "行为审核警告")
	private AuditAlert auditAlert;

	@ApiModelProperty(value = "应用代码")
	private String appCode;

	@ApiModelProperty(value = "应用系统名称")
	private String appName;

	public void setLevelId(Integer levelId){
		this.levelId = levelId;
	}

	public Integer getLevelId(){
		return this.levelId;
	}

	public void setLevelName(String levelName){
		this.levelName = levelName;
	}

	public String getLevelName(){
		return this.levelName;
	}

	public void setLevelCode(String levelCode){
		this.levelCode = levelCode;
	}

	public String getLevelCode(){
		return this.levelCode;
	}

	public void setLevelDesc(String levelDesc){
		this.levelDesc = levelDesc;
	}

	public String getLevelDesc(){
		return this.levelDesc;
	}

	public void setAlertTarget(String alertTarget){
		this.alertTarget = alertTarget;
	}

	public String getAlertTarget(){
		return this.alertTarget;
	}

	public void setAlertId(Integer alertId){
		this.alertId = alertId;
	}

	public Integer getAlertId(){
		return this.alertId;
	}

	public AuditAlert getAuditAlert() {
		return auditAlert;
	}

	public void setAuditAlert(AuditAlert auditAlert) {
		this.auditAlert = auditAlert;
	}

	public String getAppCode() {
		return appCode;
	}

	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}

	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}
}
