package com.loit.v1.audit.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.loit.common.persistence.DataEntity;

import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * @ClassName: AuditLog
 * @Description: 行为审核日志表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "AuditLog", description="行为审核日志表数据对象")
public class AuditLog extends DataEntity<AuditLog> {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "审核日志ID",example = "1")
	private Integer auditId;


	@ApiModelProperty(value = "行为者")
	private String actor;


	@ApiModelProperty(value = "行为时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08")
	private Date actTime;


	@ApiModelProperty(value = "行为信息")
	private String actMessage;


	@ApiModelProperty(value = "状态;0:告警通知失败，1：告警通知成功")
	private String actStatus;


	@ApiModelProperty(value = "级别ID",example = "1")
	private Integer levelId;


	@ApiModelProperty(value = "行为代码ID",example = "1")
	private Integer actCodeId;


	@ApiModelProperty(value = "行为对象ID",example = "1")
	private Integer objectTypeId;

	@ApiModelProperty(value = "审核级别名称")
	private String levelName;

	@ApiModelProperty(value = "行为代码名称")
	private String codeName;

	@ApiModelProperty(value = "对象类别名称")
	private String objectTypeName;

	@ApiModelProperty(value = "应用代码")
	private String appCode;

	@ApiModelProperty(value = "应用系统名称")
	private String appName;

	public void setAuditId(Integer auditId){
		this.auditId = auditId;
	}

	public Integer getAuditId(){
		return this.auditId;
	}

	public void setActor(String actor){
		this.actor = actor;
	}

	public String getActor(){
		return this.actor;
	}

	public void setActTime(Date actTime){
		this.actTime = actTime;
	}

	public Date getActTime(){
		return this.actTime;
	}

	public void setActMessage(String actMessage){
		this.actMessage = actMessage;
	}

	public String getActMessage(){
		return this.actMessage;
	}

	public void setActStatus(String actStatus){
		this.actStatus = actStatus;
	}

	public String getActStatus(){
		return this.actStatus;
	}

	public void setLevelId(Integer levelId){
		this.levelId = levelId;
	}

	public Integer getLevelId(){
		return this.levelId;
	}

	public void setActCodeId(Integer actCodeId){
		this.actCodeId = actCodeId;
	}

	public Integer getActCodeId(){
		return this.actCodeId;
	}

	public void setObjectTypeId(Integer objectTypeId){
		this.objectTypeId = objectTypeId;
	}

	public Integer getObjectTypeId(){
		return this.objectTypeId;
	}

	public String getLevelName() {
		return levelName;
	}

	public void setLevelName(String levelName) {
		this.levelName = levelName;
	}

	public String getCodeName() {
		return codeName;
	}

	public void setCodeName(String codeName) {
		this.codeName = codeName;
	}

	public String getObjectTypeName() {
		return objectTypeName;
	}

	public void setObjectTypeName(String objectTypeName) {
		this.objectTypeName = objectTypeName;
	}

	public String getAppCode() {
		return appCode;
	}

	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}

	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}
}
