package com.loit.v1.audit.entity;

import java.io.Serializable;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: AuditStrategy
 * @Description: 行为审核策略表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "AuditStrategy", description="行为审核策略表数据对象")
public class AuditStrategy extends DataEntity<AuditStrategy>  implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "审核策略ID",example = "1")
	private Integer strategyId;


	@ApiModelProperty(value = "审核类名称")
	private String actClass;


	@ApiModelProperty(value = "审核方法")
	private String actMethod;


	@ApiModelProperty(value = "是否有效1、有效 2、无效")
	private String enabled;


	@ApiModelProperty(value = "审核级别ID",example = "1")
	private Integer levelId;
	
	@ApiModelProperty(value = "审核级别名称")
	private String levelName;

	@ApiModelProperty(value = "对象类别ID",example = "1")
	private Integer objectTypeId;

	@ApiModelProperty(value = "对象类别名称")
	private String objectTypeName;

	@ApiModelProperty(value = "行为代码ID",example = "1")
	private Integer actCodeId;
	
	@ApiModelProperty(value = "行为代码名称")
	private String codeName;

	@ApiModelProperty(value = "描述")
	private String actDesc;
	
	@ApiModelProperty(value = "行为审核实体对象")
	private AuditLevel auditLevel;

	@ApiModelProperty(value = "应用代码")
	private String appCode;

	@ApiModelProperty(value = "应用系统名称")
	private String appName;

	public void setStrategyId(Integer strategyId){
		this.strategyId = strategyId;
	}

	public Integer getStrategyId(){
		return this.strategyId;
	}

	public void setActClass(String actClass){
		this.actClass = actClass;
	}

	public String getActClass(){
		return this.actClass;
	}

	public void setActMethod(String actMethod){
		this.actMethod = actMethod;
	}

	public String getActMethod(){
		return this.actMethod;
	}

	public void setEnabled(String enabled){
		this.enabled = enabled;
	}

	public String getEnabled(){
		return this.enabled;
	}

	public void setLevelId(Integer levelId){
		this.levelId = levelId;
	}

	public Integer getLevelId(){
		return this.levelId;
	}

	public void setObjectTypeId(Integer objectTypeId){
		this.objectTypeId = objectTypeId;
	}

	public Integer getObjectTypeId(){
		return this.objectTypeId;
	}

	public void setActCodeId(Integer actCodeId){
		this.actCodeId = actCodeId;
	}

	public Integer getActCodeId(){
		return this.actCodeId;
	}

	public void setActDesc(String actDesc){
		this.actDesc = actDesc;
	}

	public String getActDesc(){
		return this.actDesc;
	}

	public String getLevelName() {
		return levelName;
	}

	public void setLevelName(String levelName) {
		this.levelName = levelName;
	}

	public String getObjectTypeName() {
		return objectTypeName;
	}

	public void setObjectTypeName(String objectTypeName) {
		this.objectTypeName = objectTypeName;
	}

	public String getCodeName() {
		return codeName;
	}

	public void setCodeName(String codeName) {
		this.codeName = codeName;
	}

	public String getAppCode() {
		return appCode;
	}

	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}

	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}
}
