package com.loit.v1.audit.jms;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jms.annotation.JmsListener;
import org.springframework.stereotype.Component;

import com.loit.v1.audit.service.AuditLogService;
import com.loit.v1.modules.constant.BusinessConstants;

/**
 * @Description: 审计消息的消费者
 * @author: gzx
 * @date: 2019年10月26日 下午2:17:03
 * @version: V1.0
 */
@Component
public class AuditMessageConsumer {
	@Autowired
	private AuditLogService auditLogService;

    @JmsListener(destination = BusinessConstants.AUDIT_MESSAGE)
    public void receiveAuditMessageQueue(Map<String,Object> map) {
    	
    	auditLogService.writeAuditLog(map);
    	    	
    }
}
