package com.loit.v1.audit.service;

import org.springframework.stereotype.Service;
import com.loit.common.service.CrudService;
import com.loit.v1.audit.dao.AuditAlertDao;
import com.loit.v1.audit.entity.AuditAlert;


/**
 * @ClassName: AuditAlertService
 * @Description: 行为审核警告表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Service
public class AuditAlertService extends CrudService<AuditAlertDao, AuditAlert> {
	
	/**
	* @Description: 审核警告名称唯一性验证
	* @author: gzx
	* @date: 2019年12月6日 下午3:59:20 
	* @param @param ipPolicyId
	* @param @param ipPolicyName
	* @param @return 参数 
	* @return boolean 返回类型 
	* @throws
	 */
	public boolean checkAlertNameUnique(Integer alertId,String alertName) {
		int count = dao.checkAlertNameUnique(alertName,alertId );
		if(count>0) {
			return false;
		}
		return true;
	}
}