package com.loit.v1.modules.constant;

/**  
* @ClassName: BusinessConstants  
* @Description:   业务常量类
* @author zhaokz  
* @date 2019年11月21日 上午9:53:05 
* @version V1.0  
*/

public class BusinessConstants {
	
	/**
	 * redis缓存菜单key前缀
	 */
	public static final String USER_MENU_CACHE = "role_menu_";
	/**
	 * redis缓存应用key
	 */
	public static final String APP_CACHE = "portal_app";
	/**
	 * redis缓存根菜单目录
	 */
	public static final String ROOT_MENU_CACHE = "root_menu_";
	/**
	 * redis缓存角色操作权限key
	 */
	public static final String ROLE_OPERATOR_CACHE = "role_operator";

	/**
	 * redis缓存系统主题
	 */
	public static final String APPLICATION_THEME_CACHE = "application_skin_";

	/**
	 * redis 缓存用户日志级别的信息
	 */
	public static final String USER_LOG_LEVEL = "user_log_level";


	/**
	 * redis缓存角色应用信息
	 */
	public static final String ROLE__CACHE = "role_operator";
	/** 组织状态  */
	/** 0 正常 **/
	public static final String ORG_STATUS_NORMAL = "0";
	/** 1 禁止 **/
	public static final String ORG_STATUS_FORBID = "1";
	/** 2 删除 **/
	public static final String ORG_STATUS_DELETE = "2";
	
	/** 用户组状态  */
	/** 0 不可用 **/
	public static final String GRP_STATUS_FORBID = "0";
	/** 1 可用 **/
	public static final String GRP_STATUS_NORMAL = "1";
	
	/** 人员账号状态 */
	/** 0 正常 **/
	public static final String ACCOUNT_STATUS_NORMAL = "0";
	/** 1 锁定 **/
	public static final String ACCOUNT_STATUS_LOCK = "1";
	/** 2 一般管理员禁止 **/
	public static final String ACCOUNT_STATUS_FORBID = "2";
	
	/** 是否 */
	/** 0 否 **/
	public static final String NOT = "0";
	/** 1 是 **/
	public static final String IS = "1";
	

	/**应用组织权限 */
	/** 1 仅选择组织 **/
	public static final String ORG_SELF ="1";
	/** 2 仅下属组织 **/
	public static final String ORG_CHILDREN = "2";
	/** 3 所选及下属 **/
	public static final String ORG_SELF_CHILDREN = "3";

 

	/**账号类型 */
	/** 0 普通账号 **/
	public static final String ACCOUNT_TYPE_NORMAL = "0";
	/** 1 临时账号 **/
	public static final String ACCOUNT_TYPE_TEMP = "1";
	/** 2 应用管理员 **/
	public static final String ACCOUNT_TYPE_APPADMIN = "2";
	/** 3 超级管理员 **/
	public static final String ACCOUNT_TYPE_SUPERADMIN = "3";



	/**来源类型*/
	/** 1 来源用户 **/
	public static final String SOURCE_FROM_USER = "1";
	/** 2 来源组织 **/
	public static final String SOURCE_FROM_ORG = "2";
	/** 3 来源用户组 **/
	public static final String SOURCE_FROM_GRP = "3";
	/** 4 来源用户组添加组织 **/
	public static final String SOURCE_FROM_GRP_ADD_ORG = "4";
	
	/**密码级别     */
	/** 1 数字组成 **/
	public static final String PASSWORD_ONLY_DIGIT = "1";
	/** 2 小写字母组成 **/
	public static final String PASSWORD_ONLY_LOWERCASE = "2";
	/** 3 大写字母组成 **/
	public static final String PASSWORD_ONLY_UPPERCASE = "3";
	/** 4 数字+大写字母组成 **/
	public static final String PASSWORD_DIGIT_ADN_UPPERCASE = "4";
	/** 5 标点符号+数字+大写字母组成 **/
	public static final String PASSWORD_SYMBOL_AND_DIGIT_AND_UPPERCASE = "5";
	
	/**IP类型  */
	/** 1 任意IP **/
	public static final String IP_ANY = "1";
	/** 2 指定IP **/
	public static final String IP_APPOINT = "2";
	/** 3 IP段 **/
	public static final String IP_AREA = "3";

	/** 实时同步 消息队列 destation编码  */
	/**  组织保存 **/
	public static final String QUEUE_SYNC_ORG_SAVE = "queue.sync.org.save";
	/**  组织删除 **/
	public static final String QUEUE_SYNC_ORG_DELETE = "queue.sync.org.delete";
	/**  人员保存 **/
	public static final String QUEUE_SYNC_PERSON_SAVE = "queue.sync.person.save";
	/**  人员删除 **/
	public static final String QUEUE_SYNC_PERSON_DELETE = "queue.sync.person.delete";
	/**  角色保存 **/
	public static final String QUEUE_SYNC_ROLE_SAVE = "queue.sync.role.save";
	/**  角色删除 **/
	public static final String QUEUE_SYNC_ROLE_DELETE = "queue.sync.role.delete";
	
	/**审计消息队列  */
	/** 审计消息队列名 **/
	public static final String AUDIT_MESSAGE = "audit.message";
	
	/** 人员类型 1个人用户 2组织用户 **/
	public static final String 	OWN_USRR = "1";
	public static final String 	ORG_USER = "2";
	
	/** 角色类型 1普通角色 2组织角色 **/
	public static final String 	COMMON_ROLE = "1";
	public static final String 	ORG_ROLE = "2";

	/** 消息类型字典code */
	public static final String NOTICE_TYPE = "NOTICE_TYPE";

	/** redis 角色应用缓存 */
	public static final String ROLE_APPLICATION_LIST="role_application_";

	/** websocket服务器信息 */
	public static final String WEBSOCKET_CATCH_KEY = "websocketServer";

	
}
