package com.loit.v1.modules.controller;                                                                                                      
                                                                                                                                             
import com.loit.common.utils.ListUtil;
import com.loit.modules.sys.entity.DictData;
import com.loit.modules.sys.utils.DictDataUtils;
import com.loit.v1.modules.entity.Label;
import com.loit.common.json.AjaxJson;
import io.swagger.annotations.*;
import org.slf4j.Logger;                                                                                                                     
import org.slf4j.LoggerFactory;                                                                                                              
import org.springframework.web.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;
                                                                                                                                             
                                                                                                                                             


/**
 * 标签[门户平台]接口
 * Created by Demon on 2020-06-20.
 **/
@RestController                                                                                                                              
@RequestMapping("api/v1/label")                                                                                                         
@Api(tags = "标签[门户平台]接口",  value = "LabelController")                                                                                              
public class LabelController {                                                                                                            
                                                                                                                                             
	/**                                                                                                                                      
	 * 日志工具                                                                                                                              
	 */                                                                                                                                      
	private Logger logger = LoggerFactory.getLogger(this.getClass());                                                                        
	                                                                                                                                         
	@ApiOperation(value = "组织标签列表", notes = "组织标签列表")
	@RequestMapping(value = "/org/list", method = RequestMethod.GET)
	public AjaxJson findAll() {
		AjaxJson json = new AjaxJson();
		try {
			List<DictData> orgLabel = DictDataUtils.getDictDataList("orgLabel");
			if(ListUtil.isEmpty(orgLabel)){
				json.put("list", new ArrayList<>());
				return json;
			}

			// 字典转换标签列表
			List<Label> labels = new ArrayList<>();
			for (DictData dictData : orgLabel) {
				Label label = new Label();
				label.setLabelDictDataId(dictData.getDataId());
				label.setLabelName(dictData.getDataName());
				label.setLabelDictDataCode(dictData.getDataCode());
				label.setLabelDictCode("orgLabel");
				labels.add(label);
			}

			json.put("list", labels);
		} catch (Exception e) {
			e.printStackTrace();
			return AjaxJson.returnExceptionInfo("获取列表异常", json);
		}
		return json;
	}



}                                                                                                                                            
