package com.loit.v1.modules.controller;

import com.loit.common.json.AjaxJson;
import com.loit.common.utils.ListUtil;
import com.loit.common.web.BaseController;
import com.loit.v1.api.dto.PersonBaseDTO;
import com.loit.v1.modules.entity.AccoutInfo;
import com.loit.v1.modules.service.AccoutInfoService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import com.loit.api.service.OnlineUserCountApiService;
import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping(value = "api/v1")
@Api(tags = "在线用户数量",  value = "LoginUserCountController")
public class LoginUserCountController extends BaseController {
	@Autowired
	private AccoutInfoService accoutInfoService;

	@Autowired
	private OnlineUserCountApiService onlineUserCountApiService;

	/**
	 * 获取在线用户数量
	 * @return
	 */
	@GetMapping(value = "/online/user/count")
	public AjaxJson onlineUserCount(){
		AjaxJson json = new AjaxJson();

		// 在线人数
        AjaxJson ajaxJson = onlineUserCountApiService.onlineUserCount();
        Long count = (Long) ajaxJson.getBody().get("count");
		json.put("userOnlineCount", count);

		// 登录账号总人数
		Integer accoutInfoCount = accoutInfoService.findListCount(new AccoutInfo());
		json.put("userTotalCount", accoutInfoCount);

		return json;
	}

	/**
	 * 获取在线用户信息列表
	 * @return
	 */
	@GetMapping(value = "/online/users")
	public AjaxJson onlineUsers(
			@RequestParam(value = "keyword", required = false) String userIdOrPersonName) {
		AjaxJson json = new AjaxJson();
		AjaxJson ajaxJson = onlineUserCountApiService.onlineUserList();
		List<String> userIds = (List<String>) ajaxJson.getBody().get("list");
		if(ListUtil.isEmpty(userIds)) {
			json.put("list", new ArrayList());
		}else {
			List<PersonBaseDTO> persons = accoutInfoService.getAccountByUserIds(userIds, userIdOrPersonName);
			json.put("list", persons);
		}
		return json;
	}
}
