package com.loit.v1.modules.controller;                                                                                                      
                                                                                                                                             
import com.loit.v1.modules.entity.PersonBase;
import com.loit.v1.modules.entity.Position;
import com.loit.v1.modules.service.PersonBaseService;
import com.loit.v1.modules.service.PositionService;
import com.loit.common.json.AjaxJson;                                                                                                        
import com.loit.common.persistence.Page;                                                                                                     
import io.swagger.annotations.*;                                                                                                             
import org.slf4j.Logger;                                                                                                                     
import org.slf4j.LoggerFactory;                                                                                                              
import org.springframework.beans.factory.annotation.Autowired;                                                                               
import org.springframework.web.bind.annotation.*;                                                                                            
import springfox.documentation.annotations.ApiIgnore;                                                                                        
import javax.servlet.http.HttpServletRequest;                                                                                                
import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.List;
                                                                                                                                             
                                                                                                                                             


/**
 * 职务[门户平台]接口
 * Created by DEMON on 2020-03-05.
 **/
@RestController                                                                                                                              
@RequestMapping("api/v1/position")                                                                                                         
@Api(tags = "职务[门户平台]接口",  value = "PositionController")                                                                                              
public class PositionController {                                                                                                            
                                                                                                                                             
	/**                                                                                                                                      
	 * 日志工具                                                                                                                              
	 */                                                                                                                                      
	private Logger logger = LoggerFactory.getLogger(this.getClass());                                                                        
	                                                                                                                                         
	@Autowired                                                                                                                               
	private PositionService positionService;
	                                                                                                                                         
	/**                                                                                                                                      
	 * 职务列表                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务列表", notes = "职务列表")                                                                                
	@ApiImplicitParams({                                                                                                                     
	        @ApiImplicitParam(paramType = "query", name = "positionCode", value = "职务代码", required = false, dataType = "String"),
	        @ApiImplicitParam(paramType = "query", name = "positionName", value = "职务名称", required = false, dataType = "String"),
	        @ApiImplicitParam(paramType = "query", name = "serialIndex", value = "排序号", required = false, dataType = "java.lang.Float"),
	        @ApiImplicitParam(paramType = "query", name = "positionDesc", value = "职务说明", required = false, dataType = "String"),
	        @ApiImplicitParam(paramType = "query", name = "creatTime", value = "创建时间", required = false, dataType = "Date"),
	        @ApiImplicitParam(paramType = "query", name = "updateTime", value = "修改时间", required = false, dataType = "Date"),
	        @ApiImplicitParam(paramType = "query", name = "delFlag", value = "删除标记", required = false, dataType = "String")
	})
	@RequestMapping(value = "/list", method = RequestMethod.GET)                                                                           
	public AjaxJson findAll(@ApiIgnore Position position) {                                                                                  
		AjaxJson json = new AjaxJson();                                                                                                      
		List<Position> list = positionService.findList(position);                                                                            
		json.put("list", list);                                                                                                            
		return json;                                                                                                                         
	}                                                                                                                                        
                                                                                                                                             
	/**                                                                                                                                      
	 * 职务分页列表                                                                                                                          
	 */                                                                                                                                      
	@ApiOperation(value = "职务分页列表", notes = "职务分页列表")                                                                        
	@ApiImplicitParams({                                                                                                                     
	        @ApiImplicitParam(paramType = "query", name = "pageNo", value = "当前页码", required = true, dataType = "String"),  
	        @ApiImplicitParam(paramType = "query", name = "pageSize", value = "分页大小", required = true, dataType = "String"),
	        @ApiImplicitParam(paramType = "query", name = "positionCode", value = "职务代码", required = false, dataType = "String"),
	        @ApiImplicitParam(paramType = "query", name = "positionName", value = "职务名称", required = false, dataType = "String"),
	        @ApiImplicitParam(paramType = "query", name = "serialIndex", value = "排序号", required = false, dataType = "java.lang.Float"),
	        @ApiImplicitParam(paramType = "query", name = "positionDesc", value = "职务说明", required = false, dataType = "String"),
	        @ApiImplicitParam(paramType = "query", name = "creatTime", value = "创建时间", required = false, dataType = "Date"),
	        @ApiImplicitParam(paramType = "query", name = "updateTime", value = "修改时间", required = false, dataType = "Date"),
	        @ApiImplicitParam(paramType = "query", name = "delFlag", value = "删除标记", required = false, dataType = "String")
	})
	@RequestMapping(value = "/page", method = RequestMethod.GET)                                                                           
	public AjaxJson findPage(@ApiIgnore Position position, HttpServletRequest request, HttpServletResponse response) {                                  
		AjaxJson json = new AjaxJson();                                                                                                      
		Page<Position> page = positionService.findPage(new Page<Position>(request, response), position);                                     
		json.put("page", page);                                                                                                            
		return json;                                                                                                                         
	}                                                                                                                                        
                                                                                                                                             
	/**                                                                                                                                      
	 * 职务详情                                                                                                                              
	 */                                                                                                                                    
	@ApiOperation(value = "职务详情", notes = "根据id获取职务详情信息")                                                                  
	@ApiImplicitParam(paramType = "path", name = "id", value = "职务id", required = true, dataType = "Long")                         
	@RequestMapping(value = "/{id}", method = RequestMethod.GET)                                                                           
	public AjaxJson get(@PathVariable("id") Integer id) {                                                                              
		Position position = positionService.get(id);                                                                                         
		AjaxJson json = new AjaxJson();                                                                                                      
		json.put("obj", position);                                                                                                         
		return json;                                                                                                                         
	}                                                                                                                                        
                                                                                                                                             
	/**                                                                                                                                      
	 * 职务保存                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务保存", notes = "职务保存")                                                                                
	@RequestMapping(value = "/save", method = RequestMethod.POST)                                                                          
	public AjaxJson save(@RequestBody Position position) {                                                                                   
		AjaxJson json = new AjaxJson();                                                                                                      
		try {
			// 职务code重复判断
			if(positionService.isPositionCodeRepeat(position.getPositionCode())){
				return AjaxJson.returnExceptionInfo("职务编码重复");
			}

			position.setCreateTime(new Date());
			positionService.insert(position);                                                                                                
			json.setMsg("保存成功");                                                                                                       
		} catch (Exception e) {                                                                                                              
			e.printStackTrace();                                                                                                             
			return AjaxJson.returnExceptionInfo("保存异常");                                                                               
		}                                                                                                                                    
		return json;                                                                                                                         
	}                                                                                                                                        
	                                                                                                                                         
	/**                                                                                                                                      
	 * 职务修改                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务修改", notes = "职务修改")                                                                                
	@RequestMapping(value = "/update", method = RequestMethod.POST)                                                                        
	public AjaxJson update(@RequestBody Position position) {                                                                                 
		AjaxJson json = new AjaxJson();                                                                                                      
		try {
			// 职务code重复判断
			if(positionService.isPositionCodeRepeat(position.getPositionCode(), position.getPositionId())){
				return AjaxJson.returnExceptionInfo("职务编码重复");
			}

			positionService.update(position);                                                                                                
			json.setMsg("修改成功");                                                                                                       
		} catch (Exception e) {                                                                                                              
			e.printStackTrace();                                                                                                             
			return AjaxJson.returnExceptionInfo("修改异常");                                                                               
		}                                                                                                                                    
		return json;                                                                                                                         
	}                                                                                                                                        
	                                                                                                                                         
	/**                                                                                                                                      
	 * 职务删除                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务删除", notes = "职务删除")                                                                                
	@ApiImplicitParam(paramType = "path", name = "id", value = "职务id", required = true, dataType = "Long")                         
	@RequestMapping(value = "/{id}", method = RequestMethod.DELETE)                                                                        
	public AjaxJson delete(@PathVariable("id") String ids) {                                                                               
		AjaxJson json = new AjaxJson();                                                                                                      
		try {                                                                                                                                
			positionService.deleteAll(ids, new Position());                                                                                  
			json.setMsg("删除成功!");                                                                                                      
		} catch (Exception e) {                                                                                                              
			e.printStackTrace();                                                                                                             
			return AjaxJson.returnExceptionInfo("删除失败" + e.getMessage());                                                              
		}                                                                                                                                    
		return json;                                                                                                                         
	}
}
