package com.loit.v1.modules.controller;                                                                                                      
                                                                                                                                             
import com.loit.v1.modules.entity.PositionOrg;                                                                                                  
import com.loit.v1.modules.service.PositionOrgService;                                                                                          
import com.loit.common.json.AjaxJson;                                                                                                        
import com.loit.common.persistence.Page;                                                                                                     
import io.swagger.annotations.*;                                                                                                             
import org.slf4j.Logger;                                                                                                                     
import org.slf4j.LoggerFactory;                                                                                                              
import org.springframework.beans.factory.annotation.Autowired;                                                                               
import org.springframework.web.bind.annotation.*;                                                                                            
import springfox.documentation.annotations.ApiIgnore;                                                                                        
import javax.servlet.http.HttpServletRequest;                                                                                                
import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.List;
                                                                                                                                             
                                                                                                                                             


/**
 * 职务组织分配[门户平台]接口
 * Created by DEMON on 2020-03-11.
 **/
@RestController                                                                                                                              
@RequestMapping("api/v1/positionOrg")                                                                                                         
@Api(tags = "职务组织分配[门户平台]接口",  value = "PositionOrgController")                                                                                              
public class PositionOrgController {                                                                                                            
                                                                                                                                             
	/**                                                                                                                                      
	 * 日志工具                                                                                                                              
	 */                                                                                                                                      
	private Logger logger = LoggerFactory.getLogger(this.getClass());                                                                        
	                                                                                                                                         
	@Autowired                                                                                                                               
	private PositionOrgService positionOrgService;                                                                                                 
	                                                                                                                                         
	/**                                                                                                                                      
	 * 职务组织分配列表                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务组织分配列表", notes = "职务组织分配列表")                                                                                
	@ApiImplicitParams({                                                                                                                     
	        @ApiImplicitParam(paramType = "query", name = "positionId", value = "职务id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "orgId", value = "组织id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "creatTime", value = "创建时间", required = false, dataType = "Date")
	})
	@RequestMapping(value = "/list", method = RequestMethod.GET)                                                                           
	public AjaxJson findAll(@ApiIgnore PositionOrg positionOrg) {                                                                                  
		AjaxJson json = new AjaxJson();                                                                                                      
		List<PositionOrg> list = positionOrgService.findList(positionOrg);                                                                            
		json.put("list", list);                                                                                                            
		return json;                                                                                                                         
	}                                                                                                                                        
                                                                                                                                             
	/**                                                                                                                                      
	 * 职务组织分配分页列表                                                                                                                          
	 */                                                                                                                                      
	@ApiOperation(value = "职务组织分配分页列表", notes = "职务组织分配分页列表")                                                                        
	@ApiImplicitParams({                                                                                                                     
	        @ApiImplicitParam(paramType = "query", name = "pageNo", value = "当前页码", required = true, dataType = "String"),  
	        @ApiImplicitParam(paramType = "query", name = "pageSize", value = "分页大小", required = true, dataType = "String"),
	        @ApiImplicitParam(paramType = "query", name = "positionId", value = "职务id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "orgId", value = "组织id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "creatTime", value = "创建时间", required = false, dataType = "Date")
	})
	@RequestMapping(value = "/page", method = RequestMethod.GET)                                                                           
	public AjaxJson findPage(@ApiIgnore PositionOrg positionOrg, HttpServletRequest request, HttpServletResponse response) {                                  
		AjaxJson json = new AjaxJson();                                                                                                      
		Page<PositionOrg> page = positionOrgService.findPage(new Page<PositionOrg>(request, response), positionOrg);                                     
		json.put("page", page);                                                                                                            
		return json;                                                                                                                         
	}                                                                                                                                        
                                                                                                                                             
	/**                                                                                                                                      
	 * 职务组织分配详情                                                                                                                              
	 */                                                                                                                                    
	@ApiOperation(value = "职务组织分配详情", notes = "根据id获取职务组织分配详情信息")                                                                  
	@ApiImplicitParam(paramType = "path", name = "id", value = "职务组织分配id", required = true, dataType = "Long")                         
	@RequestMapping(value = "/{id}", method = RequestMethod.GET)                                                                           
	public AjaxJson get(@PathVariable("id") Integer id) {                                                                              
		PositionOrg positionOrg = positionOrgService.get(id);                                                                                         
		AjaxJson json = new AjaxJson();                                                                                                      
		json.put("obj", positionOrg);                                                                                                         
		return json;                                                                                                                         
	}                                                                                                                                        
                                                                                                                                             
	/**                                                                                                                                      
	 * 职务组织分配保存                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务组织分配保存", notes = "职务组织分配保存")                                                                                
	@RequestMapping(value = "/save", method = RequestMethod.POST)                                                                          
	public AjaxJson save(@RequestBody PositionOrg positionOrg) {                                                                                   
		AjaxJson json = new AjaxJson();                                                                                                      
		try {
			positionOrg.setCreatTime(new Date());
			positionOrgService.insert(positionOrg);                                                                                                
			json.setMsg("保存成功");                                                                                                       
		} catch (Exception e) {                                                                                                              
			e.printStackTrace();                                                                                                             
			return AjaxJson.returnExceptionInfo("保存异常");                                                                               
		}                                                                                                                                    
		return json;                                                                                                                         
	}                                                                                                                                        
	                                                                                                                                         
	/**                                                                                                                                      
	 * 职务组织分配修改                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务组织分配修改", notes = "职务组织分配修改")                                                                                
	@RequestMapping(value = "/update", method = RequestMethod.POST)                                                                        
	public AjaxJson update(@RequestBody PositionOrg positionOrg) {                                                                                 
		AjaxJson json = new AjaxJson();                                                                                                      
		try {                                                                                                                                
			positionOrgService.update(positionOrg);                                                                                                
			json.setMsg("修改成功");                                                                                                       
		} catch (Exception e) {                                                                                                              
			e.printStackTrace();                                                                                                             
			return AjaxJson.returnExceptionInfo("修改异常");                                                                               
		}                                                                                                                                    
		return json;                                                                                                                         
	}                                                                                                                                        
	                                                                                                                                         
	/**                                                                                                                                      
	 * 职务组织分配删除                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务组织分配删除", notes = "职务组织分配删除")                                                                                
	@ApiImplicitParam(paramType = "path", name = "id", value = "职务组织分配id", required = true, dataType = "Long")                         
	@RequestMapping(value = "/{id}", method = RequestMethod.DELETE)                                                                        
	public AjaxJson delete(@PathVariable("id") String ids) {                                                                               
		AjaxJson json = new AjaxJson();                                                                                                      
		try {                                                                                                                                
			positionOrgService.deleteAll(ids, new PositionOrg());                                                                                  
			json.setMsg("删除成功!");                                                                                                      
		} catch (Exception e) {                                                                                                              
			e.printStackTrace();                                                                                                             
			return AjaxJson.returnExceptionInfo("删除失败" + e.getMessage());                                                              
		}                                                                                                                                    
		return json;                                                                                                                         
	}                                                                                                                                        
	                                                                                                                                         
                                                                                                                                             
}                                                                                                                                            
