package com.loit.v1.modules.controller;                                                                                                      
                                                                                                                                             
import com.loit.v1.modules.entity.PositionRole;                                                                                                  
import com.loit.v1.modules.service.PositionRoleService;                                                                                          
import com.loit.common.json.AjaxJson;                                                                                                        
import com.loit.common.persistence.Page;                                                                                                     
import io.swagger.annotations.*;                                                                                                             
import org.slf4j.Logger;                                                                                                                     
import org.slf4j.LoggerFactory;                                                                                                              
import org.springframework.beans.factory.annotation.Autowired;                                                                               
import org.springframework.web.bind.annotation.*;                                                                                            
import springfox.documentation.annotations.ApiIgnore;                                                                                        
import javax.servlet.http.HttpServletRequest;                                                                                                
import javax.servlet.http.HttpServletResponse;                                                                                               
import java.util.List;                                                                                                                       
                                                                                                                                             
                                                                                                                                             


/**
 * 职务角色分配[门户平台]接口
 * Created by DEMON on 2020-03-12.
 **/
@RestController                                                                                                                              
@RequestMapping("api/v1/positionRole")                                                                                                         
@Api(tags = "职务角色分配[门户平台]接口",  value = "PositionRoleController")                                                                                              
public class PositionRoleController {                                                                                                            
                                                                                                                                             
	/**                                                                                                                                      
	 * 日志工具                                                                                                                              
	 */                                                                                                                                      
	private Logger logger = LoggerFactory.getLogger(this.getClass());                                                                        
	                                                                                                                                         
	@Autowired                                                                                                                               
	private PositionRoleService positionRoleService;                                                                                                 
	                                                                                                                                         
	/**                                                                                                                                      
	 * 职务角色分配列表                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务角色分配列表", notes = "职务角色分配列表")                                                                                
	@ApiImplicitParams({                                                                                                                     
	        @ApiImplicitParam(paramType = "query", name = "positionId", value = "职务id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "roleId", value = "角色id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "creatTime", value = "创建时间", required = false, dataType = "Date")
	})
	@RequestMapping(value = "/list", method = RequestMethod.GET)                                                                           
	public AjaxJson findAll(@ApiIgnore PositionRole positionRole) {                                                                                  
		AjaxJson json = new AjaxJson();                                                                                                      
		List<PositionRole> list = positionRoleService.findList(positionRole);                                                                            
		json.put("list", list);                                                                                                            
		return json;                                                                                                                         
	}                                                                                                                                        
                                                                                                                                             
	/**                                                                                                                                      
	 * 职务角色分配分页列表                                                                                                                          
	 */                                                                                                                                      
	@ApiOperation(value = "职务角色分配分页列表", notes = "职务角色分配分页列表")                                                                        
	@ApiImplicitParams({                                                                                                                     
	        @ApiImplicitParam(paramType = "query", name = "pageNo", value = "当前页码", required = true, dataType = "String"),  
	        @ApiImplicitParam(paramType = "query", name = "pageSize", value = "分页大小", required = true, dataType = "String"),
	        @ApiImplicitParam(paramType = "query", name = "positionId", value = "职务id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "roleId", value = "角色id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "creatTime", value = "创建时间", required = false, dataType = "Date")
	})
	@RequestMapping(value = "/page", method = RequestMethod.GET)                                                                           
	public AjaxJson findPage(@ApiIgnore PositionRole positionRole, HttpServletRequest request, HttpServletResponse response) {                                  
		AjaxJson json = new AjaxJson();                                                                                                      
		Page<PositionRole> page = positionRoleService.findPage(new Page<PositionRole>(request, response), positionRole);                                     
		json.put("page", page);                                                                                                            
		return json;                                                                                                                         
	}                                                                                                                                        
}
