package com.loit.v1.modules.controller;                                                                                                      
                                                                                                                                             
import com.loit.common.utils.StringUtils;
import com.loit.v1.modules.entity.PersonBase;
import com.loit.v1.modules.entity.PositionUser;
import com.loit.v1.modules.service.PersonBaseService;
import com.loit.v1.modules.service.PositionUserService;
import com.loit.common.json.AjaxJson;                                                                                                        
import com.loit.common.persistence.Page;                                                                                                     
import io.swagger.annotations.*;                                                                                                             
import org.slf4j.Logger;                                                                                                                     
import org.slf4j.LoggerFactory;                                                                                                              
import org.springframework.beans.factory.annotation.Autowired;                                                                               
import org.springframework.web.bind.annotation.*;                                                                                            
import springfox.documentation.annotations.ApiIgnore;                                                                                        
import javax.servlet.http.HttpServletRequest;                                                                                                
import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.List;
                                                                                                                                             
                                                                                                                                             


/**
 * 职务人员对应[门户平台]接口
 * Created by DEMON on 2020-03-11.
 **/
@RestController                                                                                                                              
@RequestMapping("api/v1/positionUser")                                                                                                         
@Api(tags = "职务人员对应[门户平台]接口",  value = "PositionUserController")                                                                                              
public class PositionUserController {                                                                                                            
                                                                                                                                             
	/**                                                                                                                                      
	 * 日志工具                                                                                                                              
	 */                                                                                                                                      
	private Logger logger = LoggerFactory.getLogger(this.getClass());                                                                        
	                                                                                                                                         
	@Autowired                                                                                                                               
	private PositionUserService positionUserService;
	@Autowired
	private PersonBaseService personBaseService;
	                                                                                                                                         
	/**
	 * 职务人员对应保存                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务人员对应保存", notes = "职务人员对应保存")                                                                                
	@RequestMapping(value = "/save", method = RequestMethod.POST)                                                                          
	public AjaxJson save(@RequestBody PositionUser positionUser) {                                                                                   
		AjaxJson json = new AjaxJson();                                                                                                      
		try {
			if(StringUtils.isEmpty(positionUser.getAccoutIds()) || positionUser.getPositionId() == null){
				return AjaxJson.returnExceptionInfo("accoutIds和positionId参数异常");
			}

			positionUser.setCreatTime(new Date());
			positionUserService.insertAll(positionUser);
			json.setMsg("保存成功");                                                                                                       
		} catch (Exception e) {                                                                                                              
			e.printStackTrace();                                                                                                             
			return AjaxJson.returnExceptionInfo("保存异常");                                                                               
		}                                                                                                                                    
		return json;                                                                                                                         
	}                                                                                                                                        
	                                                                                                                                         
	/**                                                                                                                                      
	 * 职务人员对应修改                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务人员对应修改", notes = "职务人员对应修改")                                                                                
	@RequestMapping(value = "/update", method = RequestMethod.POST)                                                                        
	public AjaxJson update(@RequestBody PositionUser positionUser) {                                                                                 
		AjaxJson json = new AjaxJson();                                                                                                      
		try {                                                                                                                                
			positionUserService.update(positionUser);                                                                                                
			json.setMsg("修改成功");                                                                                                       
		} catch (Exception e) {                                                                                                              
			e.printStackTrace();                                                                                                             
			return AjaxJson.returnExceptionInfo("修改异常");                                                                               
		}                                                                                                                                    
		return json;                                                                                                                         
	}                                                                                                                                        
	                                                                                                                                         
	/**                                                                                                                                      
	 * 职务人员对应删除                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职务人员对应删除", notes = "职务人员对应删除")
	@ApiImplicitParams({
			@ApiImplicitParam(name = "positionId", value = "职务ID", required = true, dataType = "Integer", paramType = "query"),
			@ApiImplicitParam(name = "userId", value = "用户ID", required = true, dataType = "Integer", paramType = "query")
	})
	@RequestMapping(value = "", method = RequestMethod.DELETE)
	public AjaxJson delete(
			@RequestParam(value = "positionId", required = true) Integer positionId,
			@RequestParam(value = "userId", required = true) Integer userId) {
		AjaxJson json = new AjaxJson();                                                                                                      
		try {                                                                                                                                
			positionUserService.deleteByPositionIdAndAccoutId(positionId, userId);
			json.setMsg("删除成功!");                                                                                                      
		} catch (Exception e) {                                                                                                              
			e.printStackTrace();                                                                                                             
			return AjaxJson.returnExceptionInfo("删除失败" + e.getMessage());                                                              
		}                                                                                                                                    
		return json;                                                                                                                         
	}

	/**
	 * 已添加人员列表
	 * @return
	 */
	@ApiOperation(value = "已添加人员列表", notes = "已添加人员列表")
	@ApiImplicitParams({
			@ApiImplicitParam(name = "pageNo", value = "当前页码", required = true, dataType = "String", paramType = "query"),
			@ApiImplicitParam(name = "pageSize", value = "分页大小", required = true, dataType = "String", paramType = "query"),
			@ApiImplicitParam(name = "positionId", value = "职务ID", required = true, dataType = "String", paramType = "query"),
			@ApiImplicitParam(name = "orgName", value = "所属组织名称", required = false, dataType = "String", paramType = "query"),
			@ApiImplicitParam(name = "userId", value = "账号", required = false, dataType = "String", paramType = "query")
	})
	@GetMapping(value = "/persons/pageList")
	public AjaxJson grpPersons(HttpServletRequest request, HttpServletResponse response,@ApiIgnore PersonBase personBase){
		Page<PersonBase> pageList = personBaseService.findPositionPersonPage(new Page<PersonBase>(request, response),personBase);
		AjaxJson json = new AjaxJson();
		json.put("page", pageList);
		return json;
	}

	/**
	 * 未添加人员列表
	 */
	@ApiOperation(value = "未添加人员列表", notes = "未添加人员列表")
	@ApiImplicitParams({
			@ApiImplicitParam(name = "pageNo", value = "当前页码", required = true, dataType = "String", paramType = "query"),
			@ApiImplicitParam(name = "pageSize", value = "分页大小", required = true, dataType = "String", paramType = "query"),
			@ApiImplicitParam(name = "positionId", value = "职务ID", required = true, dataType = "String", paramType = "query"),
			@ApiImplicitParam(name = "orgName", value = "所属组织名称", required = false, dataType = "String", paramType = "query"),
			@ApiImplicitParam(name = "userId", value = "账号", required = false, dataType = "String", paramType = "query")
	})
	@GetMapping(value = "/unAddPersons/pageList")
	public AjaxJson unAddPersons(HttpServletRequest request, HttpServletResponse response,@ApiIgnore PersonBase personBase){
		Page<PersonBase> pageList = personBaseService.findPositionUnAddPersons(new Page<PersonBase>(request, response),personBase);
		AjaxJson json = new AjaxJson();
		json.put("page", pageList);
		return json;
	}
}                                                                                                                                            
