package com.loit.v1.modules.controller;                                                                                                      
                                                                                                                                             
import com.loit.v1.modules.entity.RankRole;                                                                                                  
import com.loit.v1.modules.service.RankRoleService;                                                                                          
import com.loit.common.json.AjaxJson;                                                                                                        
import com.loit.common.persistence.Page;                                                                                                     
import io.swagger.annotations.*;                                                                                                             
import org.slf4j.Logger;                                                                                                                     
import org.slf4j.LoggerFactory;                                                                                                              
import org.springframework.beans.factory.annotation.Autowired;                                                                               
import org.springframework.web.bind.annotation.*;                                                                                            
import springfox.documentation.annotations.ApiIgnore;                                                                                        
import javax.servlet.http.HttpServletRequest;                                                                                                
import javax.servlet.http.HttpServletResponse;                                                                                               
import java.util.List;                                                                                                                       
                                                                                                                                             
                                                                                                                                             


/**
 * 职级角色分配[门户平台]接口
 * Created by DEMON on 2020-03-12.
 **/
@RestController                                                                                                                              
@RequestMapping("api/v1/rankRole")                                                                                                         
@Api(tags = "职级角色分配[门户平台]接口",  value = "RankRoleController")                                                                                              
public class RankRoleController {                                                                                                            
                                                                                                                                             
	/**                                                                                                                                      
	 * 日志工具                                                                                                                              
	 */                                                                                                                                      
	private Logger logger = LoggerFactory.getLogger(this.getClass());                                                                        
	                                                                                                                                         
	@Autowired                                                                                                                               
	private RankRoleService rankRoleService;                                                                                                 
	                                                                                                                                         
	/**                                                                                                                                      
	 * 职级角色分配列表                                                                                                                              
	 */                                                                                                                                      
	@ApiOperation(value = "职级角色分配列表", notes = "职级角色分配列表")                                                                                
	@ApiImplicitParams({                                                                                                                     
	        @ApiImplicitParam(paramType = "query", name = "rankId", value = "职级id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "roleId", value = "角色id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "creatTime", value = "创建时间", required = false, dataType = "Date")
	})
	@RequestMapping(value = "/list", method = RequestMethod.GET)                                                                           
	public AjaxJson findAll(@ApiIgnore RankRole rankRole) {                                                                                  
		AjaxJson json = new AjaxJson();                                                                                                      
		List<RankRole> list = rankRoleService.findList(rankRole);                                                                            
		json.put("list", list);                                                                                                            
		return json;                                                                                                                         
	}                                                                                                                                        
                                                                                                                                             
	/**                                                                                                                                      
	 * 职级角色分配分页列表                                                                                                                          
	 */                                                                                                                                      
	@ApiOperation(value = "职级角色分配分页列表", notes = "职级角色分配分页列表")                                                                        
	@ApiImplicitParams({                                                                                                                     
	        @ApiImplicitParam(paramType = "query", name = "pageNo", value = "当前页码", required = true, dataType = "String"),  
	        @ApiImplicitParam(paramType = "query", name = "pageSize", value = "分页大小", required = true, dataType = "String"),
	        @ApiImplicitParam(paramType = "query", name = "rankId", value = "职级id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "roleId", value = "角色id", required = false, dataType = "Integer"),
	        @ApiImplicitParam(paramType = "query", name = "creatTime", value = "创建时间", required = false, dataType = "Date")
	})
	@RequestMapping(value = "/page", method = RequestMethod.GET)                                                                           
	public AjaxJson findPage(@ApiIgnore RankRole rankRole, HttpServletRequest request, HttpServletResponse response) {                                  
		AjaxJson json = new AjaxJson();                                                                                                      
		Page<RankRole> page = rankRoleService.findPage(new Page<RankRole>(request, response), rankRole);                                     
		json.put("page", page);                                                                                                            
		return json;                                                                                                                         
	}                                                                                                                                        
}
