package com.loit.v1.modules.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.loit.common.json.AjaxJson;
import com.loit.v1.modules.service.MenuManageService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping(value = "api/v1/resourceMenuCache")
@Api(tags = "资源菜单缓存",  value = "ResourceMenuCacheController")
public class ResourceMenuCacheController {
	
	@Autowired
	private MenuManageService menuManageService;
	
	/**
	 * @description 初始化资源菜单缓存
	 * @param org
	 * @return
	 */
	@ApiOperation(value = "初始化资源菜单缓存", notes = "初始化资源菜单缓存")
	@PostMapping(value = "/init")
	public AjaxJson init() {
		AjaxJson json = new AjaxJson();
		menuManageService.resetMenuCache();
		return json;
	}
	
}
