package com.loit.v1.modules.controller;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.loit.common.json.AjaxJson;
import com.loit.modules.sys.entity.User;
import com.loit.modules.sys.utils.UserUtils;
import com.loit.v1.modules.entity.ResourceManage;
import com.loit.v1.modules.service.RightShortcutService;

import cn.jiguang.common.utils.StringUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping(value = "api/v1/rightShortCut")
@Api(value = "RightShortCutController", tags = {"人员角色快捷表Controller"})
public class RightShortCutController {
	@Autowired
	private RightShortcutService rightShortcutService;
	
	@ApiOperation(value = "根据当前人员获取应用列表-下拉框用", notes = "根据人员获取应用列表-下拉框用")
	@ApiImplicitParams({
		@ApiImplicitParam(name = "appId", value = "应用ID", required = false, dataType = "int", paramType = "query"),
		@ApiImplicitParam(name = "type", value = "类型(是否只返回内嵌的应用，1：只返回内嵌应用，2：返回所有权限内的应用，默认为1)", required = false, dataType = "String", paramType = "query")
	})
	@GetMapping(value = "listApplicationByUserId")
	public AjaxJson listApplicationByAccountId(Integer appId,String type) {
		AjaxJson json = new AjaxJson();
		if(StringUtils.isEmpty(type)) {
			type = "1";
		}
		List<Map<String,Object>> appList = rightShortcutService.listMapAppsByAccountId(appId,type);
		json.put("list", appList);
		return json;
	}
	
	@ApiOperation(value="获取当前用户数据资源权限", notes="获取当前用户数据权限")
	@GetMapping(value = "rightTreeList")
	public AjaxJson getRoleDataRes() {
		AjaxJson json = new AjaxJson();
		List<ResourceManage> dataResList = rightShortcutService.getCurrentUserDataResList();
		json.put("dataResList",dataResList);
		return json;
	}
}
