package com.loit.v1.modules.controller;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.loit.common.json.AjaxJson;
import com.loit.v1.modules.service.RoleRightService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import springfox.documentation.annotations.ApiIgnore;

@RestController
@RequestMapping(value = "api/v1/roleRight")
@Api(tags = "角色资源权限管理",  value = "角色资源权限管理Controller")
public class RoleRightController {
	
	@Autowired
	private RoleRightService roleRightService;

	@ApiOperation(value = "保存角色资源权限", notes = "保存角色资源权限")
	@ApiImplicitParams({
		@ApiImplicitParam(name = "roleId", value = "角色ID", required = true, dataType = "String", paramType = "query") ,
		@ApiImplicitParam(name = "resIds", value = "资源IDs,逗号隔开", required = true, dataType = "String", paramType = "query"),
		@ApiImplicitParam(name = "resType", value = "资源类别", required = true, dataType = "String", paramType = "query"),
	})
	@PostMapping(value = "/save")
	public AjaxJson save(@ApiIgnore @RequestBody(required = false) Map<String,Object> map) {
		AjaxJson json = new AjaxJson();
		try {
			if(map == null || !map.containsKey("roleId") || map.get("roleId") == null) {
				return AjaxJson.returnExceptionInfo("请先选择角色！");
			}
			String roleId = map.get("roleId").toString();
			String resIds =  map.get("resIds").toString();
			String resType =  map.get("resType").toString();
			roleRightService.dealRoleRight(Integer.valueOf(roleId),resIds,Integer.valueOf(resType));
			json.setMsg("保存成功!");
		} catch (Exception e) {
			e.printStackTrace();
			return AjaxJson.returnExceptionInfo("保存资源操作权限异常" + e.getMessage());
		}
		return json;
	}

}
