package com.loit.v1.modules.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.loit.common.persistence.CrudDao;
import com.loit.modules.sys.entity.Role;
import com.loit.v1.modules.entity.AccountRole;


/**
 * @ClassName: AccountRoleDao
 * @Description: 人员角色分配表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface AccountRoleDao extends CrudDao<AccountRole> {

	/**
	 * 根据账号id删除人员角色关系
	 * @param accountId
	 * @param appId 
	 */
	void deleteByAccountId(@Param("accountId")Integer accountId);
	
	/**
	* @Description: 批量删除角色和人员对应关系数据 - 角色删除时调用
	* @author: gzx
	* @date: 2019年11月22日 下午1:42:58 
	* @param @param list 参数 
	* @return void 返回类型 
	* @throws
	 */
	void deleteBatchByRoleIds(List<Role> list);

	/**
	 * 删除应用下人员角色关系
	 * @param accountId
	 * @param appId
	 */
	void deleteAccountRole(@Param("accountId")Integer accountId, @Param("appId")Integer appId);
}