package com.loit.v1.modules.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.loit.common.persistence.CrudDao;
import com.loit.modules.sys.entity.Role;
import com.loit.v1.modules.entity.ActRight;
import com.loit.v1.modules.entity.ResourceTypeOperation;


/**
 * @ClassName: ActRightDao
 * @Description: 资源操作权限表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface ActRightDao extends CrudDao<ActRight> {
	/**
	* @Description: 批量插入
	* @author: gzx
	* @date: 2019年11月11日 下午3:09:12 
	* @param @param list 参数 
	* @return void 返回类型 
	* @throws
	 */
	void insertBatch(List<ActRight> list);
	
	/**
	* @Description: 根据菜单ID和用户ID获取人员对该菜单的操作权限
	* @author: gzx
	* @date: 2019年11月19日 上午10:55:38 
	* @param @param menuId
	* @param @param userId
	* @param @return 参数 
	* @return List<ResourceTypeOperation> 返回类型 
	* @throws
	 */
	List<ResourceTypeOperation> getActRightByMenuId(@Param("menuId")Integer menuId,@Param("accountId")Integer accountId);
	
	/**
	* @Description: 批量删除角色和资源操作对应关系数据 - 角色删除时调用
	* @author: gzx
	* @date: 2019年11月22日 下午1:42:58 
	* @param @param list 参数 
	* @return void 返回类型 
	* @throws
	 */
	void deleteBatchByRoleIds(List<Role> list);
}