package com.loit.v1.modules.dao;


import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.ApplicationManage;

/**
 * @description 应用管理DAO
 * @author xutao
 * @date 2019-10-18
 */
@Mapper
public interface ApplicationManageDao extends CrudDao<ApplicationManage> {
	
	/**
	 * @description 根据appId获取当前应用的基本信息及主题布局等信息
	 * @param applicationManage
	 * @return
	 */
	ApplicationManage getByAppId(ApplicationManage applicationManage);
	
	/**
	* @Description: 检查是否唯一
	* @author: xutao
	* @date: 2019年11月20日 上午9:54:33 
	* @param @param appName
	* @param @param appId  
	* @return void 返回类型 
	* @throws
	 */
	int checkNameUnique(@Param("appName")String appName,@Param("appId")Integer appId);
	/**
	* @Description: 获取嵌入式展示的应用列表（接入系统门户中展示）
	* @author: gzx
	* @date: 2019年12月2日 下午2:39:45 
	* @param @param applicationManage
	* @param @return 参数 
	* @return List<ApplicationManage> 返回类型 
	* @throws
	 */
	List<ApplicationManage> findEmbedAppList(ApplicationManage applicationManage);

	/**
	 * @description 检查应用系统代码是否重复
	 * @param appCode
	 * @param appId
	 * @return
	 */
	int checkCodeUnique(@Param("appCode")String appCode, @Param("appId")Integer appId);

	/**
	 * 根据appCode获取应用信息
	 * @param appCode
	 * @return
	 */
	ApplicationManage getByAppCode(@Param("appCode")String appCode);

}
