package com.loit.v1.modules.dao;

import com.loit.v1.modules.entity.ApporgShortcut;
import com.loit.common.persistence.CrudDao;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @ClassName: ApporgShortcutDao
 * @Description: 应用组织关系快捷存取表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface ApporgShortcutDao extends CrudDao<ApporgShortcut> {

	/**
	 * 删除组织应用权限
	 * @param orgId
	 * @param appId
	 * @return
	 */
	void deleteAppOrg(@Param("orgId")Integer orgId, @Param("appId")Integer appId);

	/**
	 * 根据组织id删除应用组织关系
	 * @param orgId
	 */
	void deleteByOrgId(@Param("orgId")Integer orgId);

	/**
	 * 根据ID列表获取多条数据
	 * @param ids
	 * @return
	 */
	public List<ApporgShortcut> findByOrgIdList(List<String> ids);

	/**
	 * 根据ID列表获取多条数据
	 * @param accountIds
	 * @return
	 */
	public List<ApporgShortcut> findListByAccountIdList(List<String> accountIds);

	/**
	 * @description 根据组织ids批量删除
	 * @param orgIds
	 * @param appId
	 */
	void deleteByOrgIds(@Param("orgIds")List<Integer> orgIds,@Param("appId") String appId);

	/**
	 * @description 批量插入应用组织权限
	 * @param list
	 */
	void batchInsertAppOrg(List<ApporgShortcut> list);
}