package com.loit.v1.modules.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.loit.common.persistence.CrudDao;
import com.loit.modules.sys.entity.Role;
import com.loit.v1.modules.entity.GrpRole;


/**
 * @ClassName: GrpRoleDao
 * @Description: 用户组角色分配表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface GrpRoleDao extends CrudDao<GrpRole> {


	/**
	 * 根据用户组id删除用户组角色关系
	 * @param grpId
	 */
	void deleteByGrpId(@Param("grpId")Integer grpId);
	
	/**
	* @Description: 批量删除角色和用户组对应关系数据 - 角色删除时调用
	* @author: gzx
	* @date: 2019年11月22日 下午1:42:58 
	* @param @param list 参数 
	* @return void 返回类型 
	* @throws
	 */
	void deleteBatchByRoleIds(List<Role> list);
	
}