package com.loit.v1.modules.dao;

import com.loit.v1.modules.entity.GrpUser;
import com.loit.common.persistence.CrudDao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * @ClassName: GrpUserDao
 * @Description: 用户组人员对应表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface GrpUserDao extends CrudDao<GrpUser> {

	/**
	 * @param orgId
	 * @return
	 */
	List<GrpUser> getOrgRelation(String orgId);

	/**
	 * @param grpId
	 * @param accountId
	 * @return
	 */
	GrpUser getUnique(@Param("grpId")String grpId, @Param("accountId")String accountId);

	/**
	 * 根据人员id删除用户组人员关系
	 * @param accountId
	 */
	void deleteByAccountId(@Param("accountId")String accountId);

	/**
	 * 根据用户组id删除用户组人员关系表中数据
	 * @param grpId
	 */
	void deleteByGrpId(@Param("grpId")String grpId);
	
}