package com.loit.v1.modules.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.loit.common.persistence.CrudDao;
import com.loit.modules.sys.entity.Role;
import com.loit.v1.modules.entity.MenuManage;

/**
 * @description 应用菜单管理DAO
 * @author xutao
 * @date 2019-10-18
 */
@Mapper
public interface MenuManageDao extends CrudDao<MenuManage> {
	
	/**
	 * @description 获取菜单树状列表
	 * @param menuManage 菜单实体
	 * @return
	 */
	List<MenuManage> getMenuTreeList(MenuManage menuManage);

	/**
	 * @description 获取当前用户所拥有的所有叶子菜单
	 * @param userId
	 * @return
	 */
	List<MenuManage> findLeafMenuList(@Param("accountId")Integer accountId,@Param("appId")Integer appId, @Param("appCode")String appCode);

	/**
	 * @description 获取当前用户所拥有的所有叶子菜单
	 * @param roleId
	 * @param defaultAppId
	 * @return
	 */
	List<MenuManage> findLeafMenuListByRoleId(@Param("roleId")int roleId, @Param("appId")Integer defaultAppId);

	/**
	 * @description 通过菜单id获取拥有该菜单的角色
	 * @param menuId
	 * @return
	 */
	List<Role> getRoleIdsByMenuId(@Param("menuId")Integer menuId);

	/**
	 * @description 获取根菜单目录
	 * @return
	 */
	List<MenuManage> getRootMenuList();
}
