package com.loit.v1.modules.dao;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.NoticeReceive;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 通知接收表数据层数据库操作接口类.
 * Created by YZB on 2020-04-23.
 **/
@Mapper
public interface NoticeReceiveDao extends CrudDao<NoticeReceive> {
    /**
     * 根据noticeIds删除数据
     */
    void deleteByNoticeIds(List<Long> list);

    /**
     * 批量插入
     * @param list
     */
    void insertBatch(List<NoticeReceive> list);

    /**
     * 更新状态
     * @param list
     * @param receiveId
     */
    void updateStatus(List<Long> list, String receiveId);
}