package com.loit.v1.modules.dao;

import com.loit.v1.modules.entity.OrgPerson;
import com.loit.common.persistence.CrudDao;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * @ClassName: OrgPersonDao
 * @Description: 组织人员关系表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface OrgPersonDao extends CrudDao<OrgPerson> {

	/**
	 * 通过账号id获取组织
	 * @param accountId
	 * @return
	 */
	OrgPerson getByAccountId(@Param("accountId")Integer accountId);

	/**
	 * 根据人员id删除组织人员关系
	 * @param accountId
	 */
	void deleteByAccountId(@Param("accountId")String accountId);

	/**
	 * 根据组织id删除人员组织关系
	 * @param orgId
	 */
	void deleteByOrgId(@Param("orgId")String orgId);
	
}