package com.loit.v1.modules.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.loit.common.persistence.CrudDao;
import com.loit.modules.sys.entity.Role;
import com.loit.v1.modules.entity.OrgRole;


/**
 * @ClassName: OrgRoleDao
 * @Description: 组织机构角色分配表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Mapper
public interface OrgRoleDao extends CrudDao<OrgRole> {
	/**
	 * @description 根据组织ID删除组织机构角色分配表数据
	 * @param orgRole 组织机构角色实体
	 * @return
	 */
	int deleteByOrgId(Integer orgId);
	
	/**
	* @Description: 批量删除角色和组织对应关系数据 - 角色删除时调用
	* @author: gzx
	* @date: 2019年11月22日 下午1:42:58 
	* @param @param list 参数 
	* @return void 返回类型 
	* @throws
	 */
	void deleteBatchByRoleIds(List<Role> list);
}