package com.loit.v1.modules.dao;


import org.apache.ibatis.annotations.Mapper;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.MenuManage;
import com.loit.v1.modules.entity.MenuResourceRelation;

/**
 * @description 应用菜单管理DAO
 * @author xutao
 * @date 2019-10-18
 */
@Mapper
public interface ResMenuDao extends CrudDao<MenuManage> {
	
	/**
	 * @description 向菜单和资源的关系表插入数据
	 * @param menuResourceRelation
	 * @return
	 */
	int insertResMenu(MenuResourceRelation menuResourceRelation);
	/**
	 * @description 删除菜单时删除菜单和资源的关系表
	 * @param menuResourceRelation 菜单及资源关系实体
	 * @return
	 */
	int deleteResMenu(MenuResourceRelation menuResourceRelation);
	/**
	 * @description 更新菜单和资源的关系表
	 * @param menuResourceRelation 菜单及资源关系实体
	 * @return
	 */
	int updateResMenu(MenuResourceRelation menuResourceRelation);
	
	/**
	 * @description 通过菜单ID获取菜单和资源的关系实体
	 * @param menuResourceRelation 菜单及资源关系实体
	 * @return
	 */
	MenuResourceRelation getResMenu(Integer menuId);
	
}
