package com.loit.v1.modules.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.loit.common.persistence.CrudDao;
import com.loit.modules.sys.entity.Role;
import com.loit.v1.modules.entity.ResourceManage;

/**
 * @description 资源管理DAO
 * @author xutao
 * @date 2019-10-26
 */
@Mapper
public interface ResourceManageDao extends CrudDao<ResourceManage> {
	
	/**
	 * @description 获取可用资源树状列表
	 * @param resourceManage
	 * @return
	 */
	List<ResourceManage> getUseResourceTreeList(ResourceManage resourceManage);
	
	/**
	 * @description 获取所有资源树状列表
	 * @param resourceManage
	 * @return
	 */
	List<ResourceManage> getAllResourceTreeList(ResourceManage resourceManage);
	
	/**
	 * @description 获取资源树状列表
	 * @param resourceManage
	 * @return
	 */
	List<ResourceManage> getResourceTreeList(ResourceManage resourceManage);
	
	/**
	* @Description: 根据应用ID获取所分配资源（分配的是一级资源，子资源要单独取）
	* @author: gzx
	* @date: 2019年11月11日 下午8:36:23 
	* @param @param appId
	* @param @return 参数 
	* @return List<ResourceManage> 返回类型 
	* @throws
	 */
	List<ResourceManage> getResourceListByAppId(@Param("appId")Integer appId,@Param("typeId")Integer typeId);

	/**
	 * @Desctiption 通过资源id获取拥有该资源的角色
	 * @param resourceId
	 * @return
	 */
	List<Role> getRolesByResourceId(@Param("resourceId")Integer resourceId);

	/**
	 * @description 获取数据资源列表
	 * @param roleId
	 * @param appId
	 * @param type
	 * @return
	 */
	List<ResourceManage> getRoleDataRes(@Param("roleId")Integer roleId, @Param("typeId")Integer typeId);

}
