package com.loit.v1.modules.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.ResourceType;

/**
 * @description 资源类别管理DAO
 * @author xutao
 * @date 2019-10-26
 */
@Mapper
public interface ResourceTypeDao extends CrudDao<ResourceType> {
	
	/**
	* @Description: 检查是否唯一
	* @author: xutao
	* @date: 2019年11月20日 上午9:54:33 
	* @param @param typeName
	* @param @param typeId  
	* @return void 返回类型 
	* @throws
	 */
	int checkNameUnique(@Param("typeName")String typeName,@Param("typeId")Integer typeId);

	/**
	 * @description 根据资源类型编码获取资源类型
	 * @param typeCode
	 * @return
	 */
	ResourceType getByCode(@Param("typeCode")String typeCode);


}
