package com.loit.v1.modules.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.loit.common.persistence.CrudDao;
import com.loit.modules.sys.entity.Role;
import com.loit.v1.modules.entity.RoleRight;


/**
 * @ClassName: RoleRightDao
 * @Description: 角色权限对应表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/
@Mapper
public interface RoleRightDao extends CrudDao<RoleRight> {
	/**
	 * @param resType 
	* @Description: 根据角色ID删除
	* @author: gzx
	* @date: 2019年11月12日 下午2:01:56 
	* @param  参数 
	* @return void 返回类型 
	* @throws
	 */
	void deleteByRoleIdAndResType(@Param("roleId")Integer roleId, @Param("resType")Integer resType);
	/**
	* @Description: 批量删除角色和资源对应关系数据 - 角色删除时调用
	* @author: gzx
	* @date: 2019年11月22日 下午1:42:58 
	* @param @param list 参数 
	* @return void 返回类型 
	* @throws
	 */
	void deleteBatchByRoleIds(List<Role> list);
	/**
	* @Description: 批量删除
	* @author: gzx
	* @date: 2019年11月14日 下午4:14:28 
	* @param @param list 参数 
	* @return void 返回类型 
	* @throws
	 */
	void insertBatch(List<RoleRight> list);
	
}