package com.loit.v1.modules.dao;

import com.loit.v1.api.dto.SynLogDTO;
import com.loit.v1.modules.entity.SynLog;
import com.loit.common.persistence.CrudDao;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * @ClassName: SynLogDao
 * @Description: 同步日志记录表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/
@Mapper
public interface SynLogDao extends CrudDao<SynLog> {


    /**
     * 查询数据同步失败日志列表，如果需要分页，请设置分页对象，如：entity.setPage(new Page<T>());
     * @param entity
     * @return
     */
    public List<SynLog> findListFailLog(SynLog entity);

    /**
     * 查询数据同步失败日志列表，如果需要分页，请设置分页对象，如：entity.setPage(new Page<T>());
     * @param
     * @return
     */
    public List<SynLog> findListByTargetId(long targetId);

    /**
     * 查询数据同步失败日志列表，如果需要分页，请设置分页对象，如：entity.setPage(new Page<T>());
     * @param logId
     * @return
     */
    public SynLog getFailLogByLogId(String logId);

    /**
     * 插入数据 （用于实时同步消息时日志的插入方法）
     * @param entity
     * @return
     */
    public int insertLog(SynLogDTO entity);

}