package com.loit.v1.modules.dao;

import com.loit.v1.api.dto.PersonBaseDTO;
import com.loit.v1.modules.entity.Org;
import com.loit.v1.modules.entity.SynTarget;
import com.loit.common.persistence.CrudDao;
import org.apache.ibatis.annotations.Mapper;
import org.apache.tools.ant.taskdefs.Sync;

import java.util.List;


/**
 * @ClassName: SynTargetDao
 * @Description: 同步目标表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/
@Mapper
public interface SynTargetDao extends CrudDao<SynTarget> {



    /**
     * 通过组织ID获取数据同步目标表多条数据
     * @param orgId
     * @return
     */
    List<SynTarget> findListByOrgId(long orgId, String synMode);

    /**
     * 通过人员账号ID获取数据同步目标表多条数据
     * @param accountId
     * @return
     */
    List<SynTarget> findListByAccountId(long accountId, String synMode);

    /**
     * 通过appID获取数据同步目标表单条数据
     * @param appId
     * @return
     */
    SynTarget getByAppIdFromOrg(long appId, String synMode);
    /**
     * 通过appID获取数据同步目标表单条数据
     * @param appId
     * @return
     */
    SynTarget getByAppIdFromAccount(long appId, String synMode);
    /**
     * 通过appID获取数据同步目标表单条数据
     * @param appId
     * @return
     */
    SynTarget getByRoleId(long appId, String synMode);
}