package com.loit.v1.modules.entity;

import com.loit.common.annotation.LoitDictAnnotation.LoitDict;
import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: AccountPolicy
 * @Description: 密码策略表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "AccountPolicy", description="密码策略表数据对象")
public class AccountPolicy extends DataEntity<AccountPolicy> implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "密码策略ID" ,example="1")
	private Integer passPolicyId;


	@ApiModelProperty(value = "密码长度最小值",example="1")
	private Integer minPass;


	@ApiModelProperty(value = "密码使用最长期限",example="1")
	private Integer maxTime;


	@ApiModelProperty(value = "密码使用最短期限",example="1")
	private Integer minTime;


	@ApiModelProperty(value = "密码复杂度级别",example="1")
	@LoitDict(dictCode = "mixLevel")
	private String mixLevel;
	
	@ApiModelProperty(value = "密码复杂度级别名称",example="1")
	private String mixLevelName;

	@ApiModelProperty(value = "策略描述")
	private String passDesc;


	public void setPassPolicyId(Integer passPolicyId){
		this.passPolicyId = passPolicyId;
	}

	public Integer getPassPolicyId(){
		return this.passPolicyId;
	}

	public void setMinPass(Integer minPass){
		this.minPass = minPass;
	}

	public Integer getMinPass(){
		return this.minPass;
	}

	public void setMaxTime(Integer maxTime){
		this.maxTime = maxTime;
	}

	public Integer getMaxTime(){
		return this.maxTime;
	}

	public void setMinTime(Integer minTime){
		this.minTime = minTime;
	}

	public Integer getMinTime(){
		return this.minTime;
	}

	public void setMixLevel(String mixLevel){
		this.mixLevel = mixLevel;
	}

	public String getMixLevel(){
		return this.mixLevel;
	}

	public void setPassDesc(String passDesc){
		this.passDesc = passDesc;
	}

	public String getPassDesc(){
		return this.passDesc;
	}

	public String getMixLevelName() {
		return mixLevelName;
	}

	public void setMixLevelName(String mixLevelName) {
		this.mixLevelName = mixLevelName;
	}

	
}
