package com.loit.v1.modules.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: AccoutInfo
 * @Description: 人员账号信息表
 * @author  zhaokz 
 * @date  2019-10-23 15:22:25
 * @version V1.0 
 **/

@ApiModel(value = "AccoutInfo", description="人员账号信息表数据对象")
public class AccoutInfo extends DataEntity<AccoutInfo>{
	
	private static final long serialVersionUID = 1L;

	public AccoutInfo AccoutInfo() {
		return this;
	}

	@ApiModelProperty(value = "人员唯一ID",example = "1")
	private Integer accountId;

	@ApiModelProperty(value = "sid,物联子平台用",example="1")
	private String sid;

	/**
	 * （0,访客1,普通用户2,一般管理员）
	 */
	@ApiModelProperty(value = "账号类别",example = "1")
	private String userType;


	@ApiModelProperty(value = "账号",example = "1")
	private String userId;


	@ApiModelProperty(value = "未加密密码",example = "123456")
	private String unPassword;


	@ApiModelProperty(value = "密码",example = "f@sdgfd%d$dsfs")
	private String passWord;

	/**
	 * （0,正常1,锁定2,一般管理员禁止）
	 */
	@ApiModelProperty(value = "账号状态",example = "0")
	private String userStat;


	@ApiModelProperty(value = "失败登录次数",example = "2")
	private Integer loginFailnum;


	@ApiModelProperty(value = "最近登录IP",example = "17.34.56.213")
	private String lastLoginIp;


	@ApiModelProperty(value = "最近登录日期",example = "2019-10-24 15:45:23")
	@DateTimeFormat(pattern = "yyyy-MM-ddHH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date lastLoginDate;


	@ApiModelProperty(value = "密码问题",example = "我是谁")
	private String passQuestion;


	@ApiModelProperty(value = "密码答案",example = "小马哥")
	private String passAnswer;

	/**
	 * （0:普通帐号1:临时账号2:应用管理帐号3:超级管理帐号）
	 */
	@ApiModelProperty(value = "账号类型",example = "0")
	private String accountType;


	@ApiModelProperty(value = "账号有效期限",example = "4")
	private Integer accountTimelimit;

	@ApiModelProperty(value = "密码修改时间",example = "2019-10-24 15:45:23")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date passUpdateTime;


	@ApiModelProperty(value = "创建者类型",example = "2")
	private String cteateBy;


	@ApiModelProperty(value = "扩展1",example = "")
	private String ext1;


	@ApiModelProperty(value = "扩展2",example = "")
	private String ext2;


	@ApiModelProperty(value = "人员基本信息ID",example = "1")
	private Integer personBaseId;

	public void setSid(String sid) {
		this.sid = sid;
	}

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public void setAccountId(Integer accountId){
		this.accountId = accountId;
	}

	public AccoutInfo accountId(Integer accountId){
		this.accountId = accountId;
		return this;
	}

	public Integer getAccountId(){
		return this.accountId;
	}

	public void setUserType(String userType){
		this.userType = userType;
	}

	public String getUserType(){
		return this.userType;
	}

	public void setUserId(String userId){
		this.userId = userId;
	}

	public String getUserId(){
		return this.userId;
	}

	public void setUnPassword(String unPassword){
		this.unPassword = unPassword;
	}

	public String getUnPassword(){
		return this.unPassword;
	}

	public void setPassWord(String passWord){
		this.passWord = passWord;
	}

	public AccoutInfo passWord(String passWord){
		this.passWord = passWord;
		return this;
	}

	public String getPassWord(){
		return this.passWord;
	}

	public void setUserStat(String userStat){
		this.userStat = userStat;
	}

	public String getUserStat(){
		return this.userStat;
	}

	public void setLoginFailnum(Integer loginFailnum){
		this.loginFailnum = loginFailnum;
	}

	public Integer getLoginFailnum(){
		return this.loginFailnum;
	}

	public void setLastLoginIp(String lastLoginIp){
		this.lastLoginIp = lastLoginIp;
	}

	public String getLastLoginIp(){
		return this.lastLoginIp;
	}

	public void setLastLoginDate(Date lastLoginDate){
		this.lastLoginDate = lastLoginDate;
	}

	public Date getLastLoginDate(){
		return this.lastLoginDate;
	}

	public void setPassQuestion(String passQuestion){
		this.passQuestion = passQuestion;
	}

	public String getPassQuestion(){
		return this.passQuestion;
	}

	public void setPassAnswer(String passAnswer){
		this.passAnswer = passAnswer;
	}

	public String getPassAnswer(){
		return this.passAnswer;
	}

	public void setAccountType(String accountType){
		this.accountType = accountType;
	}

	public String getAccountType(){
		return this.accountType;
	}

	public void setAccountTimelimit(Integer accountTimelimit){
		this.accountTimelimit = accountTimelimit;
	}

	public Integer getAccountTimelimit(){
		return this.accountTimelimit;
	}

	public void setPassUpdateTime(Date passUpdateTime){
		this.passUpdateTime = passUpdateTime;
	}

	public Date getPassUpdateTime(){
		return this.passUpdateTime;
	}

	public void setCteateBy(String cteateBy){
		this.cteateBy = cteateBy;
	}

	public String getCteateBy(){
		return this.cteateBy;
	}

	public void setExt1(String ext1){
		this.ext1 = ext1;
	}

	public String getExt1(){
		return this.ext1;
	}

	public void setExt2(String ext2){
		this.ext2 = ext2;
	}

	public String getExt2(){
		return this.ext2;
	}

	public void setPersonBaseId(Integer personBaseId){
		this.personBaseId = personBaseId;
	}

	public Integer getPersonBaseId(){
		return this.personBaseId;
	}

}
