package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: AppOrg
 * @Description: 应用组织关系表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/

@ApiModel(value = "AppOrg", description="应用组织关系表数据对象")
public class AppOrg extends DataEntity<AppOrg>{
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主ID",example="1")
	private Integer relId;

	/**
	 * 1、仅本组织  
	 * 2：仅所选下属组织
	 * 3：本组织及下属组织
	 */
	@ApiModelProperty(value = "标志位")
	private String orgFlag;


	@ApiModelProperty(value = "应用ID",example="1")
	private Integer appId;


	@ApiModelProperty(value = "组织ID",example="1")
	private Integer orgId;

	@ApiModelProperty(value = "组织名称",example = "北京市城管局")
	private String orgName;
	
	@ApiModelProperty(value = "标志位名称")
	private String orgFlagName;

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getOrgFlagName() {
		return orgFlagName;
	}

	public void setOrgFlagName(String orgFlagName) {
		this.orgFlagName = orgFlagName;
	}

	public void setRelId(Integer relId){
		this.relId = relId;
	}

	public Integer getRelId(){
		return this.relId;
	}

	public void setOrgFlag(String orgFlag){
		this.orgFlag = orgFlag;
	}

	public String getOrgFlag(){
		return this.orgFlag;
	}

	public void setAppId(Integer appId){
		this.appId = appId;
	}

	public Integer getAppId(){
		return this.appId;
	}

	public void setOrgId(Integer orgId){
		this.orgId = orgId;
	}

	public Integer getOrgId(){
		return this.orgId;
	}

}
