package com.loit.v1.modules.entity;

import java.math.BigDecimal;

import org.hibernate.validator.constraints.Length;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;

import io.swagger.annotations.ApiModelProperty;

/**
 * @description 应用管理entity
 * @author xutao
 * @date  2019-10-21
 */
@ApiModel(value="ApplicationManage", description = "应用管理实体")
public class ApplicationManage extends DataEntity<ApplicationManage> {
	private static final long serialVersionUID = 1L;

	public ApplicationManage ApplicationManage() {
		return this;
	}

	@ApiModelProperty(name = "appId", value = "应用ID", example = "1")
	private Integer appId;
	@ApiModelProperty(name = "appName", value = "应用系统名称", required = true, example = "勤务报备系统")
	private String appName;
	@ApiModelProperty(name = "developer", value = "开发商", example = "北京时代凌宇")
	private String developer;
	@ApiModelProperty(name = "appVersion", value = "版本", example = "V1.0")
	private String appVersion;
	@ApiModelProperty(name = "appDesc", value = "说明", example = "勤务报备")
	private String appDesc;
	@ApiModelProperty(name = "defaultHomePage", value = "默认登录首页", example = "/api/newpicture")
	private String defaultHomePage;
	@ApiModelProperty(name = "defaultHomeName", value = "默认登录首页名称", example = "勤务一张图")
	private String defaultHomeName;
	@ApiModelProperty(name = "serialIndex", value = "排序号", example = "1")
	private BigDecimal serialIndex;
	@ApiModelProperty(name = "contextId", value = "上下文ID", example = "1")
	private Integer contextId;
	@ApiModelProperty(name = "contextValue", value = "上下文值", example = "http://localhost:7007/")
	private String contextValue;
	@ApiModelProperty(name = "clientContextValue", value = "前端上下文值", example = "http://localhost:9528")
	private String clientContextValue;
	@ApiModelProperty(name = "appCode", value = "应用代码", example = "qinwubaobei")
	private String appCode;
	@ApiModelProperty(name = "adminFlag", value = "是否管理用（0：否 1：是）", example = "0")
	private String adminFlag;
	@ApiModelProperty("应用主题管理实体")
	private ThemeManage themeManage;
	@ApiModelProperty(name = "appUrl", value = "图标URL", example = "/sys/login")
	private String appUrl;
	@ApiModelProperty(name = "showFlag", value = "是否在应用切换列表工具条中显示（0：否 1：是）,默认是", example = "0")
	private String showFlag;
	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;
	@ApiModelProperty("服务id")
	private String serviceId;

	@Length(min=1, max=11)
	public Integer getAppId() {
		return appId;
	}

	public void setAppId(Integer appId) {
		this.appId = appId;
	}
	public String getServiceId() {
		return serviceId;
	}

	public void setServiceId(String serviceId) {
		this.serviceId = serviceId;
	}

	@Length(min=1, max=254)
	public String getAppName() {
		return appName;
	}
	public void setAppName(String appName) {
		this.appName = appName;
	}
	@Length(min=1, max=254)
	public String getDeveloper() {
		return developer;
	}

	public void setDeveloper(String developer) {
		this.developer = developer;
	}
	@Length(min=1, max=20)
	public String getAppVersion() {
		return appVersion;
	}

	public void setAppVersion(String appVersion) {
		this.appVersion = appVersion;
	}
	@Length(min=1, max=254)
	public String getAppDesc() {
		return appDesc;
	}

	public void setAppDesc(String appDesc) {
		this.appDesc = appDesc;
	}
	@Length(min=1, max=254)
	public String getDefaultHomePage() {
		return defaultHomePage;
	}

	public void setDefaultHomePage(String defaultHomePage) {
		this.defaultHomePage = defaultHomePage;
	}
	@Length(min=1, max=22)
	public BigDecimal getSerialIndex() {
		return serialIndex;
	}

	public void setSerialIndex(BigDecimal serialIndex) {
		this.serialIndex = serialIndex;
	}
	@Length(min=1, max=11)
	public Integer getContextId() {
		return contextId;
	}

	public void setContextId(Integer contextId) {
		this.contextId = contextId;
	}
	@Length(min=1, max=64)
	public String getAppCode() {
		return appCode;
	}
	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}
	@Length(min=1, max=1)
	public String getAdminFlag() {
		return adminFlag;
	}

	public void setAdminFlag(String adminFlag) {
		this.adminFlag = adminFlag;
	}
	@Length(min=1, max=254)
	public String getAppUrl() {
		return appUrl;
	}

	public void setAppUrl(String appUrl) {
		this.appUrl = appUrl;
	}
	@Length(min=1, max=64)
	public String getContextValue() {
		return contextValue;
	}

	public void setContextValue(String contextValue) {
		this.contextValue = contextValue;
	}

	public ThemeManage getThemeManage() {
		return themeManage;
	}

	public void setThemeManage(ThemeManage themeManage) {
		this.themeManage = themeManage;
	}

	public String getDefaultHomeName() {
		return defaultHomeName;
	}

	public void setDefaultHomeName(String defaultHomeName) {
		this.defaultHomeName = defaultHomeName;
	}

	public String getShowFlag() {
		return showFlag;
	}

	public void setShowFlag(String showFlag) {
		this.showFlag = showFlag;
	}

	public ApplicationManage showFlag(String showFlag) {
		this.showFlag = showFlag;
		return this;
	}

	public String getEnableDel() {
		return enableDel;
	}

	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}

	public String getClientContextValue() {
		return clientContextValue;
	}

	public void setClientContextValue(String clientContextValue) {
		this.clientContextValue = clientContextValue;
	}
}
