package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;


/**
 * @ClassName: AreaCode
 * @Description: 行政区域表
 * @author  zhaokz 
 * @date  2019-11-05 16:37:48
 * @version V1.0 
 **/

@ApiModel(value = "AreaCode", description="行政区域表数据对象")
public class AreaCode extends DataEntity<AreaCode>{

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "区划代码",example = "1")
	private Long code;


	@ApiModelProperty(value = "名称")
	private String name;


	@ApiModelProperty(value = "级别1-5,省市县镇村",example = "1")
	private Integer level;


	@ApiModelProperty(value = "父级区划代码",example = "1")
	private Long pcode;

	@ApiModelProperty(value = "arealevel")
	private String arealevel;

	@ApiModelProperty(value = "子节点")
	private List<AreaCode> children = new ArrayList<>();


	public void setCode(Long code){
		this.code = code;
	}

	public Long getCode(){
		return this.code;
	}

	public void setName(String name){
		this.name = name;
	}

	public String getName(){
		return this.name;
	}

	public void setLevel(Integer level){
		this.level = level;
	}

	public Integer getLevel(){
		return this.level;
	}

	public void setPcode(Long pcode){
		this.pcode = pcode;
	}

	public Long getPcode(){
		return this.pcode;
	}

	public void setArealevel(String arealevel){
		this.arealevel = arealevel;
	}

	public String getArealevel(){
		return this.arealevel;
	}

	public List<AreaCode> getChildren() {
		return children;
	}

	public void setChildren(List<AreaCode> children) {
		this.children = children;
	}
}
