package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 常用入口管理表数据对象.
 * Created by wubj on 2020-06-15.
 **/
@ApiModel(value = "CommonEntrance", description = "常用入口管理表对象")
public class CommonEntrance extends DataEntity<CommonEntrance> implements Serializable {

	/**
	 * 入口id
	 */
	@ApiModelProperty(value = "入口id")
	private Integer entranceId;

	/**
	 * 应用id
	 */
	@ApiModelProperty(value = "应用id")
	private Integer appId;

	/**
	 * 菜单id
	 */
	@ApiModelProperty(value = "菜单id")
	private Integer menuId;

	/**
	 * 角色id
	 */
	@ApiModelProperty(value = "角色id")
	private Integer roleId;

	/**
	 * 排序号
	 */
	@ApiModelProperty(value = "排序号")
	private Float serialIndex;

	/**
	 * 图标url
	 */
	@ApiModelProperty(value = "图标url")
	private String appUrl;

	/**
	 * 入口编码
	 */
	@ApiModelProperty(value = "入口编码")
	private String entrCode;

	/**
	 * 入口名称
	 */
	@ApiModelProperty(value = "入口名称")
	private String entrName;

	/**
	 * 菜单url
	 */
	@ApiModelProperty(value = "菜单url")
	private String resourceUrl;

	/**
	 * 菜单名称
	 */
	@ApiModelProperty(value = "菜单名称")
	private String menuName;

	/**
	 * 上下文值
	 */
	@ApiModelProperty(value = "上下文值")
	private String resContextValue;

	/**
	 * 菜单url
	 */
	@ApiModelProperty(value = "菜单url")
	private String entranceUrl;

	/**
	 * 菜单名称
	 */
	@ApiModelProperty(value = "菜单名称")
	private String entranceName;

	/**
	 * 上下文值
	 */
	@ApiModelProperty(value = "上下文值")
	private String menuContextValue;

	@ApiModelProperty(value = "应用系统名称")
	private String appName;

	@ApiModelProperty(value = "角色名称")
	private String roleName;

	@ApiModelProperty(value = "子菜单")
	private List children;

	@ApiModelProperty(value = "菜单布局id")
	private Integer layoutId;

	@ApiModelProperty(value = "一级父菜单id")
	private Integer menuParentId;

	public void setEntranceId(Integer entranceId){
		this.entranceId = entranceId;
	}

	public Integer getEntranceId(){
		return this.entranceId;
	}

	public void setAppId(Integer appId){
		this.appId = appId;
	}

	public Integer getAppId(){
		return this.appId;
	}

	public void setMenuId(Integer menuId){
		this.menuId = menuId;
	}

	public Integer getMenuId(){
		return this.menuId;
	}

	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}

	public Integer getRoleId(){
		return this.roleId;
	}

	public void setSerialIndex(Float serialIndex){
		this.serialIndex = serialIndex;
	}

	public Float getSerialIndex(){
		return this.serialIndex;
	}

	public void setAppUrl(String appUrl){
		this.appUrl = appUrl;
	}

	public String getAppUrl(){
		return this.appUrl;
	}

	public void setEntrCode(String entrCode){
		this.entrCode = entrCode;
	}

	public String getEntrCode(){
		return this.entrCode;
	}

	public void setEntrName(String entrName){
		this.entrName = entrName;
	}

	public String getEntrName(){
		return this.entrName;
	}

	public void setResourceUrl(String resourceUrl){
		this.resourceUrl = resourceUrl;
	}

	public String getResourceUrl(){
		return this.resourceUrl;
	}

	public void setMenuName(String menuName){
		this.menuName = menuName;
	}

	public String getMenuName(){
		return this.menuName;
	}

	public void setResContextValue(String resContextValue){
		this.resContextValue = resContextValue;
	}

	public String getResContextValue(){
		return this.resContextValue;
	}

	public void setEntranceUrl(String entranceUrl){
		this.entranceUrl = entranceUrl;
	}

	public String getEntranceUrl(){
		return this.entranceUrl;
	}

	public void setEntranceName(String entranceName){
		this.entranceName = entranceName;
	}

	public String getEntranceName(){
		return this.entranceName;
	}

	public void setMenuContextValue(String menuContextValue){
		this.menuContextValue = menuContextValue;
	}

	public String getMenuContextValue(){
		return this.menuContextValue;
	}

	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public List getChildren() {
		return children;
	}

	public void setChildren(List children) {
		this.children = children;
	}

	public Integer getLayoutId() {
		return layoutId;
	}

	public void setLayoutId(Integer layoutId) {
		this.layoutId = layoutId;
	}

	public Integer getMenuParentId() {
		return menuParentId;
	}

	public void setMenuParentId(Integer menuParentId) {
		this.menuParentId = menuParentId;
	}
}
