package com.loit.v1.modules.entity;

import java.math.BigDecimal;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: IpPolicy
 * @Description: IP策略表


 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "IpPolicy", description="IP策略表数据对象")
public class IpPolicy extends DataEntity<IpPolicy>{
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "策略ID",example="1")
	private Integer ipPolicyId;


	@ApiModelProperty(value = "策略名称")
	private String ipPolicyName;

	/**
	 * 1、任意 IP 2、指定IP 3、IP段
	 */
	@ApiModelProperty(value = "策略类型 ")
	private String ipType;

	@ApiModelProperty(value = "排序号",example="1")
	private BigDecimal serialIndex;


	@ApiModelProperty(value = "描述")
	private String ipDesc;


	@ApiModelProperty(value = "策略IP")
	private String policyIp;

	/**
	 * 1、允许 2、禁用
	 */
	@ApiModelProperty(value = "状态")
	private String ipStatus;


	public void setIpPolicyId(Integer ipPolicyId){
		this.ipPolicyId = ipPolicyId;
	}

	public Integer getIpPolicyId(){
		return this.ipPolicyId;
	}

	public void setIpPolicyName(String ipPolicyName){
		this.ipPolicyName = ipPolicyName;
	}

	public String getIpPolicyName(){
		return this.ipPolicyName;
	}

	public void setIpType(String ipType){
		this.ipType = ipType;
	}

	public String getIpType(){
		return this.ipType;
	}

	public void setSerialIndex(BigDecimal serialIndex){
		this.serialIndex = serialIndex;
	}

	public BigDecimal getSerialIndex(){
		return this.serialIndex;
	}

	public void setIpDesc(String ipDesc){
		this.ipDesc = ipDesc;
	}

	public String getIpDesc(){
		return this.ipDesc;
	}

	public void setPolicyIp(String policyIp){
		this.policyIp = policyIp;
	}

	public String getPolicyIp(){
		return this.policyIp;
	}

	public void setIpStatus(String ipStatus){
		this.ipStatus = ipStatus;
	}

	public String getIpStatus(){
		return this.ipStatus;
	}

}
