package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;


/**
 * 标签 [门户平台]数据对象.
 * Created by Demon on 2020-06-20.
 **/
@ApiModel(value = "Label", description = "标签对象")
public class Label extends DataEntity<Label> implements Serializable {

	/**
	 * 标签id
	 */
	@ApiModelProperty(value = "标签id")
	private Integer labelId;

	/**
	 * 模块id。如：组织id
	 */
	@ApiModelProperty(value = "模块id。如：组织id")
	private Integer labelModuleId;

	/**
	 * 标签颜色
	 */
	@ApiModelProperty(value = "标签颜色")
	private String labelColour;

	/**
	 * 标签字典编码。组织标签字典码:orglabel
	 */
	@ApiModelProperty(value = "标签字典编码。组织标签字典码:orglabel")
	private String labelDictCode;

	/**
	 * 标签字典项id
	 */
	@ApiModelProperty(value = "标签字典项id")
	private Integer labelDictDataId;

	/**
	 * 标签字典项编码
	 */
	@ApiModelProperty(value = "标签字典项编码")
	private String labelDictDataCode;

	/**
	 * 是否允许删除（0：否 1：是）
	 */
	@ApiModelProperty(value = "是否允许删除（0：否 1：是）")
	private String enableDel;

	@ApiModelProperty(value = "标签名称")
	private String LabelName;


	public void setLabelId(Integer labelId){
		this.labelId = labelId;
	}

	public Integer getLabelId(){
		return this.labelId;
	}

	public void setLabelModuleId(Integer labelModuleId){
		this.labelModuleId = labelModuleId;
	}

	public Integer getLabelModuleId(){
		return this.labelModuleId;
	}

	public void setLabelColour(String labelColour){
		this.labelColour = labelColour;
	}

	public String getLabelColour(){
		return this.labelColour;
	}

	public void setLabelDictCode(String labelDictCode){
		this.labelDictCode = labelDictCode;
	}

	public String getLabelDictCode(){
		return this.labelDictCode;
	}

	public void setLabelDictDataId(Integer labelDictDataId){
		this.labelDictDataId = labelDictDataId;
	}

	public Integer getLabelDictDataId(){
		return this.labelDictDataId;
	}

	public void setLabelDictDataCode(String labelDictDataCode){
		this.labelDictDataCode = labelDictDataCode;
	}

	public String getLabelDictDataCode(){
		return this.labelDictDataCode;
	}

	public void setEnableDel(String enableDel){
		this.enableDel = enableDel;
	}

	public String getEnableDel(){
		return this.enableDel;
	}

	public String getLabelName() {
		return LabelName;
	}

	public void setLabelName(String labelName) {
		LabelName = labelName;
	}
}
