package com.loit.v1.modules.entity;

import org.hibernate.validator.constraints.Length;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 菜单布局管理entity
 * @author xutao
 * @date  2019-10-22
 */
@ApiModel(value="MenuLayout", description = "菜单布局管理实体")
public class MenuLayout extends DataEntity<MenuLayout> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "layoutId", value = "布局ID", example = "1")
	private Integer layoutId;
	@ApiModelProperty(name = "layoutCode", value = "布局代码", example = "yijijmoshi")
	private String layoutCode;
	@ApiModelProperty(name = "layoutName", value = "布局名称", example = "一级菜单模式")
	private String layoutName;
	@ApiModelProperty(name = "layoutPath", value = "布局所在路径", example = "")
	private String layoutPath;
	@ApiModelProperty(name = "layoutMode", value = "布局方式（1：一级菜单模式 2：二级菜单模式 3：三级菜单模式 4：树级菜单模式）", example = "1")
	private String layoutMode;
	@ApiModelProperty(name = "layoutDesc", value = "布局描述", example = "只有上部显示导航栏")
	private String layoutDesc;
	@ApiModelProperty(name = "iconPath", value = "图标路径", example = "")
	private String iconPath;
	@Length(min=1, max=11)
	public Integer getLayoutId() {
		return layoutId;
	}
	public void setLayoutId(Integer layoutId) {
		this.layoutId = layoutId;
	}
	@Length(min=1, max=64)
	public String getLayoutCode() {
		return layoutCode;
	}	
	public void setLayoutCode(String layoutCode) {
		this.layoutCode = layoutCode;
	}
	@Length(min=1, max=64)
	public String getLayoutName() {
		return layoutName;
	}
	public void setLayoutName(String layoutName) {
		this.layoutName = layoutName;
	}
	@Length(min=1, max=254)
	public String getLayoutPath() {
		return layoutPath;
	}
	public void setLayoutPath(String layoutPath) {
		this.layoutPath = layoutPath;
	}
	@Length(min=1, max=1)
	public String getLayoutMode() {
		return layoutMode;
	}
	public void setLayoutMode(String layoutMode) {
		this.layoutMode = layoutMode;
	}
	@Length(min=1, max=254)
	public String getIconPath() {
		return iconPath;
	}
	public void setIconPath(String iconPath) {
		this.iconPath = iconPath;
	}
	@Length(min=1, max=254)
	public String getLayoutDesc() {
		return layoutDesc;
	}
	public void setLayoutDesc(String layoutDesc) {
		this.layoutDesc = layoutDesc;
	}	
	
}
