package com.loit.v1.modules.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import org.hibernate.validator.constraints.Length;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @description 应用菜单管理entity
 * @author xutao
 * @date  2019-10-21
 */
@ApiModel(value="MenuManage", description = "应用菜单管理实体")
public class MenuManage extends DataEntity<MenuManage> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "菜单ID",example="1")
	private Integer menuId;
	@ApiModelProperty("菜单名称")
	private String menuName;
	@ApiModelProperty("菜单简称")
	private String menuShortName;
	@ApiModelProperty("入口URL")
	private String entranceUrl;
    @ApiModelProperty("入口菜单名称")
    private String entranceName;
	@ApiModelProperty("是否可用（0：否 1：是）")
	private String isEnabled;
	@ApiModelProperty(value = "菜单上下文ID",example="1")
	private Integer menuContextId;
	@ApiModelProperty("菜单上下文值")
	private String menuContextValue;
	@ApiModelProperty("菜单前端上下文值")
	private String menuClientContextValue;
	@ApiModelProperty(value = "资源上下文ID",example="1")
	private Integer resContextId;
	@ApiModelProperty("资源上下文值")
	private String resContextValue;
	@ApiModelProperty("资源前端上下文值")
	private String resClientContextValue;
	@ApiModelProperty("排序号")
	private BigDecimal serialIndex;
	@ApiModelProperty("说明")
	private String menuDesc;
	@ApiModelProperty(value = "父菜单ID",example="1")
	private Integer parentId;
	@ApiModelProperty("菜单层级（多级父id，逗号隔开）")
	private String parentIds;
	@ApiModelProperty("菜单级别")
	private String menuLevel;
	@ApiModelProperty("图标URL")
	private String menuUrl;
	@ApiModelProperty(value = "应用ID",example="1")
	private Integer appId;
	@ApiModelProperty("子菜单列表对象")
	private List<MenuManage> children = new ArrayList<MenuManage>();
	@ApiModelProperty(value = "资源ID",example="1")
	private Integer resId;
	@ApiModelProperty("资源值")
	private String resourceUrl;
	@ApiModelProperty("资源名称（冗余字段）用于前端展示")
	private String resName;
	@ApiModelProperty("应用编码")
	private String appCode;
	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;
	@ApiModelProperty("服务id")
	private String serviceId;

	@Length(min=1, max=11)
	public Integer getMenuId() {
		return menuId;
	}
	public void setMenuId(Integer menuId) {
		this.menuId = menuId;
	}

	public String getServiceId() {
		return serviceId;
	}
	public void setServiceId(String serviceId) {
		this.serviceId = serviceId;
	}
	@Length(min=1, max=254)
	public String getMenuName() {
		return menuName;
	}
	public void setMenuName(String menuName) {
		this.menuName = menuName;
	}

	@Length(min=1, max=254)
	public String getMenuShortName() {
		return menuShortName;
	}

	public void setMenuShortName(String menuShortName) {
		this.menuShortName = menuShortName;
	}
	@Length(min=1, max=254)
	public String getEntranceUrl() {
		return entranceUrl;
	}

	public void setEntranceUrl(String entranceUrl) {
		this.entranceUrl = entranceUrl;
	}
	@Length(min=1, max=1)
	public String getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}
	@Length(min=1, max=22)
	public BigDecimal getSerialIndex() {
		return serialIndex;
	}
	
	public void setSerialIndex(BigDecimal serialIndex) {
		this.serialIndex = serialIndex;
	}
	
	@Length(min=1, max=11)
	public Integer getMenuContextId() {
		return menuContextId;
	}

	public void setMenuContextId(Integer menuContextId) {
		this.menuContextId = menuContextId;
	}

	public String getMenuClientContextValue() {
		return menuClientContextValue;
	}
	public void setMenuClientContextValue(String menuClientContextValue) {
		this.menuClientContextValue = menuClientContextValue;
	}
	public String getMenuContextValue() {
		return menuContextValue;
	}

	public void setMenuContextValue(String menuContextValue) {
		this.menuContextValue = menuContextValue;
	}

	public Integer getResContextId() {
		return resContextId;
	}

	public void setResContextId(Integer resContextId) {
		this.resContextId = resContextId;
	}

	public String getResContextValue() {
		return resContextValue;
	}

	public void setResContextValue(String resContextValue) {
		this.resContextValue = resContextValue;
	}
	public String getResClientContextValue() {
		return resClientContextValue;
	}
	public void setResClientContextValue(String resClientContextValue) {
		this.resClientContextValue = resClientContextValue;
	}
	@Length(min=1, max=254)
	public String getMenuDesc() {
		return menuDesc;
	}

	public void setMenuDesc(String menuDesc) {
		this.menuDesc = menuDesc;
	}
	@Length(min=1, max=11)
	public Integer getParentId() {
		return parentId;
	}

	public void setParentId(Integer parentId) {
		this.parentId = parentId;
	}
	@Length(min=1, max=11)
	public String getMenuLevel() {
		return menuLevel;
	}

	public void setMenuLevel(String menuLevel) {
		this.menuLevel = menuLevel;
	}
	@Length(min=1, max=11)
	public Integer getAppId() {
		return appId;
	}

	public void setAppId(Integer appId) {
		this.appId = appId;
	}
	@Length(min=1, max=254)
	public String getMenuUrl() {
		return menuUrl;
	}

	public void setMenuUrl(String menuUrl) {
		this.menuUrl = menuUrl;
	}

	public List<MenuManage> getChildren() {
		return children;
	}

	public void setChildren(List<MenuManage> children) {
		this.children = children;
	}

	public String getEntranceName() {
		return entranceName;
	}

	public void setEntranceName(String entranceName) {
		this.entranceName = entranceName;
	}

	public String getResourceUrl() {
		return resourceUrl;
	}

	public void setResourceUrl(String resourceUrl) {
		this.resourceUrl = resourceUrl;
	}

	public String getParentIds() {
		return parentIds;
	}

	public void setParentIds(String parentIds) {
		this.parentIds = parentIds;
	}

	public Integer getResId() {
		return resId;
	}

	public void setResId(Integer resId) {
		this.resId = resId;
	}

	public String getResName() {
		return resName;
	}

	public void setResName(String resName) {
		this.resName = resName;
	}

	public String getAppCode() {
		return appCode;
	}

	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}

	public String getEnableDel() {
		return enableDel;
	}

	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}
}