package com.loit.v1.modules.entity;

import org.hibernate.validator.constraints.Length;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 菜单样式管理entity
 * @author xutao
 * @date  2020-02-20
 */
@ApiModel(value="MenuStyle", description = "菜单样式管理实体")
public class MenuStyle extends DataEntity<MenuStyle> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "styleId", value = "样式ID", example = "1")
	private Integer styleId;
	@ApiModelProperty(name = "styleCode", value = "样式代码", example = "yijijmoshi")
	private String styleCode;
	@ApiModelProperty(name = "styleName", value = "样式名称", example = "一级、子级无图标")
	private String styleName;
	@ApiModelProperty(name = "stylePath", value = "样式所在路径", example = "")
	private String stylePath;
	@ApiModelProperty(name = "styleMode", value = "样式方式（1：一级、子级无图标 2：一级、子级有图标 3：一级有图标、子级无图标）", example = "1")
	private String styleMode;
	@ApiModelProperty(name = "styleDesc", value = "样式描述", example = "一级、子级无图标")
	private String styleDesc;
	@ApiModelProperty(name = "iconPath", value = "图标路径", example = "")
	private String iconPath;
	@Length(min=1, max=11)
	public Integer getstyleId() {
		return styleId;
	}
	public void setstyleId(Integer styleId) {
		this.styleId = styleId;
	}
	@Length(min=1, max=64)
	public String getstyleCode() {
		return styleCode;
	}	
	public void setstyleCode(String styleCode) {
		this.styleCode = styleCode;
	}
	@Length(min=1, max=64)
	public String getstyleName() {
		return styleName;
	}
	public void setstyleName(String styleName) {
		this.styleName = styleName;
	}
	@Length(min=1, max=254)
	public String getstylePath() {
		return stylePath;
	}
	public void setstylePath(String stylePath) {
		this.stylePath = stylePath;
	}
	@Length(min=1, max=1)
	public String getstyleMode() {
		return styleMode;
	}
	public void setstyleMode(String styleMode) {
		this.styleMode = styleMode;
	}
	@Length(min=1, max=254)
	public String getIconPath() {
		return iconPath;
	}
	public void setIconPath(String iconPath) {
		this.iconPath = iconPath;
	}
	@Length(min=1, max=254)
	public String getstyleDesc() {
		return styleDesc;
	}
	public void setstyleDesc(String styleDesc) {
		this.styleDesc = styleDesc;
	}	
	
}
