package com.loit.v1.modules.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 通知表数据对象.
 * Created by WBJ on 2020-04-23.
 **/
@ApiModel(value = "Notice", description = "通知表对象")
public class Notice extends DataEntity<Notice> implements Serializable {

	/**
	 * 通知id
	 */
	@ApiModelProperty(value = "通知id")
	private Integer id;

	/**
	 * 通知类型
	 */
	@ApiModelProperty(value = "通知类型")
	private String noticeType;

	/**
	 * 通知标题
	 */
	@ApiModelProperty(value = "通知标题")
	private String noticeTopic;

	/**
	 * 通知内容
	 */
	@ApiModelProperty(value = "通知内容")
	private String noticeContent;

	/**
	 * 发送人
	 */
	@ApiModelProperty(value = "发送人")
	private String sendId;

	/**
	 * 发送人名称
	 */
	@ApiModelProperty(value = "发送人名称")
	private String sendName;

	/**
	 * 接收人list
	 */
	@ApiModelProperty(value = "接收人list")
	private String receiveIds;

	/**
	 * 通知类型name
	 */
	@ApiModelProperty(value = "通知类型name")
	private String noticeTypeName;


	@ApiModelProperty(value = "开始时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08")
	private Date createTimeStart;

	@ApiModelProperty(value = "结束日期")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08")
	private Date createTimeEnd;

	/**
	 *排序字段名
	 */
	@ApiModelProperty(value = "排序字段名")
	private String  orderByName;
	/**
	 *排序类型
	 */
	@ApiModelProperty(value = "排序类型  asc/desc")
	private  String  orderBy;

	@ApiModelProperty(value = "发布状态（0草稿，1已发布）")
	private String publishStatus;

	@ApiModelProperty(value = "已读通知数量")
	private Integer readCount;

	@ApiModelProperty(value = "总通知数量")
	private Integer totalCount;

	@ApiModelProperty(value = "接收人列表")
	private List<NoticeReceive> receiveList;

	@ApiModelProperty(value = "发布时间")
	private String publishTime;

	@ApiModelProperty(value = "文件名称")
	private String  fileName;

	@ApiModelProperty(value = "文件地址")
	private String  filePath;

	public Notice() {
	}


	public void setId(Integer id){
		this.id = id;
	}

	public Integer getId(){
		return this.id;
	}

	public void setNoticeType(String noticeType){
		this.noticeType = noticeType;
	}

	public String getNoticeType(){
		return this.noticeType;
	}

	public void setNoticeTopic(String noticeTopic){
		this.noticeTopic = noticeTopic;
	}

	public String getNoticeTopic(){
		return this.noticeTopic;
	}

	public void setNoticeContent(String noticeContent){
		this.noticeContent = noticeContent;
	}

	public String getNoticeContent(){
		return this.noticeContent;
	}

	public String getNoticeTypeName() {
		return noticeTypeName;
	}

	public void setNoticeTypeName(String noticeTypeName) {
		this.noticeTypeName = noticeTypeName;
	}

	public Date getCreateTimeStart() {
		return createTimeStart;
	}

	public void setCreateTimeStart(Date createTimeStart) {
		this.createTimeStart = createTimeStart;
	}

	public Date getCreateTimeEnd() {
		return createTimeEnd;
	}

	public void setCreateTimeEnd(Date createTimeEnd) {
		this.createTimeEnd = createTimeEnd;
	}

	public String getOrderByName() {
		return orderByName;
	}

	public void setOrderByName(String orderByName) {
		this.orderByName = orderByName;
	}

	public String getOrderBy() {
		return orderBy;
	}

	public void setOrderBy(String orderBy) {
		this.orderBy = orderBy;
	}

	public String getSendId() {
		return sendId;
	}

	public String getSendName() {
		return sendName;
	}

	public void setSendName(String sendName) {
		this.sendName = sendName;
	}

	public void setSendId(String sendId) {
		this.sendId = sendId;
	}

	public String getReceiveIds() {
		return receiveIds;
	}

	public void setReceiveIds(String receiveIds) {
		this.receiveIds = receiveIds;
	}

	public String getPublishStatus() {
		return publishStatus;
	}

	public void setPublishStatus(String publishStatus) {
		this.publishStatus = publishStatus;
	}

	public Integer getReadCount() {
		return readCount;
	}

	public void setReadCount(Integer readCount) {
		this.readCount = readCount;
	}

	public Integer getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(Integer totalCount) {
		this.totalCount = totalCount;
	}

	public List<NoticeReceive> getReceiveList() {
		return receiveList;
	}

	public void setReceiveList(List<NoticeReceive> receiveList) {
		this.receiveList = receiveList;
	}

	public String getPublishTime() {
		return publishTime;
	}

	public void setPublishTime(String publishTime) {
		this.publishTime = publishTime;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
}
