package com.loit.v1.modules.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 通知接收表数据对象.
 * Created by WBJ on 2020-04-23.
 **/
@ApiModel(value = "NoticeReceive", description = "通知接收表对象")
public class NoticeReceive extends DataEntity<NoticeReceive> implements Serializable {

	/**
	 * 主id
	 */
	@ApiModelProperty(value = "主id")
	private Integer id;

	/**
	 * 通知id
	 */
	@ApiModelProperty(value = "通知id")
	private Integer noticeId;

	/**
	 * 接收人
	 */
	@ApiModelProperty(value = "接收人")
	private String receiveId;

	/**
	 * 状态（0未读，1已读）
	 */
	@ApiModelProperty(value = "状态（0未读，1已读）")
	private String noticeStatus;

	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	/**
	 * 阅读时间
	 */
	@ApiModelProperty(value = "阅读时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08")
	private Date readTime;

	@ApiModelProperty(value = "接收人姓名")
	private String receiveName;

	@ApiModelProperty(value = "部门名称")
	private String orgName;

	@ApiModelProperty(value = "通知ids")
	private String noticeIds;

	@ApiModelProperty(value = "通知类型")
	private String noticeType;

	@ApiModelProperty(value = "通知标题")
	private String noticeTopic;

	@ApiModelProperty(value = "通知内容")
	private String noticeContent;

	@ApiModelProperty(value = "发送人")
	private String sendId;

	@ApiModelProperty(value = "发送人名称")
	private String sendName;

	@ApiModelProperty(value = "文件名称")
	private String  fileName;

	@ApiModelProperty(value = "文件地址")
	private String  filePath;

	@ApiModelProperty(value = "开始时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08")
	private Date createTimeStart;

	@ApiModelProperty(value = "结束日期")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08")
	private Date createTimeEnd;

	@ApiModelProperty(value = "排序字段名")
	private String  orderByName;

	@ApiModelProperty(value = "排序类型  asc/desc")
	private  String  orderBy;

	/**
	 * 通知类型name
	 */
	@ApiModelProperty(value = "通知类型name")
	private String noticeTypeName;

	@ApiModelProperty(value = "发布状态（0草稿，1已发布）")
	private String publishStatus;

	public void setId(Integer id){
		this.id = id;
	}

	public Integer getId(){
		return this.id;
	}

	public void setNoticeId(Integer noticeId){
		this.noticeId = noticeId;
	}

	public Integer getNoticeId(){
		return this.noticeId;
	}

	public void setNoticeStatus(String noticeStatus){
		this.noticeStatus = noticeStatus;
	}

	public String getNoticeStatus(){
		return this.noticeStatus;
	}

	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}

	public Date getCreateTime(){
		return this.createTime;
	}

	public String getNoticeIds() {
		return noticeIds;
	}

	public void setNoticeIds(String noticeIds) {
		this.noticeIds = noticeIds;
	}

	public String getReceiveId() {
		return receiveId;
	}

	public void setReceiveId(String receiveId) {
		this.receiveId = receiveId;
	}

	public Date getReadTime() {
		return readTime;
	}

	public void setReadTime(Date readTime) {
		this.readTime = readTime;
	}

	public String getReceiveName() {
		return receiveName;
	}

	public void setReceiveName(String receiveName) {
		this.receiveName = receiveName;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getNoticeType() {
		return noticeType;
	}

	public void setNoticeType(String noticeType) {
		this.noticeType = noticeType;
	}

	public String getNoticeTopic() {
		return noticeTopic;
	}

	public void setNoticeTopic(String noticeTopic) {
		this.noticeTopic = noticeTopic;
	}

	public String getNoticeContent() {
		return noticeContent;
	}

	public void setNoticeContent(String noticeContent) {
		this.noticeContent = noticeContent;
	}

	public String getSendId() {
		return sendId;
	}

	public void setSendId(String sendId) {
		this.sendId = sendId;
	}

	public String getSendName() {
		return sendName;
	}

	public void setSendName(String sendName) {
		this.sendName = sendName;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	public Date getCreateTimeStart() {
		return createTimeStart;
	}

	public void setCreateTimeStart(Date createTimeStart) {
		this.createTimeStart = createTimeStart;
	}

	public Date getCreateTimeEnd() {
		return createTimeEnd;
	}

	public void setCreateTimeEnd(Date createTimeEnd) {
		this.createTimeEnd = createTimeEnd;
	}

	public String getOrderByName() {
		return orderByName;
	}

	public void setOrderByName(String orderByName) {
		this.orderByName = orderByName;
	}

	public String getOrderBy() {
		return orderBy;
	}

	public void setOrderBy(String orderBy) {
		this.orderBy = orderBy;
	}

	public String getNoticeTypeName() {
		return noticeTypeName;
	}

	public void setNoticeTypeName(String noticeTypeName) {
		this.noticeTypeName = noticeTypeName;
	}

	public String getPublishStatus() {
		return publishStatus;
	}

	public void setPublishStatus(String publishStatus) {
		this.publishStatus = publishStatus;
	}
}
