package com.loit.v1.modules.entity;

import java.util.ArrayList;
import java.util.List;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: Org
 * @Description: 组织机构表
 * @author  zhaokz 
 * @date  2019-10-22 18:36:40
 * @version V1.0 
 **/
@ApiModel(value = "Org", description="组织机构表数据对象")
public class Org extends DataEntity<Org>{

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "组织uuID，物联子平台需要",example = "1")
	private String sid;

	@ApiModelProperty(value = "组织唯一ID",example = "1")
	private Integer orgId;

	@ApiModelProperty(value = "组织版本",example = "1")
	private String orgVersion;

	@ApiModelProperty(value = "组织简称",example = "北京市城管局")
	private String orgShortName;

	@ApiModelProperty(value = "组织名称",example = "北京市城市管理综合执法监察局")
	private String orgName;

	@ApiModelProperty(value = "组织编码",example = "12312")
	private String orgCode;

	@ApiModelProperty(value = "组织邮箱",example = "293932@163.com")
	private String orgMail;

	@ApiModelProperty(value = "联系方式",example = "15944553322")
	private String contact;

	@ApiModelProperty(value = "组织行政级别",example = "1")
	private String orgGrade;

	@ApiModelProperty(value = "组织层数",example = "2")
	private Integer orgLevel;

	@ApiModelProperty(value = "排序号",example = "23")
	private Integer serialIndex;

	@ApiModelProperty(value = "说明",example = "阿斯顿发斯蒂芬")
	private String orgDesc;

	@ApiModelProperty(value = "父组织ID",example = "1")
	private Integer parentId;

	@ApiModelProperty(value = "状态(0正常1禁用2删除)",example = "0")
	private String orgStatus;
	
	@ApiModelProperty(value = "类型",example = "0")
	private String orgType;

	@ApiModelProperty(value = "机构层次代码",example = "3424")
	private String orgLevelCode;

	@ApiModelProperty(value = "删除标记",example = "0")
	private String deltag;

	@ApiModelProperty(value = "应用id",example = "23")
	private Integer appId;
	
	@ApiModelProperty(value = "用户组id",example = "23")
	private Integer grpId;
	
	@ApiModelProperty(value = "扩展唯一编码")
	private String extCode;

	@ApiModelProperty(value = "组织标签列表")
	List<Label> labels = new ArrayList<>();
	
	/**
	 * 组织扩展属性
	 */
	List<OrgExtattr> orgExtattrs;

	/**
	 * 标签名称-查询条件使用
	 */
	private String queryLabelName;

	public void setSid(String sid) {
		this.sid = sid;
	}

	public String getSid() {
		return sid;
	}

	public void setOrgId(Integer orgId){
		this.orgId = orgId;
	}

	public Integer getOrgId(){
		return this.orgId;
	}

	public void setOrgVersion(String orgVersion){
		this.orgVersion = orgVersion;
	}

	public String getOrgVersion(){
		return this.orgVersion;
	}

	public void setOrgShortName(String orgShortName){
		this.orgShortName = orgShortName;
	}

	public String getOrgShortName(){
		return this.orgShortName;
	}

	public void setOrgName(String orgName){
		this.orgName = orgName;
	}

	public String getOrgName(){
		return this.orgName;
	}

	public void setOrgCode(String orgCode){
		this.orgCode = orgCode;
	}

	public String getOrgCode(){
		return this.orgCode;
	}

	public void setOrgMail(String orgMail){
		this.orgMail = orgMail;
	}

	public String getOrgMail(){
		return this.orgMail;
	}

	public void setContact(String contact){
		this.contact = contact;
	}

	public String getContact(){
		return this.contact;
	}

	public void setOrgGrade(String orgGrade){
		this.orgGrade = orgGrade;
	}

	public String getOrgGrade(){
		return this.orgGrade;
	}

	public void setOrgLevel(Integer orgLevel){
		this.orgLevel = orgLevel;
	}

	public Integer getOrgLevel(){
		return this.orgLevel;
	}

	public void setSerialIndex(Integer serialIndex){
		this.serialIndex = serialIndex;
	}

	public Integer getSerialIndex(){
		return this.serialIndex;
	}

	public void setOrgDesc(String orgDesc){
		this.orgDesc = orgDesc;
	}

	public String getOrgDesc(){
		return this.orgDesc;
	}

	public void setParentId(Integer parentId){
		this.parentId = parentId;
	}

	public Integer getParentId(){
		return this.parentId;
	}

	public void setOrgStatus(String orgStatus){
		this.orgStatus = orgStatus;
	}

	public String getOrgStatus(){
		return this.orgStatus;
	}

	public void setOrgLevelCode(String orgLevelCode){
		this.orgLevelCode = orgLevelCode;
	}

	public String getOrgLevelCode(){
		return this.orgLevelCode;
	}

	public void setDeltag(String deltag){
		this.deltag = deltag;
	}

	public String getDeltag(){
		return this.deltag;
	}

	public Integer getAppId() {
		return appId;
	}

	public void setAppId(Integer appId) {
		this.appId = appId;
	}

	public Integer getGrpId() {
		return grpId;
	}

	public void setGrpId(Integer grpId) {
		this.grpId = grpId;
	}

	public List<OrgExtattr> getOrgExtattrs() {
		return orgExtattrs;
	}

	public void setOrgExtattrs(List<OrgExtattr> orgExtattrs) {
		this.orgExtattrs = orgExtattrs;
	}

	public String getOrgType() {
		return orgType;
	}

	public void setOrgType(String orgType) {
		this.orgType = orgType;
	}

	public String getExtCode() {
		return extCode;
	}

	public void setExtCode(String extCode) {
		this.extCode = extCode;
	}

	public List<Label> getLabels() {
		return labels;
	}

	public void setLabels(List<Label> labels) {
		this.labels = labels;
	}

	public String getQueryLabelName() {
		return queryLabelName;
	}

	public void setQueryLabelName(String queryLabelName) {
		this.queryLabelName = queryLabelName;
	}
}
