package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: PersonBase
 * @Description: 人员基础信息表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@ApiModel(value = "PersonBase", description="人员基础信息表数据对象")
public class PersonBase extends DataEntity<PersonBase> implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id",example="1")
	private Integer personBaseId;


	@ApiModelProperty(value = "人员名称")
	private String personName;


	@ApiModelProperty(value = "人员统一编码")
	private String personCode;


	@ApiModelProperty(value = "证件号")
	private String idNum;


	@ApiModelProperty(value = "证件类型")
	private String idType;

	/**
	 * (0,保密1,男2,女)
	 */
	@ApiModelProperty(value = "性别",example="1")
	private Integer pbSex;


	@ApiModelProperty(value = "婚姻状况")
	private String marryCode;


	@ApiModelProperty(value = "政治面貌")
	private String pbPcode;


	@ApiModelProperty(value = "家庭电话")
	private String homeTel;


	@ApiModelProperty(value = "办公电话")
	private String officeTel;


	@ApiModelProperty(value = "家庭传真")
	private String homeFax;


	@ApiModelProperty(value = "办公传真")
	private String officeFax;


	@ApiModelProperty(value = "手机号")
	private String pbMobile;


	@ApiModelProperty(value = "电子邮件")
	private String pbEmail;


	@ApiModelProperty(value = "国家")
	private String pbCountry;


	@ApiModelProperty(value = "省份")
	private String provinceCode;


	@ApiModelProperty(value = "市区")
	private String cityCode;


	@ApiModelProperty(value = "街道")
	private String streetCode;


	@ApiModelProperty(value = "联系地址")
	private String connectAddr;


	@ApiModelProperty(value = "邮编")
	private String postCode;


	@ApiModelProperty(value = "最高学历")
	private String eduCode;


	@ApiModelProperty(value = "最高学位")
	private String degreeCode;


	@ApiModelProperty(value = "其他信息")
	private String otherInfo;


	@ApiModelProperty(value = "排序号")
	private java.math.BigDecimal serialIndex;


	@ApiModelProperty(value = "图片地址")
	private String photoUrl;


	@ApiModelProperty(value = "民族")
	private String pbNation;


	@ApiModelProperty(value = "身份证特征码")
	private String idCode;


	@ApiModelProperty(value = "是否发放证书")
	private String caStatus;


	@ApiModelProperty(value = "现任职务")
	private String pbJob;


	@ApiModelProperty(value = "扩展1")
	private String ext1;


	@ApiModelProperty(value = "扩展2")
	private String ext2;


	@ApiModelProperty(value = "扩展3")
	private String ext3;
	
	@ApiModelProperty(value = "账号id",example = "1")
	private Integer accountId;
	
	@ApiModelProperty(value = "账号",example = "1")
	private String userId;
	
	@ApiModelProperty(value = "用户类型",example = "1")
	private String userType;
	
	@ApiModelProperty(value = "账号状态",example = "1")
	private String userStat;
	
	@ApiModelProperty(value = "账号有效期限",example = "1")
	private Integer accountTimelimit;
	
	@ApiModelProperty(value = "应用id",example = "1")
	private Integer appId;
	
	@ApiModelProperty(value = "用户组id",example = "1")
	private Integer grpId;
	
	@ApiModelProperty(value = "角色id",example = "1")
	private Integer roleId;

	@ApiModelProperty(value = "组织id",example = "1")
	private Integer orgId;

	/**
	 * （0:普通帐号1:组织管理员账号2:应用管理帐号3:超级管理帐号）
	 */
	@ApiModelProperty(value = "账号类型",example = "0")
	private String accountType;

	@ApiModelProperty(value = "组织名称")
	private String orgName;
	
	@ApiModelProperty(value = "扩展唯一编码")
	private String extCode;

	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;

	/**
	 * 查询条件使用-职务ID
	 */
	@ApiModelProperty(value = "职务ID")
	private String positionId;

	/**
	 * 查询条件使用-职级ID
	 */
	@ApiModelProperty(value = "职级ID")
	private String rankId;

	public void setPersonBaseId(Integer personBaseId){
		this.personBaseId = personBaseId;
	}

	public Integer getPersonBaseId(){
		return this.personBaseId;
	}

	public void setPersonName(String personName){
		this.personName = personName;
	}

	public String getPersonName(){
		return this.personName;
	}

	public void setPersonCode(String personCode){
		this.personCode = personCode;
	}

	public String getPersonCode(){
		return this.personCode;
	}

	public void setIdNum(String idNum){
		this.idNum = idNum;
	}

	public String getIdNum(){
		return this.idNum;
	}

	public void setIdType(String idType){
		this.idType = idType;
	}

	public String getIdType(){
		return this.idType;
	}

	public void setPbSex(Integer pbSex){
		this.pbSex = pbSex;
	}

	public Integer getPbSex(){
		return this.pbSex;
	}

	public void setMarryCode(String marryCode){
		this.marryCode = marryCode;
	}

	public String getMarryCode(){
		return this.marryCode;
	}

	public void setPbPcode(String pbPcode){
		this.pbPcode = pbPcode;
	}

	public String getPbPcode(){
		return this.pbPcode;
	}

	public void setHomeTel(String homeTel){
		this.homeTel = homeTel;
	}

	public String getHomeTel(){
		return this.homeTel;
	}

	public void setOfficeTel(String officeTel){
		this.officeTel = officeTel;
	}

	public String getOfficeTel(){
		return this.officeTel;
	}

	public void setHomeFax(String homeFax){
		this.homeFax = homeFax;
	}

	public String getHomeFax(){
		return this.homeFax;
	}

	public void setOfficeFax(String officeFax){
		this.officeFax = officeFax;
	}

	public String getOfficeFax(){
		return this.officeFax;
	}

	public void setPbMobile(String pbMobile){
		this.pbMobile = pbMobile;
	}

	public String getPbMobile(){
		return this.pbMobile;
	}

	public void setPbEmail(String pbEmail){
		this.pbEmail = pbEmail;
	}

	public String getPbEmail(){
		return this.pbEmail;
	}

	public void setPbCountry(String pbCountry){
		this.pbCountry = pbCountry;
	}

	public String getPbCountry(){
		return this.pbCountry;
	}

	public void setProvinceCode(String provinceCode){
		this.provinceCode = provinceCode;
	}

	public String getProvinceCode(){
		return this.provinceCode;
	}

	public void setCityCode(String cityCode){
		this.cityCode = cityCode;
	}

	public String getCityCode(){
		return this.cityCode;
	}

	public void setStreetCode(String streetCode){
		this.streetCode = streetCode;
	}

	public String getStreetCode(){
		return this.streetCode;
	}

	public void setConnectAddr(String connectAddr){
		this.connectAddr = connectAddr;
	}

	public String getConnectAddr(){
		return this.connectAddr;
	}

	public void setPostCode(String postCode){
		this.postCode = postCode;
	}

	public String getPostCode(){
		return this.postCode;
	}

	public void setEduCode(String eduCode){
		this.eduCode = eduCode;
	}

	public String getEduCode(){
		return this.eduCode;
	}

	public void setDegreeCode(String degreeCode){
		this.degreeCode = degreeCode;
	}

	public String getDegreeCode(){
		return this.degreeCode;
	}

	public void setOtherInfo(String otherInfo){
		this.otherInfo = otherInfo;
	}

	public String getOtherInfo(){
		return this.otherInfo;
	}

	public void setSerialIndex(java.math.BigDecimal serialIndex){
		this.serialIndex = serialIndex;
	}

	public java.math.BigDecimal getSerialIndex(){
		return this.serialIndex;
	}

	public void setPhotoUrl(String photoUrl){
		this.photoUrl = photoUrl;
	}

	public String getPhotoUrl(){
		return this.photoUrl;
	}

	public void setPbNation(String pbNation){
		this.pbNation = pbNation;
	}

	public String getPbNation(){
		return this.pbNation;
	}

	public void setIdCode(String idCode){
		this.idCode = idCode;
	}

	public String getIdCode(){
		return this.idCode;
	}

	public void setCaStatus(String caStatus){
		this.caStatus = caStatus;
	}

	public String getCaStatus(){
		return this.caStatus;
	}

	public void setPbJob(String pbJob){
		this.pbJob = pbJob;
	}

	public String getPbJob(){
		return this.pbJob;
	}

	public void setExt1(String ext1){
		this.ext1 = ext1;
	}

	public String getExt1(){
		return this.ext1;
	}

	public void setExt2(String ext2){
		this.ext2 = ext2;
	}

	public String getExt2(){
		return this.ext2;
	}

	public void setExt3(String ext3){
		this.ext3 = ext3;
	}

	public String getExt3(){
		return this.ext3;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUserType() {
		return userType;
	}

	public void setUserType(String userType) {
		this.userType = userType;
	}

	public String getUserStat() {
		return userStat;
	}

	public void setUserStat(String userStat) {
		this.userStat = userStat;
	}

	public Integer getAccountTimelimit() {
		return accountTimelimit;
	}

	public void setAccountTimelimit(Integer accountTimelimit) {
		this.accountTimelimit = accountTimelimit;
	}

	public Integer getAccountId() {
		return accountId;
	}

	public void setAccountId(Integer accountId) {
		this.accountId = accountId;
	}

	public Integer getAppId() {
		return appId;
	}

	public void setAppId(Integer appId) {
		this.appId = appId;
	}

	public PersonBase appId(Integer appId) {
		this.appId = appId;
		return this;
	}

	public Integer getGrpId() {
		return grpId;
	}

	public void setGrpId(Integer grpId) {
		this.grpId = grpId;
	}

	public Integer getRoleId() {
		return roleId;
	}

	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}

	public PersonBase roleId(Integer roleId) {
		this.roleId = roleId;
		return this;
	}

	public String getAccountType() {
		return accountType;
	}

	public void setAccountType(String accountType) {
		this.accountType = accountType;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}

	public String getPositionId() {
		return positionId;
	}

	public void setPositionId(String positionId) {
		this.positionId = positionId;
	}

	public String getRankId() {
		return rankId;
	}

	public void setRankId(String rankId) {
		this.rankId = rankId;
	}

	public String getExtCode() {
		return extCode;
	}

	public void setExtCode(String extCode) {
		this.extCode = extCode;
	}

	public String getEnableDel() {
		return enableDel;
	}

	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}
}
