package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;


/**
 * 职务组织分配表 [门户平台]数据对象.
 * Created by DEMON on 2020-03-11.
 **/
@ApiModel(value = "PositionOrg", description = "职务组织分配表对象")
public class PositionOrg extends DataEntity<PositionOrg> implements Serializable {

	/**
	 * 主id
	 */
	@ApiModelProperty(value = "主id",example="1")
	private Integer positionOrgId;

	/**
	 * 职务id
	 */
	@ApiModelProperty(value = "职务id",example="1")
	private Integer positionId;

	/**
	 * 组织id
	 */
	@ApiModelProperty(value = "组织id",example="1")
	private Integer orgId;

	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date creatTime;

	/**
	 * 组织名称
	 */
	@ApiModelProperty(value = "组织名称")
	private String orgName;

	/**
	 * 标志位名称: 1仅选择组织, 2仅下属组织, 3所选及下属
	 */
	@ApiModelProperty(value = "标志位名称: 1仅选择组织, 2仅下属组织, 3所选及下属")
	private String orgFlagName;

	/**
	 * 标志位名称: 1仅选择组织, 2仅下属组织, 3所选及下属
	 */
	@ApiModelProperty(value = "标志位名称: 1仅选择组织, 2仅下属组织, 3所选及下属")
	private String orgFlag;

	public void setPositionOrgId(Integer positionOrgId){
		this.positionOrgId = positionOrgId;
	}

	public Integer getPositionOrgId(){
		return this.positionOrgId;
	}

	public void setPositionId(Integer positionId){
		this.positionId = positionId;
	}

	public Integer getPositionId(){
		return this.positionId;
	}

	public void setOrgId(Integer orgId){
		this.orgId = orgId;
	}

	public Integer getOrgId(){
		return this.orgId;
	}

	public void setCreatTime(Date creatTime){
		this.creatTime = creatTime;
	}

	public Date getCreatTime(){
		return this.creatTime;
	}

	public String getOrgFlagName() {
		return orgFlagName;
	}

	public void setOrgFlagName(String orgFlagName) {
		this.orgFlagName = orgFlagName;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getOrgFlag() {
		return orgFlag;
	}

	public void setOrgFlag(String orgFlag) {
		this.orgFlag = orgFlag;
	}
}
