package com.loit.v1.modules.entity;

import java.math.BigDecimal;
import java.util.List;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @description 资源管理entity
 * @author xutao
 * @date  2019-10-26
 */
@ApiModel(value="ResourceManage", description = "资源管理实体")
public class ResourceManage extends DataEntity<ResourceManage> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "资源ID",example="1")
	private Integer resourceId;
	@ApiModelProperty("资源编码")
	private String resourceCode;
	@ApiModelProperty("资源名称")
	private String resourceName;
	@ApiModelProperty("描述")
	private String resourceDesc;
	@ApiModelProperty("版本")
	private String resourceVersion;
	@ApiModelProperty("资源值")
	private String resourceUrl;
	@ApiModelProperty(value = "父资源唯一ID",example="1")
	private Integer resourceParentId;
	@ApiModelProperty("0：禁用 1：可用 ")
	private String resourceStatus;
	@ApiModelProperty("排序号")
	private BigDecimal serialIndex;
	@ApiModelProperty(value = "上下文ID" ,example="1")
	private Integer contextId;
	@ApiModelProperty("上下文值")
	private String contextValue;
	@ApiModelProperty(value = "应用ID",example="1")
	private Integer appId;
	@ApiModelProperty(value = "资源类别ID",example="1")
	private Integer typeId;
	@ApiModelProperty(value = "应用名称")
	private String appName;
	@ApiModelProperty(value = "资源类别名称")
	private String typeName;
	@ApiModelProperty("子资源列表对象")
	private List<ResourceManage> children;	
	@ApiModelProperty("资源和应用的关系（1:隶属 2:引用）")
	private String appRelStatus;
	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;
	public Integer getResourceId() {
		return resourceId;
	}
	public void setResourceId(Integer resourceId) {
		this.resourceId = resourceId;
	}
	public String getResourceCode() {
		return resourceCode;
	}
	public void setResourceCode(String resourceCode) {
		this.resourceCode = resourceCode;
	}
	public String getResourceName() {
		return resourceName;
	}
	public void setResourceName(String resourceName) {
		this.resourceName = resourceName;
	}
	public String getResourceDesc() {
		return resourceDesc;
	}
	public void setResourceDesc(String resourceDesc) {
		this.resourceDesc = resourceDesc;
	}
	public String getResourceVersion() {
		return resourceVersion;
	}
	public void setResourceVersion(String resourceVersion) {
		this.resourceVersion = resourceVersion;
	}
	public String getResourceUrl() {
		return resourceUrl;
	}
	public void setResourceUrl(String resourceUrl) {
		this.resourceUrl = resourceUrl;
	}
	public Integer getResourceParentId() {
		return resourceParentId;
	}
	public void setResourceParentId(Integer resourceParentId) {
		this.resourceParentId = resourceParentId;
	}
	public String getResourceStatus() {
		return resourceStatus;
	}
	public void setResourceStatus(String resourceStatus) {
		this.resourceStatus = resourceStatus;
	}
	public BigDecimal getSerialIndex() {
		return serialIndex;
	}
	public void setSerialIndex(BigDecimal serialIndex) {
		this.serialIndex = serialIndex;
	}
	public Integer getContextId() {
		return contextId;
	}
	public void setContextId(Integer contextId) {
		this.contextId = contextId;
	}
	public String getContextValue() {
		return contextValue;
	}
	public void setContextValue(String contextValue) {
		this.contextValue = contextValue;
	}
	public Integer getAppId() {
		return appId;
	}
	public void setAppId(Integer appId) {
		this.appId = appId;
	}
	public Integer getTypeId() {
		return typeId;
	}
	public void setTypeId(Integer typeId) {
		this.typeId = typeId;
	}
	public List<ResourceManage> getChildren() {
		return children;
	}
	public void setChildren(List<ResourceManage> children) {
		this.children = children;
	}
	public String getAppName() {
		return appName;
	}
	public void setAppName(String appName) {
		this.appName = appName;
	}
	public String getTypeName() {
		return typeName;
	}
	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	public String getAppRelStatus() {
		return appRelStatus;
	}
	public void setAppRelStatus(String appRelStatus) {
		this.appRelStatus = appRelStatus;
	}
	public String getEnableDel() {
		return enableDel;
	}
	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}
}