package com.loit.v1.modules.entity;

import org.hibernate.validator.constraints.Length;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 资源类别管理entity
 * @author xutao
 * @date  2019-10-18
 */
@ApiModel(value="ResourceType", description = "资源类别管理实体")
public class ResourceType extends DataEntity<ResourceType> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "typeId", value = "资源类别ID", example = "1")
	private int typeId;
	@ApiModelProperty(name = "typeCode", value = "资源类别代码", example = "urlLink")
	private String typeCode;
	@ApiModelProperty(name = "typeName", value = "资源类别名称", example = "url类")
	private String typeName;
	@ApiModelProperty(name = "typeDesc", value = "说明", example = "url类别")
	private String typeDesc;
	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;
	@Length(min=1, max=11)
	public int getTypeId() {
		return typeId;
	}

	public void setTypeId(int typeId) {
		this.typeId = typeId;
	}
	@Length(min=1, max=64)
	public String getTypeCode() {
		return typeCode;
	}

	public void setTypeCode(String typeCode) {
		this.typeCode = typeCode;
	}
	@Length(min=1, max=64)
	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	@Length(min=1, max=254)
	public String getTypeDesc() {
		return typeDesc;
	}

	public void setTypeDesc(String typeDesc) {
		this.typeDesc = typeDesc;
	}

	public String getEnableDel() {
		return enableDel;
	}

	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}
}
