package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 资源类别操作管理entity
 * @author xutao
 * @date  2019-10-18
 */
@ApiModel(value="ResourceTypeOperation", description = "资源类别操作管理实体")
public class ResourceTypeOperation extends DataEntity<ResourceTypeOperation> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "操作ID", example = "1")
	private Integer actId;
	@ApiModelProperty(value = "操作名称", example = "新增")
	private String actName;
	@ApiModelProperty(value = "操作代码", example = "add")
	private String actCode;
	@ApiModelProperty(value = "操作优先级", example = "1")
	private int actPrior;
	@ApiModelProperty(value = "操作处理入口（操作权限的时候特殊需要对请求地址进行验证）", example = "")
	private String actUrl;
	@ApiModelProperty(value = "说明", example = "")
	private String actDesc;
	@ApiModelProperty(value = "类别ID", example = "1")
	private Integer typeId;
	@ApiModelProperty(value = "类别名称", example = "url类别")
	private String typeName;
	@ApiModelProperty(value = "资源ID", example = "1")
	private Integer resId;
	@ApiModelProperty(value = "资源name", example = "1")
	private String resName;
	@ApiModelProperty(value = "请求方式", example = "1")
	private String reqMode;
	@ApiModelProperty(name = "enableDel", value = "是否允许删除（0：否 1：是）")
	private String enableDel;
	public Integer getActId() {
		return actId;
	}
	public void setActId(Integer actId) {
		this.actId = actId;
	}
	public String getActName() {
		return actName;
	}
	public void setActName(String actName) {
		this.actName = actName;
	}
	public String getActCode() {
		return actCode;
	}
	public void setActCode(String actCode) {
		this.actCode = actCode;
	}
	public int getActPrior() {
		return actPrior;
	}
	public void setActPrior(int actPrior) {
		this.actPrior = actPrior;
	}
	public String getActUrl() {
		return actUrl;
	}
	public void setActUrl(String actUrl) {
		this.actUrl = actUrl;
	}
	public String getActDesc() {
		return actDesc;
	}
	public void setActDesc(String actDesc) {
		this.actDesc = actDesc;
	}
	public Integer getTypeId() {
		return typeId;
	}
	public void setTypeId(Integer typeId) {
		this.typeId = typeId;
	}
	public String getTypeName() {
		return typeName;
	}
	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	public Integer getResId() {
		return resId;
	}
	public void setResId(Integer resId) {
		this.resId = resId;
	}
	public String getReqMode() {
		return reqMode;
	}
	public void setReqMode(String reqMode) {
		this.reqMode = reqMode;
	}
	public String getResName() {
		return resName;
	}
	public void setResName(String resName) {
		this.resName = resName;
	}
	public String getEnableDel() {
		return enableDel;
	}
	public void setEnableDel(String enableDel) {
		this.enableDel = enableDel;
	}
}
