package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: RoleResMenu
 * @Description: 用户角色资源菜单应用关系对象
 * @author  xutao 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/
@ApiModel(value = "RoleResMenu", description="用户角色资源菜单应用关系对象")
public class RoleResMenu extends DataEntity<RoleResMenu> implements Serializable{
	private static final long serialVersionUID = 1L;

	public RoleResMenu RoleResMenu() {
		return this;
	}

	@ApiModelProperty(value = "用户账号ID",example="1")
	private Integer accountId;
	
	@ApiModelProperty(value = "账号类型 '0:普通帐号 1:组织管理账号2:应用管理帐号 3:超级管理帐号'",example="1")
	private String accountType;
	
	@ApiModelProperty(value = "应用ID",example="1")
	private Integer appId;
	
	@ApiModelProperty(value = "角色ID",example="1")
	private List<Integer> roleList;

	@ApiModelProperty(value = "应用编码",example="1")
	private String appCode;
	
	public Integer getAccountId() {
		return accountId;
	}

	public void setAccountId(Integer accountId) {
		this.accountId = accountId;
	}

	public RoleResMenu accountId(Integer accountId) {
		this.accountId = accountId;
		return this;
	}

	public Integer getAppId() {
		return appId;
	}

	public void setAppId(Integer appId) {
		this.appId = appId;
	}

	public RoleResMenu appId(Integer appId) {
		this.appId = appId;
		return this;
	}

	public String getAccountType() {
		return accountType;
	}

	public void setAccountType(String accountType) {
		this.accountType = accountType;
	}

	public RoleResMenu accountType(String accountType) {
		this.accountType = accountType;
		return this;
	}

	public List<Integer> getRoleList() {
		return roleList;
	}

	public void setRoleList(List<Integer> roleList) {
		this.roleList = roleList;
	}

	public String getAppCode() {
		return appCode;
	}

	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}
}
