package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: SynLog
 * @Description: 同步日志记录表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/
@ApiModel(value = "SynLog", description="同步日志记录表数据对象")
public class SynLog extends DataEntity<SynLog> implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "日志ID",example="1")
	private Integer logId;


	@ApiModelProperty(value = "同步状态1、成功 2、失败")
	private String synStatus;


	@ApiModelProperty(value = "同步对象ID",example="1")
	private Integer objectId;


	@ApiModelProperty(value = "同步对象名称")
	private String objectName;


	@ApiModelProperty(value = "目标ID",example="1")
	private Integer targetId;


	@ApiModelProperty(value = "创建时间")
	private Date createTime;


	public void setLogId(Integer logId){
		this.logId = logId;
	}

	public Integer getLogId(){
		return this.logId;
	}

	public void setSynStatus(String synStatus){
		this.synStatus = synStatus;
	}

	public String getSynStatus(){
		return this.synStatus;
	}

	public void setObjectId(Integer objectId){
		this.objectId = objectId;
	}

	public Integer getObjectId(){
		return this.objectId;
	}

	public void setObjectName(String objectName){
		this.objectName = objectName;
	}

	public String getObjectName(){
		return this.objectName;
	}

	public void setTargetId(Integer targetId){
		this.targetId = targetId;
	}

	public Integer getTargetId(){
		return this.targetId;
	}

	@Override
	public Date getCreateTime() {
		return createTime;
	}

	@Override
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
}
