package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: SynTarget
 * @Description: 同步目标表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/
@ApiModel(value = "SynTarget", description="同步目标表数据对象")
public class SynTarget extends DataEntity<SynTarget> implements Serializable{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "ID",example="1")
	private Integer targetId;


	@ApiModelProperty(value = "目标名称")
	private String targetName;


	@ApiModelProperty(value = "服务地址")
	private String serviceUrl;


	@ApiModelProperty(value = "是否可用 1、可用 2、禁用")
	private String enabled;


	@ApiModelProperty(value = "应用ID",example="1")
	private Integer appId;

	@ApiModelProperty(value = "应用名称",example="凌宇门户")
	private String appName;

	@ApiModelProperty(value = "对象类型 1、组织 2、人员 3、角色")
	private String objectType;


	@ApiModelProperty(value = "同步方式 1、增加 2、修改 3、删除")
	private String synMode;


	@ApiModelProperty(value = "目标描述")
	private String targetDesc;


	@ApiModelProperty(value = "创建时间")
	private Date createTime;


	@ApiModelProperty(value = "修改时间")
	private Date updateTime;


	public void setTargetId(Integer targetId){
		this.targetId = targetId;
	}

	public Integer getTargetId(){
		return this.targetId;
	}

	public void setTargetName(String targetName){
		this.targetName = targetName;
	}

	public String getTargetName(){
		return this.targetName;
	}

	public void setServiceUrl(String serviceUrl){
		this.serviceUrl = serviceUrl;
	}

	public String getServiceUrl(){
		return this.serviceUrl;
	}

	public void setEnabled(String enabled){
		this.enabled = enabled;
	}

	public String getEnabled(){
		return this.enabled;
	}

	public void setAppId(Integer appId){
		this.appId = appId;
	}

	public Integer getAppId(){
		return this.appId;
	}

	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}

	public void setObjectType(String objectType){
		this.objectType = objectType;
	}

	public String getObjectType(){
		return this.objectType;
	}

	public void setSynMode(String synMode){
		this.synMode = synMode;
	}

	public String getSynMode(){
		return this.synMode;
	}

	public void setTargetDesc(String targetDesc){
		this.targetDesc = targetDesc;
	}

	public String getTargetDesc(){
		return this.targetDesc;
	}

	@Override
	public Date getCreateTime() {
		return createTime;
	}

	@Override
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}

	public Date getUpdateTime(){
		return this.updateTime;
	}

}
