package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @description 应用主题管理entity
 * @author xutao
 * @date  2019-10-21
 */
@ApiModel(value="ThemeManage", description = "应用主题管理实体")
public class ThemeManage extends DataEntity<ThemeManage> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "应用主题ID",example="1")
	private Integer themeId;
	@ApiModelProperty("LOGO图标URL")
	private String logoIconUrl;
	@ApiModelProperty("LOGO背景URL")
	private String logoBackgroundUrl;
	@ApiModelProperty("应用展现方式（1、门户展示（内嵌） 2、独立展示），默认为1")
	private String appDisplayMode;
	@ApiModelProperty("应用导航栏展示方式（1、图标展示 2、完全展示(图标+文字） 3、文字展示）默认为1")
	private String appNavigationBarDisplayMode;
	@ApiModelProperty("应用导航栏位置（1、右边 2、左边 3、底部）默认为1")
	private String appNavigationBarPosition;
	@ApiModelProperty(value = "应用ID",example="1")
	private Integer appId;
	@ApiModelProperty(value = "应用名称",example="凌宇门户")
	private String appName;
	@ApiModelProperty(value = "菜单布局code",example="2")
	private Integer layoutId;
	@ApiModelProperty(value = "菜单布局名称")
	private String layoutName;
	@ApiModelProperty(value = "菜单样式code",example="1")
	private Integer styleId;
	@ApiModelProperty(value = "菜单样式名称")
	private String styleName;
	@ApiModelProperty("菜单布局实体")
	private MenuLayout menuLayout;
	@ApiModelProperty("应用皮肤管理实体")
	private SkinManage skinManage;
	@ApiModelProperty("菜单样式实体")
	private MenuStyle menuStyle;
	@ApiModelProperty(value = "展现皮肤ID",example="1")
	private int skinId;	
	public Integer getThemeId() {
		return themeId;
	}
	public void setThemeId(Integer themeId) {
		this.themeId = themeId;
	}
	public String getLogoIconUrl() {
		return logoIconUrl;
	}
	public void setLogoIconUrl(String logoIconUrl) {
		this.logoIconUrl = logoIconUrl;
	}
	public String getLogoBackgroundUrl() {
		return logoBackgroundUrl;
	}
	public void setLogoBackgroundUrl(String logoBackgroundUrl) {
		this.logoBackgroundUrl = logoBackgroundUrl;
	}
	public String getAppDisplayMode() {
		return appDisplayMode;
	}
	public void setAppDisplayMode(String appDisplayMode) {
		this.appDisplayMode = appDisplayMode;
	}
	public String getAppNavigationBarDisplayMode() {
		return appNavigationBarDisplayMode;
	}
	public void setAppNavigationBarDisplayMode(String appNavigationBarDisplayMode) {
		this.appNavigationBarDisplayMode = appNavigationBarDisplayMode;
	}
	public Integer getAppId() {
		return appId;
	}
	public void setAppId(Integer appId) {
		this.appId = appId;
	}
	public String getAppName() {
		return appName;
	}
	public void setAppName(String appName) {
		this.appName = appName;
	}
	public Integer getLayoutId() {
		return layoutId;
	}
	public void setLayoutId(Integer layoutId) {
		this.layoutId = layoutId;
	}
	public SkinManage getSkinManage() {
		return skinManage;
	}
	public void setSkinManage(SkinManage skinManage) {
		this.skinManage = skinManage;
	}
	public MenuLayout getMenuLayout() {
		return menuLayout;
	}
	public void setMenuLayout(MenuLayout menuLayout) {
		this.menuLayout = menuLayout;
	}
	public Integer getStyleId() {
		return styleId;
	}
	public void setStyleId(Integer styleId) {
		this.styleId = styleId;
	}
	public MenuStyle getMenuStyle() {
		return menuStyle;
	}
	public void setMenuStyle(MenuStyle menuStyle) {
		this.menuStyle = menuStyle;
	}
	public String getAppNavigationBarPosition() {
		return appNavigationBarPosition;
	}
	public void setAppNavigationBarPosition(String appNavigationBarPosition) {
		this.appNavigationBarPosition = appNavigationBarPosition;
	}
	public String getLayoutName() {
		return layoutName;
	}
	public void setLayoutName(String layoutName) {
		this.layoutName = layoutName;
	}
	public String getStyleName() {
		return styleName;
	}
	public void setStyleName(String styleName) {
		this.styleName = styleName;
	}
	public int getSkinId() {
		return skinId;
	}
	public void setSkinId(int skinId) {
		this.skinId = skinId;
	}	
}