package com.loit.v1.modules.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import com.loit.common.persistence.DataEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @ClassName: UserGroup
 * @Description: 用户组表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:07
 * @version V1.0 
 **/

@ApiModel(value = "UserGroup", description="用户组表数据对象")
public class UserGroup extends DataEntity<UserGroup> implements Serializable{
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "用户组ID",example="1")
	private Integer grpId;


	@ApiModelProperty(value = "应用Id",example="1")
	private Integer appId;
	
	@ApiModelProperty(value = "用户组名称")
	private String grpName;


	@ApiModelProperty(value = "用户组说明")
	private String grpDesc;


	@ApiModelProperty(value = "排序号",example="1")
	private BigDecimal serialIndex;

	/**
	 * (0不可用1:可用)
	 */
	@ApiModelProperty(value = "用户组状态")
	private String grpState;
	
	/**
	 * 1、来源用户  2、来源组织
	 */
	@ApiModelProperty(value = "用户组来源")
	private String fromType;


	@ApiModelProperty(value = "来源唯一ID")

	public void setGrpId(Integer grpId){
		this.grpId = grpId;
	}

	public Integer getGrpId(){
		return this.grpId;
	}

	public void setGrpName(String grpName){
		this.grpName = grpName;
	}

	public String getGrpName(){
		return this.grpName;
	}

	public void setGrpDesc(String grpDesc){
		this.grpDesc = grpDesc;
	}

	public String getGrpDesc(){
		return this.grpDesc;
	}

	public void setSerialIndex(BigDecimal serialIndex){
		this.serialIndex = serialIndex;
	}

	public BigDecimal getSerialIndex(){
		return this.serialIndex;
	}

	public void setGrpState(String grpState){
		this.grpState = grpState;
	}

	public String getGrpState(){
		return this.grpState;
	}

	public String getFromType() {
		return fromType;
	}

	public void setFromType(String fromType) {
		this.fromType = fromType;
	}

	public Integer getAppId() {
		return appId;
	}

	public void setAppId(Integer appId) {
		this.appId = appId;
	}

	
	
}
