package com.loit.v1.modules.service;

import org.springframework.stereotype.Service;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.ApporgShortcutDao;
import com.loit.v1.modules.entity.ApporgShortcut;

import java.util.List;


/**
 * @ClassName: ApporgShortcutService
 * @Description: 应用组织关系快捷存取表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Service
public class ApporgShortcutService extends CrudService<ApporgShortcutDao, ApporgShortcut> {

	/**
	 * 删除组织应用权限
	 * @param orgId
	 * @param appId
	 */
	public void deleteAppOrg(Integer orgId, Integer appId) {
		 dao.deleteAppOrg(orgId,appId);
	}
	/**
	 *  根据ID列表获取多条数据
	 * @param
	 * @return
	 */
	public List<ApporgShortcut> findByOrgIdList(List<String> orgIds){
		return dao.findByOrgIdList(orgIds);
	}
	/**
	 *  根据ID列表获取多条数据
	 * @param
	 * @return
	 */
	public List<ApporgShortcut> findListByAccountIdList(List<String> accountIds){
		return dao.findListByAccountIdList(accountIds);
	}
	/**
	 * @description 根据组织ids批量删除
	 * @param substring
	 * @param string
	 */
	public void deleteByOrgIds(List<Integer> orgIds, String appId) {
		dao.deleteByOrgIds(orgIds,appId);
	}
	/** 
	 * @description 批量插入应用组织权限
	 * @param list
	 */
	public void batchInsertAppOrg(List<ApporgShortcut> list) {
		dao.batchInsertAppOrg(list);
	}

}