package com.loit.v1.modules.service;

import org.springframework.stereotype.Service;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.GrpFromDao;
import com.loit.v1.modules.entity.GrpFrom;



/**
 * @ClassName: GrpFromService
 * @Description: 用户组来源表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Service
public class GrpFromService extends CrudService<GrpFromDao, GrpFrom> {


	/**
	 * 删除用户组来源表数据
	 * @param grpId
	 */
	public void deleteByGrpId(String grpId) {
		dao.deleteByGrpId(grpId);
	}

	/**
	 * 删除用户组来源
	 * @param grpId
	 * @param orgId
	 * @param sourceFromOrg
	 */
	public void deleteGrpFrom(String grpId, String orgId, String fromType) {
		dao.deleteGrpFrom(grpId,orgId,fromType);
	}

}