package com.loit.v1.modules.service;

import java.util.List;

import org.springframework.stereotype.Service;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.GrpUserDao;
import com.loit.v1.modules.entity.GrpUser;



/**
 * @ClassName: GrpUserService
 * @Description: 用户组人员对应表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Service
public class GrpUserService extends CrudService<GrpUserDao, GrpUser> {


	/**
	 * @param grpId
	 * @param accountId
	 * @return
	 */
	public GrpUser getUnique(String grpId, String accountId) {
		return dao.getUnique(grpId,accountId);
	}

	/**
	 * 根据人员id删除用户组人员关系
	 * @param accountId
	 */
	public void deleteByAccountId(String accountId) {
		dao.deleteByAccountId(accountId);
	}

	/**
	 * 根据用户组id删除用户组人员关系表中数据
	 * @param grpId
	 */
	public void deleteByGrpId(String grpId) {
		dao.deleteByGrpId(grpId);
	}

}