package com.loit.v1.modules.service;

import org.springframework.stereotype.Service;

import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.IpPolicyDao;
import com.loit.v1.modules.entity.IpPolicy;



/**
 * @ClassName: IpPolicyService
 * @Description: IP策略表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Service
public class IpPolicyService extends CrudService<IpPolicyDao, IpPolicy> {

	/**
	* @Description: 判断名称的唯一性
	* @author: gzx
	* @date: 2019年11月19日 下午6:59:32 
	* @param @param ipPolicyId
	* @param @param ipPolicyName
	* @param @return 参数 
	* @return boolean 返回类型  名称重复，返回false；不重复，返回true
	* @throws
	 */
	public boolean checkNameUnique(Integer ipPolicyId,String ipPolicyName) {
		int count = dao.checkNameUnique(ipPolicyName, ipPolicyId);
		if(count>0) {
			return false;
		}
		return true;
	}

	/**
	 * @param accountId
	 * @return
	 */
	public IpPolicy getByAccountId(Integer accountId) {
		return dao.getByAccountId(accountId);
	}
}