package com.loit.v1.modules.service;

import org.springframework.stereotype.Service;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.OrgPersonDao;
import com.loit.v1.modules.entity.OrgPerson;



/**
 * @ClassName: OrgPersonService
 * @Description: 组织人员关系表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Service
public class OrgPersonService extends CrudService<OrgPersonDao, OrgPerson> {

	/**
	 * 通过账号id获取组织
	 * @param accountId
	 * @return
	 */
	public OrgPerson getByAccountId(Integer accountId) {
		return dao.getByAccountId(accountId);
	}

	/**
	 * 根据人员id删除组织人员关系
	 * @param accountId
	 */
	public void deleteByAccountId(String accountId) {
		dao.deleteByAccountId(accountId);
	}

}