package com.loit.v1.modules.service;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import com.loit.v1.api.dto.PersonExtattrDTO;
import org.springframework.stereotype.Service;

import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.PersonExtattrDao;
import com.loit.v1.modules.entity.AccoutInfo;
import com.loit.v1.modules.entity.Org;
import com.loit.v1.modules.entity.OrgExtattr;
import com.loit.v1.modules.entity.PersonBase;
import com.loit.v1.modules.entity.PersonExtattr;
import com.loit.v1.modules.utils.Model.ModelReflectUtils;



/**
 * @ClassName: PersonExtattrService
 * @Description: 人员扩展属性表
 * @author  zhaokz 
 * @date  2019-10-23 15:24:06
 * @version V1.0 
 **/
@Service
public class PersonExtattrService extends CrudService<PersonExtattrDao, PersonExtattr> {

	/**
	 * @param personExtattr
	 * @return
	 */
	public List<HashMap<String, Object>> findPropertiesList(PersonExtattr personExtattr) {
		AccoutInfo accoutInfo = new AccoutInfo();
		List<HashMap<String, Object>> list = ModelReflectUtils.getPropertiesList(accoutInfo);
		PersonBase personBase = new PersonBase();
		List<HashMap<String, Object>> list2 = ModelReflectUtils.getPropertiesList(personBase);
		list.addAll(list2);
        List<PersonExtattr> personExtattrList = dao.findExtattrList(personExtattr);
        if(personExtattrList.size() > 0) {
        	for (PersonExtattr personExtattr2 : personExtattrList) {
        		HashMap<String, Object> map = new HashMap<String, Object>();
				map.put("name", personExtattr2.getAttrName());
				map.put("type", personExtattr2.getAttrType());
				map.put("code", personExtattr2.getAttrCode());
				list.add(map);
			}
        }
		return list;
	}

	/**
	 * @param personExtattr
	 * @return
	 */
	public List<PersonExtattr> findExtattrList(PersonExtattr personExtattr) {
		return dao.findExtattrList(personExtattr);
	}

	/**
	 * @param personExtattr
	 * @return
	 */
	public List<PersonExtattrDTO> findExtattrListDTO(PersonExtattrDTO personExtattr) {
		return dao.findExtattrListDTO(personExtattr);
	}

}