package com.loit.v1.modules.service;

import com.loit.common.json.AjaxJson;
import com.loit.common.utils.StringUtils;
import com.loit.v1.api.dto.RightDTO;
import com.loit.v1.modules.constant.BusinessConstants;
import com.loit.v1.modules.entity.*;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.PositionRoleDao;

import java.util.Date;
import java.util.List;


/**
 * 职务角色分配表 [门户平台]服务实现.
 * Created by DEMON on 2020-03-11.
 **/
@Service
@Transactional(readOnly = true)
public class PositionRoleService extends CrudService<PositionRoleDao, PositionRole> {
    /**
     * 用户组角色分配
     * @param rightDTO
     * @return
     */
    @Transactional(readOnly = false)
    public AjaxJson positionAssign(RightDTO rightDTO) {
        AjaxJson json = new AjaxJson();
        dao.deleteByPositionId(rightDTO.getPositionId());
        String roleIds = rightDTO.getRoleIds();
        if(StringUtils.isNotBlank(roleIds)) {
            String[] roleIdArray = roleIds.split(",");
            if(roleIdArray.length > 0 ) {
                for (String roleId : roleIdArray) {
                    //保存用户组角色关系
                    PositionRole positionRole = new PositionRole();
                    positionRole.setCreatTime(new Date());
                    positionRole.setPositionId(rightDTO.getPositionId());
                    positionRole.setRoleId(Integer.valueOf(roleId));
                    this.insert(positionRole);
                }
            }
        }
        json.setSuccess(true);
        json.setMsg("分配成功!");
        return json;
    }
}