package com.loit.v1.modules.service;

import com.loit.common.utils.ListUtil;
import com.loit.common.utils.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.PositionDao;
import com.loit.v1.modules.entity.Position;

import java.util.List;


/**
 * 职务表 [门户平台]服务实现.
 * Created by DEMON on 2020-03-05.
 **/
@Service
public class PositionService extends CrudService<PositionDao, Position> {
    /**
     * 判断职级编码是否重复
     *
     * @param positionCode 职级编码,空返回false
     * @return true是，false否
     */
    public Boolean isPositionCodeRepeat(String positionCode) {
        if(StringUtils.isEmpty(positionCode)){
            return false;
        }

        Position _positionParams = new Position();
        _positionParams.setPositionCode(positionCode);
        List<Position> list = this.findList(_positionParams);
        if (ListUtil.isNotEmpty(list)) {
            return true;
        }

        return false;
    }

    /**
     * 判断职级编码是否重复
     * 放过验证自己本身code重复-一般用在修改方法中
     *
     * @param positionCode 职级编码,空返回false
     * @return true是，false否
     */
    public Boolean isPositionCodeRepeat(String positionCode, Integer positionId){
        if(StringUtils.isEmpty(positionCode)){
            return false;
        }

        Position _positionParams = new Position();
        _positionParams.setPositionCode(positionCode);
        List<Position> list = this.findList(_positionParams);
        if (ListUtil.isNotEmpty(list)) {
            // 如果重复的code是自己本身， 测不算重复，一般用在修改方法里
            if(positionId != null && list.size() == 1 && list.get(0).getPositionId().equals(positionId)){
                return false;
            }
            return true;
        }

        return false;
    }
}