package com.loit.v1.modules.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.PositionUserDao;
import com.loit.v1.modules.entity.PositionUser;

import java.util.Date;


/**
 * 职务人员对应表 [门户平台]服务实现.
 * Created by DEMON on 2020-03-11.
 **/
@Service
@Transactional(readOnly = true)
public class PositionUserService extends CrudService<PositionUserDao, PositionUser> {

    @Transactional(readOnly = false)
    public void deleteByPositionIdAndAccoutId(Integer positionId, Integer accoutId){
        dao.deleteByPositionIdAndAccoutId(positionId, accoutId);
    }

    @Transactional(readOnly = false)
    public void insertAll(PositionUser positionUser){
        String[] userIds = positionUser.getAccoutIds().split(",");
        for (String userId : userIds) {
            PositionUser obj = new PositionUser();
            obj.setCreatTime(positionUser.getCreatTime());
            obj.setAccoutId(Integer.parseInt(userId));
            obj.setPositionId(positionUser.getPositionId());
            dao.insert(obj);
        }
    }
}