package com.loit.v1.modules.service;

import com.loit.common.json.AjaxJson;
import com.loit.common.utils.StringUtils;
import com.loit.v1.api.dto.RightDTO;
import com.loit.v1.modules.entity.PositionRole;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.RankRoleDao;
import com.loit.v1.modules.entity.RankRole;

import java.util.Date;


/**
 * 职级角色分配表 [门户平台]服务实现.
 * Created by DEMON on 2020-03-11.
 **/
@Service
@Transactional(readOnly = true)
public class RankRoleService extends CrudService<RankRoleDao, RankRole> {

    /**
     * 职级角色分配
     * @param rightDTO
     * @return
     */
    @Transactional(readOnly = false)
    public AjaxJson rankAssign(RightDTO rightDTO) {
        AjaxJson json = new AjaxJson();
        dao.deleteByRankId(rightDTO.getRankId());
        String roleIds = rightDTO.getRoleIds();
        if(StringUtils.isNotBlank(roleIds)) {
            String[] roleIdArray = roleIds.split(",");
            if(roleIdArray.length > 0 ) {
                for (String roleId : roleIdArray) {
                    //保存用户组角色关系
                    RankRole rankRole = new RankRole();
                    rankRole.setCreatTime(new Date());
                    rankRole.setRankId(rightDTO.getRankId());
                    rankRole.setRoleId(Integer.parseInt(roleId));
                    this.insert(rankRole);
                }
            }
        }
        json.setSuccess(true);
        json.setMsg("分配成功!");
        return json;
    }
}