package com.loit.v1.modules.service;

import com.loit.v1.modules.entity.PositionUser;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.RankUserDao;
import com.loit.v1.modules.entity.RankUser;



/**
 * 职级人员对应表 [门户平台]服务实现.
 * Created by DEMON on 2020-03-11.
 **/
@Service
@Transactional(readOnly = true)
public class RankUserService extends CrudService<RankUserDao, RankUser> {

    @Transactional(readOnly = false)
    public void deleteByRankIdAndAccoutId(Integer rankId, Integer accoutId){
        dao.deleteByRankIdAndAccoutId(rankId, accoutId);
    }

    @Transactional(readOnly = false)
    public void insertAll(RankUser rankUser){
        String[] userIds = rankUser.getAccoutIds().split(",");
        for (String userId : userIds) {
            RankUser obj = new RankUser();
            obj.setCreatTime(rankUser.getCreatTime());
            obj.setAccoutId(Integer.parseInt(userId));
            obj.setRankId(rankUser.getRankId());
            dao.insert(obj);
        }
    }
}