package com.loit.v1.modules.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.loit.common.service.CrudService;
import com.loit.v1.modules.dao.ResourceTypeDao;
import com.loit.v1.modules.entity.ResourceType;
/**
 * @description 资源类别管理Service
 * @author xutao
 * @date 2019-10-26
 */
@Service
@Transactional(readOnly = true)
public class ResourceTypeService extends CrudService<ResourceTypeDao, ResourceType> {
	
	/**
	* @Description: 判断名称的唯一性
	* @author: xutao
	* @date: 2019年11月19日 下午6:59:32 
	* @param @param typeId
	* @param @param typeName
	* @param @return 参数 
	* @return boolean 返回类型  名称重复，返回false；不重复，返回true
	* @throws
	 */
	public boolean checkNameUnique(Integer typeId,String typeName) {
		int count = dao.checkNameUnique(typeName, typeId);
		if(count>0) {
			return false;
		}
		return true;
	}
	
}
