package com.loit.v1.modules.utils.Model;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import com.loit.v1.modules.entity.AccoutInfo;
import com.loit.v1.modules.entity.PersonBase;

import io.swagger.annotations.ApiModelProperty;

/**  
* @ClassName: ModelReflectUtils  
* @Description:  反射获取实体工具类 
* @author zhaokz  
* @date 2019年11月1日 下午5:56:08 
* @version V1.0  
*/
public class ModelReflectUtils {

	public static List<HashMap<String, Object>> getPropertiesList(Object entity) {
		List<HashMap<String, Object>> list = new ArrayList<HashMap<String,Object>>();
		Class<?> clazz = entity.getClass();
        Field[] fields = clazz.getDeclaredFields();
        for (Field field : fields) {
        	HashMap<String, Object> map = new HashMap<String, Object>();
		    //打开私有访问
		    field.setAccessible(true);
			String name = field.getName();
			if(!name.equals("serialVersionUID")) {
				String type = field.getType().toString();
				ApiModelProperty annotation = field.getAnnotation(ApiModelProperty.class);
				map.put("name", annotation.value());
				map.put("type",type.replace("class java.lang.", "").replace("class java.util.", ""));
				map.put("code", name);
				list.add(map);
			}
			field.setAccessible(false);
		}
		return list;
	}
	
	
	public static void main(String[] args) {
		AccoutInfo accoutInfo = new AccoutInfo();
		List<HashMap<String, Object>> list1 = getPropertiesList(accoutInfo);
		PersonBase personBase = new PersonBase();
		List<HashMap<String, Object>> list2 = getPropertiesList(personBase);
		list1.addAll(list2);
		for (HashMap<String, Object> hashMap : list1) {
			System.out.println("属性代码:" + hashMap.get("code") +"   类型:"+ hashMap.get("type") + "  属性名:" + hashMap.get("name"));
		}
	}
}
