package com.loit.v1.oauth.data;

/**
 * 登录验证错误状态码
 *
 * 101 失败
 * 901 验证码错误
 * 902 账号不存在
 * 903 账号已被锁定
 * 904 账号被管理员禁止
 * 905 登录IP受限
 * 906 账号已过期
 * 907 密码已过期
 * 908 密码错误
 * 909 错误9
 * 910 错误10
 *
 * DEMON add by 2019-11-20
 */
public enum CasStatus {

    STATUS_101("101", "失败"),
    STATUS_901("901", "验证码错误"),
    STATUS_902("902", "账号不存在"),
    STATUS_903("903", "账号已被锁定"),
    STATUS_904("904", "账号被管理员禁止"),
    STATUS_905("905", "登录IP受限"),
    STATUS_906("906", "账号已过期"),
    STATUS_907("907", "密码已过期"),
    STATUS_908("908", "密码错误"),
    STATUS_909("909", "错误9"),
    STATUS_910("910", "错误10"),
    STATUS_911("911", "请输入验证码");

    private final String value;
    private final String msg;

//    CasStatus(String value) {
//        this.value = value;
//    }
    CasStatus(String value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public String getValue() {
        return value;
    }

    public String getMsg() {
        return msg;
    }
}
