package com.loit.v1.oauth.service;

import com.loit.api.service.OnlineUserCountApiService;
import com.loit.v1.modules.entity.AccoutInfo;
import com.loit.v1.modules.service.AccoutInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

/**
 * Description： 异步处理类
 * Author: yangwenbin
 * Date: Created in 2020/8/25 20:32
 * Version: 1.0
 * Modified By:
 */
@Component
public class AsyncTaskService {

    @Autowired
    private AccoutInfoService accoutInfoService;
    @Autowired
    private OnlineUserCountApiService onlineUserCountApiService;

    /**异步方式处理
     * 登录成功: 记录最近登录时间和ip, 更新用户信息
     * @param user
     */
    @Async
    void updateUserLastLoginInfo(AccoutInfo user){
        accoutInfoService.update(user);

    }
    /**异步方式处理
     * 用户在线统计
     * @param user
     */
    @Async
    void updateOnlineUserCount(AccoutInfo user){
        onlineUserCountApiService.saveOnline(user.getUserId());
    }
}
