package com.loit.v1.oauth.service;

import com.loit.common.utils.CacheUtils;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

@Service
public class CaptchaService {
    /**
     * 缓存前缀
     */
    private final String keyPrefix = "cas:captcha:";

    /**
     * 缓存验证码
     * @param captcha
     */
    public void setCacheCaptcha(String captcha){
        if(!StringUtils.isEmpty(captcha)) {
            String key = keyPrefix + captcha.toLowerCase();
            CacheUtils.set(key, captcha, 60L);
        }
    }

    /**
     * 判断验证码是否有效
     * @param captcha
     * @return
     */
    public Boolean validateCacheCaptcha(String captcha){
        if(StringUtils.isEmpty(captcha)) {
            return false;
        }

        String key = keyPrefix + captcha.toLowerCase();
        Object o = CacheUtils.get(key);

        if(o == null) {
            return false;
        }

        return true;
    }
}
